2000-12-20 20:30  mortene

	* include/Inventor/elements/SoGLModelMatrixElement.h,
	src/elements/SoGLModelMatrixElement.cpp:
	
	Fix to allow rendering of unlimited depth scene graphs. By pederb.

2000-12-20 11:17  mortene

	* include/Inventor/lock/Makefile.am, src/Make-Common.tpl,
	src/Make-Install.tpl, src/Make-LinkSilent.tpl, src/Makefile.am,
	src/VRMLnodes/Makefile.am, src/actions/Makefile.am,
	src/base/Makefile.am, src/bundles/Makefile.am,
	src/caches/Makefile.am, src/details/Makefile.am,
	src/draggers/Makefile.am, src/elements/Makefile.am,
	src/engines/Makefile.am, src/errors/Makefile.am,
	src/events/Makefile.am, src/fields/Makefile.am,
	src/lists/Makefile.am, src/manips/Makefile.am,
	src/misc/Makefile.am, src/nodekits/Makefile.am,
	src/nodes/Makefile.am, src/projectors/Makefile.am,
	src/sensors/Makefile.am, src/system/Makefile.am:
	
	Removes old cruft in the Makefiles: the "cmp before install" is not
	necessary anymore -- as it has been incorporated into (our version
	of) Automake's header.am.
	
	Also removes .tpl templates not in use anymore, and kills some old
	obsoleted commented out Makefile stuff.

2000-12-20 11:00  mortene

	* include/: Makefile.am, SoWinEnterScope.h, SoWinLeaveScope.h:
	
	Adds dummy include files SoWinEnterScope.h and SoWinLeaveScope.h to
	be sourcecode compatible with TGS' Inventor on MSWindows.
	
	Problem reported by Jens Jacob Støren.

2000-12-14 13:16  mortene

	* docs/misc-resources.txt:
	
	Adds new document as a placeholder for resource links (URLs etc).

2000-12-14 13:15  mortene

	* docs/coin_docs.url:
	
	Removes obsoleted document.

2000-12-14 12:58  mortene

	* docs/optimization.txt:
	
	Update about the FPS counter.

2000-12-14 11:51  mortene

	* include/Inventor/nodekits/SoSubKit.h,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/nodekits/SoInteractionKit.cpp, src/nodekits/SoSeparatorKit.cpp:
	
	Adds missing SoSubKit.h macros. Problem reported by Jacob Støren.
	
	Converts use of SO_NODE_* macros to SO_KIT_* macros where
	appropriate.

2000-12-08 14:34  mortene

	* docs/whitepapers/oiv_compatibility.txt:
	
	Adds item about type system initialization, by larsa.

2000-12-08 09:55  mortene

	* bootstrap, configure.in, depcomp:
	
	Upgrade to match Autoconf and Automake fresh from development CVS
	sources.

2000-12-08 09:55  mortene

	* src/events/SoMouseButtonEvent.cpp:
	
	Minor doc fixes.

2000-12-07 17:27  mortene

	* docs/api-wish-list.txt:
	
	Marks the extensions which are upwards compatible. By larsa.

2000-12-07 14:25  mortene

	* docs/api-wish-list.txt:
	
	Adds idea for "cleaning up" the SbVec* mess.

2000-12-07 14:20  mortene

	* docs/api-wish-list.txt:
	
	Adds pederb's items to api-wish-list.

2000-12-07 12:26  mortene

	* include/Inventor/actions/SoAction.h, src/actions/SoAction.cpp:
	
	Typo fix, by larsa.

2000-12-05 17:13  mortene

	* docs/api-wish-list.txt:
	
	larsa wants more field classes.

2000-12-05 15:21  mortene

	* docs/api-wish-list.txt:
	
	New file with proposed changes to the Coin API after v1.0.

2000-12-05 14:44  mortene

	* docs/whitepapers/oiv_compatibility.txt:
	
	Updates.

2000-12-04 12:51  mortene

	* TODO:
	
	Some new items from larsa.

2000-12-04 11:43  mortene

	* src/: actions/SoGLRenderAction.cpp, nodes/SoAnnotation.cpp:
	
	Fix to enable delayed render paths to work correctly for nodes
	besides the SoAnnotation node. By pederb.

2000-12-01 18:11  mortene

	* src/nodes/SoSeparator.cpp,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/nodes/SoSeparator.h, src/caches/SoGLCacheList.cpp:
	
	First try at GL render caching, implemented by pederb.
	
	(Yay!)

2000-12-01 18:06  mortene

	* include/Inventor/elements/SoGLDiffuseColorElement.h,
	src/elements/SoGLDiffuseColorElement.cpp:
	
	Simplified some code in SoGLDiffuseColorElement. Done by pederb.

2000-11-30 13:07  mortene

	* src/misc/SoGLImage.cpp:
	
	Control various parameters of texture handling (scaling etc) by
	environment variables.
	
	Implemented by pederb.

2000-11-25 00:13  mortene

	* configure.in:
	
	Got rid of all unused env vars which we AC_SUBST'ed from
	configure.in.

2000-11-24 17:35  mortene

	* include/Inventor/: SbDict.h, SoInput.h, SoType.h,
	lists/SoAuditorList.h:
	
	IRIX CC pedantery (get rid of warnings), by larsa.

2000-11-24 11:50  mortene

	* include/Inventor/lists/: SbIntList.h, SbStringList.h,
	SbVec3fList.h, SoDetailList.h, SoEngineOutputList.h, SoFieldList.h,
	SoPickedPointList.h, SoTypeList.h, SoVRMLInterpOutputList.h:
	
	Do not export DLL API on fully inlined list classes inheriting
	SbList, as this leads to missing symbols.

2000-11-24 11:21  mortene

	* configure.in:
	
	Fix so msvccc wrapper script is found even when running configure
	with relative path.

2000-11-24 11:20  mortene

	* include/Inventor/events/SoKeyboardEvent.h,
	src/events/SoKeyboardEvent.cpp:
	
	Include definition of DELETE as KEY_DELETE to be compatible with
	TGS' Inventor implementation for MSWindows platforms.

2000-11-24 10:31  mortene

	* include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp:
	
	Added support for setting GL_FOG_START in environment elements. 
	Fixed a bug in SoGLEnvironmentElement::pop(). Removed a FIXME.	By
	pederb.

2000-11-24 10:29  mortene

	* src/nodes/SoEnvironment.cpp:
	
	Update SoLightAttenuationElement when traversing the SoEnvironment
	node, fixed by pederb.

2000-11-23 11:43  mortene

	* include/Inventor/nodes/SoCamera.h, src/nodes/SoCamera.cpp:
	
	Adds methods for "correct" stereo. Done by pederb.

2000-11-23 11:42  mortene

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp:
	
	Fixed GL initialization bug in SoGLRenderAction. Also added support
	for line and point smoothing.
	
	By pederb.

2000-11-22 22:59  mortene

	* configure.in:
	
	Let "coin-config --cppflags" include -DCOIN_DLL under MSWindows.

2000-11-22 22:49  mortene

	* include/Inventor/: SbBSPTree.h, SbBasic.h.in, SbBox2f.h,
	SbBox2s.h, SbBox3f.h, SbColor.h, SbColor4f.h, SbCylinder.h,
	SbDict.h, SbHeap.h, SbImage.h, SbLine.h, SbMatrix.h, SbName.h,
	SbOctTree.h, SbPlane.h, SbRotation.h, SbSphere.h, SbString.h,
	SbTesselator.h, SbTime.h, SbVec2f.h, SbVec2s.h, SbVec3f.h,
	SbVec4f.h, SbViewVolume.h, SbViewportRegion.h, SbXfBox3f.h, SoDB.h,
	SoFullPath.h, SoInput.h, SoInteraction.h, SoNodeKitPath.h,
	SoOffscreenRenderer.h, SoOutput.h, SoPath.h, SoPickedPoint.h,
	SoPrimitiveVertex.h, SoSceneManager.h, SoType.h,
	VRMLnodes/SoVRMLInterpOutput.h, VRMLnodes/SoVRMLInterpolator.h,
	actions/SoAction.h, actions/SoBoxHighlightRenderAction.h,
	actions/SoCallbackAction.h, actions/SoGLRenderAction.h,
	actions/SoGetBoundingBoxAction.h, actions/SoGetMatrixAction.h,
	actions/SoGetPrimitiveCountAction.h,
	actions/SoGlobalSimplifyAction.h, actions/SoHandleEventAction.h,
	actions/SoLineHighlightRenderAction.h, actions/SoPickAction.h,
	actions/SoRayPickAction.h, actions/SoReorganizeAction.h,
	actions/SoSearchAction.h, actions/SoShapeSimplifyAction.h,
	actions/SoSimplifyAction.h, actions/SoToVRML2Action.h,
	actions/SoToVRMLAction.h, actions/SoWriteAction.h,
	bundles/SoBundle.h, bundles/SoMaterialBundle.h,
	bundles/SoTextureCoordinateBundle.h, caches/SoBoundingBoxCache.h,
	caches/SoCache.h, caches/SoConvexDataCache.h,
	caches/SoNormalCache.h, caches/SoTextureCoordinateCache.h,
	details/SoConeDetail.h, details/SoCubeDetail.h,
	details/SoCylinderDetail.h, details/SoDetail.h,
	details/SoFaceDetail.h, details/SoLineDetail.h,
	details/SoNodeKitDetail.h, details/SoPointDetail.h,
	details/SoTextDetail.h, draggers/SoCenterballDragger.h,
	draggers/SoDirectionalLightDragger.h,
	draggers/SoDragPointDragger.h, draggers/SoDragger.h,
	draggers/SoHandleBoxDragger.h, draggers/SoJackDragger.h,
	draggers/SoPointLightDragger.h,
	draggers/SoRotateCylindricalDragger.h,
	draggers/SoRotateDiscDragger.h,
	draggers/SoRotateSphericalDragger.h, draggers/SoScale1Dragger.h,
	draggers/SoScale2Dragger.h, draggers/SoScale2UniformDragger.h,
	draggers/SoScaleUniformDragger.h, draggers/SoSpotLightDragger.h,
	draggers/SoTabBoxDragger.h, draggers/SoTabPlaneDragger.h,
	draggers/SoTrackballDragger.h, draggers/SoTransformBoxDragger.h,
	draggers/SoTransformerDragger.h, draggers/SoTranslate1Dragger.h,
	draggers/SoTranslate2Dragger.h, elements/SoAccumulatedElement.h,
	elements/SoAmbientColorElement.h,
	elements/SoAnnoText3CharOrientElement.h,
	elements/SoAnnoText3FontSizeHintElement.h,
	elements/SoAnnoText3RenderPrintElement.h,
	elements/SoBBoxModelMatrixElement.h, elements/SoCacheElement.h,
	elements/SoClipPlaneElement.h, elements/SoComplexityElement.h,
	elements/SoComplexityTypeElement.h, elements/SoCoordinateElement.h,
	elements/SoCreaseAngleElement.h, elements/SoCullElement.h,
	elements/SoDecimationPercentageElement.h,
	elements/SoDecimationTypeElement.h,
	elements/SoDiffuseColorElement.h, elements/SoDrawStyleElement.h,
	elements/SoElement.h, elements/SoEmissiveColorElement.h,
	elements/SoEnvironmentElement.h, elements/SoFloatElement.h,
	elements/SoFocalDistanceElement.h, elements/SoFontNameElement.h,
	elements/SoFontSizeElement.h, elements/SoGLAmbientColorElement.h,
	elements/SoGLCacheContextElement.h,
	elements/SoGLClipPlaneElement.h, elements/SoGLColorIndexElement.h,
	elements/SoGLCoordinateElement.h,
	elements/SoGLDiffuseColorElement.h,
	elements/SoGLDrawStyleElement.h,
	elements/SoGLEmissiveColorElement.h,
	elements/SoGLEnvironmentElement.h, elements/SoGLLazyElement.h,
	elements/SoGLLightIdElement.h, elements/SoGLLightModelElement.h,
	elements/SoGLLinePatternElement.h, elements/SoGLLineWidthElement.h,
	elements/SoGLModelMatrixElement.h, elements/SoGLNormalElement.h,
	elements/SoGLNormalizeElement.h, elements/SoGLPointSizeElement.h,
	elements/SoGLPolygonOffsetElement.h,
	elements/SoGLPolygonStippleElement.h,
	elements/SoGLProjectionMatrixElement.h,
	elements/SoGLRenderPassElement.h, elements/SoGLShadeModelElement.h,
	elements/SoGLShapeHintsElement.h, elements/SoGLShininessElement.h,
	elements/SoGLSpecularColorElement.h,
	elements/SoGLTextureCoordinateElement.h,
	elements/SoGLTextureEnabledElement.h,
	elements/SoGLTextureImageElement.h,
	elements/SoGLTextureMatrixElement.h,
	elements/SoGLUpdateAreaElement.h,
	elements/SoGLViewingMatrixElement.h,
	elements/SoGLViewportRegionElement.h, elements/SoInt32Element.h,
	elements/SoLazyElement.h, elements/SoLightAttenuationElement.h,
	elements/SoLightElement.h, elements/SoLightModelElement.h,
	elements/SoLinePatternElement.h, elements/SoLineWidthElement.h,
	elements/SoLocalBBoxMatrixElement.h,
	elements/SoMaterialBindingElement.h,
	elements/SoModelMatrixElement.h, elements/SoNormalBindingElement.h,
	elements/SoNormalElement.h, elements/SoOverrideElement.h,
	elements/SoPROTOElement.h, elements/SoPickRayElement.h,
	elements/SoPickStyleElement.h, elements/SoPointSizeElement.h,
	elements/SoPolygonOffsetElement.h,
	elements/SoProfileCoordinateElement.h, elements/SoProfileElement.h,
	elements/SoProjectionMatrixElement.h, elements/SoReplacedElement.h,
	elements/SoShapeHintsElement.h, elements/SoShapeStyleElement.h,
	elements/SoShininessElement.h, elements/SoSpecularColorElement.h,
	elements/SoSwitchElement.h, elements/SoTextOutlineEnabledElement.h,
	elements/SoTextureCoordinateBindingElement.h,
	elements/SoTextureCoordinateElement.h,
	elements/SoTextureImageElement.h,
	elements/SoTextureMatrixElement.h,
	elements/SoTextureOverrideElement.h,
	elements/SoTextureQualityElement.h,
	elements/SoTransparencyElement.h, elements/SoUnitsElement.h,
	elements/SoViewVolumeElement.h, elements/SoViewingMatrixElement.h,
	elements/SoViewportRegionElement.h, elements/SoWindowElement.h,
	engines/SoBoolOperation.h, engines/SoCalculator.h,
	engines/SoComposeMatrix.h, engines/SoComposeRotation.h,
	engines/SoComposeRotationFromTo.h, engines/SoComposeVec2f.h,
	engines/SoComposeVec3f.h, engines/SoComposeVec4f.h,
	engines/SoComputeBoundingBox.h, engines/SoConcatenate.h,
	engines/SoConvertAll.h, engines/SoCounter.h,
	engines/SoDecomposeMatrix.h, engines/SoDecomposeRotation.h,
	engines/SoDecomposeVec2f.h, engines/SoDecomposeVec3f.h,
	engines/SoDecomposeVec4f.h, engines/SoElapsedTime.h,
	engines/SoEngine.h, engines/SoEngineOutput.h,
	engines/SoFieldConverter.h, engines/SoGate.h,
	engines/SoInterpolate.h, engines/SoInterpolateFloat.h,
	engines/SoInterpolateRotation.h, engines/SoInterpolateVec2f.h,
	engines/SoInterpolateVec3f.h, engines/SoInterpolateVec4f.h,
	engines/SoOnOff.h, engines/SoOneShot.h, engines/SoOutputData.h,
	engines/SoSelectOne.h, engines/SoTimeCounter.h,
	engines/SoTransformVec3f.h, engines/SoTriggerAny.h,
	errors/SoDebugError.h, errors/SoError.h, errors/SoMemoryError.h,
	errors/SoReadError.h, events/SoButtonEvent.h, events/SoEvent.h,
	events/SoKeyboardEvent.h, events/SoLocation2Event.h,
	events/SoMotion3Event.h, events/SoMouseButtonEvent.h,
	events/SoSpaceballButtonEvent.h, fields/SoField.h,
	fields/SoFieldContainer.h, fields/SoFieldData.h,
	fields/SoGlobalField.h, fields/SoMFBitMask.h, fields/SoMFBool.h,
	fields/SoMFColor.h, fields/SoMFEngine.h, fields/SoMFEnum.h,
	fields/SoMFFloat.h, fields/SoMFInt32.h, fields/SoMFMatrix.h,
	fields/SoMFName.h, fields/SoMFNode.h, fields/SoMFPath.h,
	fields/SoMFPlane.h, fields/SoMFRotation.h, fields/SoMFShort.h,
	fields/SoMFString.h, fields/SoMFTime.h, fields/SoMFUInt32.h,
	fields/SoMFUShort.h, fields/SoMFVec2f.h, fields/SoMFVec3f.h,
	fields/SoMFVec4f.h, fields/SoMField.h, fields/SoSFBitMask.h,
	fields/SoSFBool.h, fields/SoSFColor.h, fields/SoSFEngine.h,
	fields/SoSFEnum.h, fields/SoSFFloat.h, fields/SoSFImage.h,
	fields/SoSFInt32.h, fields/SoSFMatrix.h, fields/SoSFName.h,
	fields/SoSFNode.h, fields/SoSFPath.h, fields/SoSFPlane.h,
	fields/SoSFRotation.h, fields/SoSFShort.h, fields/SoSFString.h,
	fields/SoSFTime.h, fields/SoSFTrigger.h, fields/SoSFUInt32.h,
	fields/SoSFUShort.h, fields/SoSFVec2f.h, fields/SoSFVec3f.h,
	fields/SoSFVec4f.h, fields/SoSField.h, lists/SbIntList.h,
	lists/SbList.h, lists/SbPList.h, lists/SbStringList.h,
	lists/SbVec3fList.h, lists/SoActionMethodList.h,
	lists/SoAuditorList.h, lists/SoBaseList.h, lists/SoCallbackList.h,
	lists/SoDetailList.h, lists/SoEnabledElementsList.h,
	lists/SoEngineList.h, lists/SoEngineOutputList.h,
	lists/SoFieldList.h, lists/SoNodeList.h, lists/SoPathList.h,
	lists/SoPickedPointList.h, lists/SoTypeList.h,
	lists/SoVRMLInterpOutputList.h, lock/SoLockMgr.h,
	manips/SoCenterballManip.h, manips/SoClipPlaneManip.h,
	manips/SoDirectionalLightManip.h, manips/SoHandleBoxManip.h,
	manips/SoJackManip.h, manips/SoPointLightManip.h,
	manips/SoSpotLightManip.h, manips/SoTabBoxManip.h,
	manips/SoTrackballManip.h, manips/SoTransformBoxManip.h,
	manips/SoTransformManip.h, manips/SoTransformerManip.h,
	misc/SoBase.h, misc/SoByteStream.h, misc/SoChildList.h,
	misc/SoGLImage.h, misc/SoGlyph.h, misc/SoLightPath.h,
	misc/SoNormalGenerator.h, misc/SoNotification.h, misc/SoState.h,
	misc/SoTempPath.h, misc/SoTranReceiver.h, misc/SoTranSender.h,
	nodekits/SoAppearanceKit.h, nodekits/SoBaseKit.h,
	nodekits/SoCameraKit.h, nodekits/SoInteractionKit.h,
	nodekits/SoLightKit.h, nodekits/SoNodeKit.h,
	nodekits/SoNodeKitListPart.h, nodekits/SoNodekitCatalog.h,
	nodekits/SoSceneKit.h, nodekits/SoSeparatorKit.h,
	nodekits/SoShapeKit.h, nodekits/SoWrapperKit.h,
	nodes/SoAnnoText3.h, nodes/SoAnnoText3Property.h,
	nodes/SoAnnotation.h, nodes/SoAntiSquish.h, nodes/SoArray.h,
	nodes/SoAsciiText.h, nodes/SoBaseColor.h, nodes/SoBlinker.h,
	nodes/SoCallback.h, nodes/SoCamera.h, nodes/SoClipPlane.h,
	nodes/SoColorIndex.h, nodes/SoComplexity.h, nodes/SoCone.h,
	nodes/SoCoordinate3.h, nodes/SoCoordinate4.h, nodes/SoCube.h,
	nodes/SoCylinder.h, nodes/SoDirectionalLight.h,
	nodes/SoDrawStyle.h, nodes/SoEnvironment.h,
	nodes/SoEventCallback.h, nodes/SoExtSelection.h, nodes/SoFaceSet.h,
	nodes/SoFile.h, nodes/SoFont.h, nodes/SoFontStyle.h,
	nodes/SoGroup.h, nodes/SoImage.h, nodes/SoIndexedFaceSet.h,
	nodes/SoIndexedLineSet.h, nodes/SoIndexedNurbsCurve.h,
	nodes/SoIndexedNurbsSurface.h, nodes/SoIndexedShape.h,
	nodes/SoIndexedTriangleStripSet.h, nodes/SoInfo.h, nodes/SoLOD.h,
	nodes/SoLabel.h, nodes/SoLevelOfDetail.h,
	nodes/SoLevelOfSimplification.h, nodes/SoLight.h,
	nodes/SoLightModel.h, nodes/SoLineSet.h, nodes/SoLinearProfile.h,
	nodes/SoLocateHighlight.h, nodes/SoMarkerSet.h, nodes/SoMaterial.h,
	nodes/SoMaterialBinding.h, nodes/SoMatrixTransform.h,
	nodes/SoMultipleCopy.h, nodes/SoNode.h, nodes/SoNonIndexedShape.h,
	nodes/SoNormal.h, nodes/SoNormalBinding.h, nodes/SoNurbsCurve.h,
	nodes/SoNurbsProfile.h, nodes/SoNurbsSurface.h,
	nodes/SoOrthographicCamera.h, nodes/SoPackedColor.h,
	nodes/SoPathSwitch.h, nodes/SoPendulum.h,
	nodes/SoPerspectiveCamera.h, nodes/SoPickStyle.h,
	nodes/SoPointLight.h, nodes/SoPointSet.h, nodes/SoPolygonOffset.h,
	nodes/SoProfile.h, nodes/SoProfileCoordinate2.h,
	nodes/SoProfileCoordinate3.h, nodes/SoQuadMesh.h,
	nodes/SoResetTransform.h, nodes/SoRotation.h,
	nodes/SoRotationXYZ.h, nodes/SoRotor.h, nodes/SoScale.h,
	nodes/SoSelection.h, nodes/SoSeparator.h, nodes/SoShape.h,
	nodes/SoShapeHints.h, nodes/SoShuttle.h, nodes/SoSphere.h,
	nodes/SoSpotLight.h, nodes/SoSurroundScale.h, nodes/SoSwitch.h,
	nodes/SoText2.h, nodes/SoText3.h, nodes/SoTexture2.h,
	nodes/SoTexture2Transform.h, nodes/SoTextureCoordinate2.h,
	nodes/SoTextureCoordinateBinding.h,
	nodes/SoTextureCoordinateDefault.h,
	nodes/SoTextureCoordinateEnvironment.h,
	nodes/SoTextureCoordinateFunction.h,
	nodes/SoTextureCoordinatePlane.h, nodes/SoTransform.h,
	nodes/SoTransformSeparator.h, nodes/SoTransformation.h,
	nodes/SoTranslation.h, nodes/SoTriangleStripSet.h, nodes/SoUnits.h,
	nodes/SoUnknownNode.h, nodes/SoVertexProperty.h,
	nodes/SoVertexShape.h, nodes/SoWWWAnchor.h, nodes/SoWWWInline.h,
	projectors/SbCylinderPlaneProjector.h,
	projectors/SbCylinderProjector.h,
	projectors/SbCylinderSectionProjector.h,
	projectors/SbCylinderSheetProjector.h,
	projectors/SbLineProjector.h, projectors/SbPlaneProjector.h,
	projectors/SbProjector.h, projectors/SbSpherePlaneProjector.h,
	projectors/SbSphereProjector.h,
	projectors/SbSphereSectionProjector.h,
	projectors/SbSphereSheetProjector.h, sensors/SoAlarmSensor.h,
	sensors/SoDataSensor.h, sensors/SoDelayQueueSensor.h,
	sensors/SoFieldSensor.h, sensors/SoIdleSensor.h,
	sensors/SoNodeSensor.h, sensors/SoOneShotSensor.h,
	sensors/SoPathSensor.h, sensors/SoSensor.h,
	sensors/SoSensorManager.h, sensors/SoTimerQueueSensor.h,
	sensors/SoTimerSensor.h:
	
	Sets up a define COIN_DLL for use when building code against the
	Coin API.
	
	Rename COIN_DLL_EXPORT to the more appropriate COIN_DLL_API.

2000-11-22 22:27  mortene

	* include/Inventor/SbImage.h:
	
	Export the SbImage API from MSWindows DLLs.

2000-11-22 22:24  mortene

	* src/misc/SoBase.cpp:
	
	Additional debug info "hooks".

2000-11-22 11:24  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Include config.h, remove unnecessary include header coindefs.h.

2000-11-22 10:46  mortene

	* src/elements/SoGLColorIndexElement.cpp:
	
	Initialize the color index element to a default array in init(). 
	By pederb.

2000-11-21 16:34  mortene

	* src/misc/SoSceneManager.cpp:
	
	Fix for the reinitializing code.

2000-11-15 20:04  mortene

	* include/Inventor/actions/SoLineHighlightRenderAction.h:
	
	Remove unnecessary forward declarations.

2000-11-15 16:25  mortene

	* src/misc/SoInput.cpp:
	
	Let memory buffer input streams be valid even with no Inventor
	header.
	
	Fixes Bugzilla #245.

2000-11-15 14:14  mortene

	* src/nodes/SoPointSet.cpp, include/Inventor/nodes/SoPointSet.h:
	
	Overload both generateDefaultNormal() methods to avoid compiler
	warnings (SGI CC). Fixed by pederb.

2000-11-15 14:13  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Initialize GL cache context. By pederb.

2000-11-15 14:12  mortene

	* src/nodes/SoImage.cpp:
	
	GL pixel store PACK/UNPACK alignment fix. By pederb.

2000-11-15 11:05  mortene

	* src/nodes/SoText2.cpp:
	
	Updates to TODO-list.

2000-11-15 11:00  mortene

	* src/nodes/SoText2.cpp:
	
	Use default static fontdata on non-X11 platforms.

2000-11-15 10:41  mortene

	* src/misc/: GLUWrapper.c, GLUWrapper.h:
	
	Wrap function signature types with APIENTRY define on Win32.

2000-11-15 10:16  mortene

	* src/misc/SoGLImage.cpp:
	
	Typo in method documentation.

2000-11-15 09:43  mortene

	* configure.in:
	
	Minor corrections in comments.

2000-11-03 19:41  mortene

	* src/misc/SoDB.cpp:
	
	Bugfix to prevent crash on exit under MSWindows platforms.

2000-11-03 13:43  mortene

	* src/errors/SoError.cpp:
	
	Flush stderr when using the default handler.

2000-11-02 16:47  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Better documentation on enableNotify().

2000-11-02 16:01  mortene

	* src/elements/SoGLTextureImageElement.cpp:
	
	Add FIXME about memory leak in the handling of texturemap display
	lists.

2000-11-02 15:45  mortene

	* bootstrap:
	
	Corrected "if ! test" to "if test !".

2000-11-02 15:13  mortene

	* src/base/SbTime.cpp:
	
	Kill an old TODO-item (which was originally waiting for the
	SoError-classes to get implemented..).

2000-11-02 14:15  mortene

	* include/Inventor/SbTime.h, src/base/SbTime.cpp,
	src/engines/SoConvertAll.cpp:
	
	Use a proper default format for SbTime::formatDate() for MSWindows
	platforms.

2000-11-02 12:10  mortene

	* src/nodes/: SoAsciiText.cpp, SoText3.cpp:
	
	Plug memory leaks in glyph handling.

2000-11-02 10:16  mortene

	* src/nodekits/SoInteractionKit.cpp:
	
	Revert back to revision 1.23 after it was discovered that at least
	the SoPointLightDragger geometry fails to be set properly with the
	new setAnyPartAsDefault() code.

2000-11-01 13:48  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Fix for a delete not matching the new[].

2000-11-01 13:08  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Avoid zero reference count when applying actions to the paths with
	transparent objects for delayed rendering.

2000-10-31 15:30  mortene

	* configure.in:
	
	Kill off some old cruft in the configure.in file.

2000-10-31 15:27  mortene

	* build/geniwz.pl:
	
	Don't redirect stdout and stderr to /dev/null, as it won't work on
	MSWindows platforms.

2000-10-31 15:03  mortene

	* Makefile.am, configure.in, build/Makefile.am, build/README,
	build/coin.iwz.in, build/geniwz.pl:
	
	Autogeneration of the Installshield spec file.

2000-10-31 15:03  mortene

	* src/draggers/SoTranslate1Dragger.cpp:
	
	Miniscule codestyle fix.

2000-10-31 13:59  mortene

	* build/geniwz.pl:
	
	Perl script for generating parts of the Installshield script file.

2000-10-30 13:10  mortene

	* AUTHORS, HACKING, NEWS, README, README.MSVC, README.WIN32,
	THANKS, TODO:
	
	Misc info-file updates.

2000-10-30 12:22  mortene

	* src/: misc/SoGLImage.cpp, misc/SoOffscreenRenderer.cpp,
	nodes/SoImage.cpp:
	
	Restore GL pixel store values after use. Fix by pederb.

2000-10-28 10:54  mortene

	* Makefile.am, configure.in:
	
	Update according to changes in build/.

2000-10-27 18:56  mortene

	* build/: CoinSDK.iwz.in, Makefile.am, README, SoCoinSDK.iwz.in.in,
	coin.dsp.in, coin.iwz.in, coin.mak.in, coin_dll.dsp.in,
	coin_dll.mak.in, important.txt:
	
	Kill old MSVC project and makefiles, as we can now build with the
	GNU tools under Cygwin using a wrapper script around the MSVC
	compiler and linker.
	
	Remove old Installshield templates, started with a simpler template
	based on the one used for simage.

2000-10-27 17:17  mortene

	* depcomp:
	
	Update to include support for MSVC++ dependency tracking.

2000-10-27 16:16  mortene

	* src/misc/default2dfont.cpp:
	
	"Bugfix" for the apostrophe character. It was upside down. Fixed by
	pederb.

2000-10-27 14:04  mortene

	* configure.in:
	
	Update due to a change of name for the SIM_COMPILE_DEBUG macro.

2000-10-27 13:12  mortene

	* src/: actions/soglrenderaction.scm, misc/soinput.scm,
	nodekits/sobasekit.scm, nodes/sonode.scm:
	
	Add various Ivy Scheme testcode files.

2000-10-27 13:10  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Minor documentation fixes.

2000-10-26 12:06  mortene

	* configure.in, src/Makefile.am:
	
	Wrote Make rules for building and installing Coin DLLs under
	MSWindows.

2000-10-26 11:29  mortene

	* configure.in:
	
	Re-exposing path variables used by various configuration files
	under build/.

2000-10-26 11:24  mortene

	* docs/coin.doxygen.in, include/Inventor/SbImage.h,
	src/base/SbImage.cpp:
	
	Add SbImage::searchForFile() to the public interface.
	
	This should be useful for application programmers who wants to find
	out which actual texture file on disk matches a texture name given
	to SoTexture2 nodes.
	
	Feature requested by Larry D'Cunha.

2000-10-26 11:09  mortene

	* README.IRIX:
	
	Remove comment on non-reproducible problem (which was probably due
	to a mistake on the users' side anyway).

2000-10-26 11:07  mortene

	* README.IRIX:
	
	Some elaboration on the "Argument list too long" solutions.

2000-10-25 14:12  mortene

	* configure.in:
	
	Add FIXME to the netinet/in.h section.

2000-10-25 14:01  mortene

	* configure.in, src/misc/SoInput.cpp, acconfig.h:
	
	netinet/in.h depends on sys/types.h on some platforms, according to
	Ralf Corsepius, so we make sure to always include it before the
	netinet/in.h file.

2000-10-25 13:03  mortene

	* src/draggers/SoDragger.cpp:
	
	ref() the path instance used by the SoDraggerCache to avoid
	warnings from SoAction::apply() due to zero refcount.
	
	Problem reported by Mark B. Allan.

2000-10-25 12:50  mortene

	* configure.in, Makefile.am:
	
	Moved example code from Coin CVS module to IvExamples module.

2000-10-25 12:10  mortene

	* src/nodes/SoEventCallback.cpp:
	
	Fixed a bug in path test (the old test was reversed!). Also added a
	warning when reference count of input path is zero.
	
	Done by pederb.

2000-10-25 11:50  mortene

	* configure.in, acconfig.h, src/misc/SoInput.cpp:
	
	Check for <sys/param.h> include so we are able to use ntohl() etc
	on FreeBSD systems. Problem reported and patch submitted by Mark
	Coletti.

2000-10-24 18:03  mortene

	* src/misc/SoInput.cpp:
	
	Add FIXME on mysterious argument.

2000-10-24 18:03  mortene

	* src/nodes/SoNode.cpp:
	
	Remove defines not in use in the code.

2000-10-24 15:31  mortene

	* configure.in, acconfig.h, src/misc/SoInput.cpp:
	
	Do proper testing for the network byteorder conversion functions.

2000-10-24 14:53  mortene

	* src/nodes/: SoAnnotation.cpp, SoAsciiText.cpp,
	SoDirectionalLight.cpp, SoIndexedFaceSet.cpp, SoIndexedLineSet.cpp,
	SoLineSet.cpp, SoNode.cpp, SoPointLight.cpp, SoPointSet.cpp,
	SoQuadMesh.cpp, SoSpotLight.cpp, SoText3.cpp,
	SoTextureCoordinateEnvironment.cpp, SoTextureCoordinatePlane.cpp,
	SoTriangleStripSet.cpp:
	
	Include config.h to be able to accurately check the HAVE_WINDOWS_H
	define.

2000-10-24 14:28  mortene

	* acconfig.h, coin-config.in, configure.in:
	
	Major clean-up of configure and build to work with the new
	Microsoft Visual C++ wrapper script.

2000-10-24 14:13  mortene

	* src/bundles/SoMaterialBundle.cpp:
	
	Include config.h to get hold of HAVE_WINDOWS_H define.

2000-10-24 13:57  mortene

	* src/misc/SoInput.cpp:
	
	Checking for ctype.h is unnecessary.

2000-10-24 12:14  mortene

	* autogen.sh, bootstrap:
	
	Renamed autogen.sh to bootstrap (which seems to be the more common
	name).

2000-10-23 13:45  mortene

	* src/nodes/SoTexture2.cpp:
	
	Supply a dummy texture image when a filename has been set but
	texture image was not loaded for some reason. This enables texture
	coordinates to be generated even when a texture file could not be
	loaded. Problem reported by Larry D'Cunha and fixed by pederb.

2000-10-23 13:44  mortene

	* src/nodes/: SoIndexedFaceSet.cpp, SoIndexedTriangleStripSet.cpp:
	
	Fixed default texture coordinates bug in generatePrimitives(). Bug
	reported by Larry D'Cunha and fixed by pederb.

2000-10-20 12:31  mortene

	* src/actions/SoAction.cpp:
	
	Warn if reference count of node or path in SoAction::apply() is
	equal to zero.

2000-10-20 12:16  mortene

	* src/actions/SoAction.cpp:
	
	Elaborated a bit on the SoAction::apply() documentation by warning
	about applying actions to nodes with zero reference count.
	
	Problem reported by Nick Halper.

2000-10-19 16:17  mortene

	* src/base/SbImage.cpp:
	
	Use simage_free_image() instead of free() to avoid crash when
	running on MSWindows with simage loaded as a DLL.

2000-10-19 12:15  mortene

	* src/base/SbViewVolume.cpp:
	
	Reimplemented SbViewVolume::getMatrices(). The old version had a
	bug in some special cases. Fixed by pederb.

2000-10-19 12:15  mortene

	* src/base/SbMatrix.cpp:
	
	Removed/simplified some silly old code. Fixed by pederb.

2000-10-18 14:14  mortene

	* src/base/SbImage.cpp:
	
	Signature of simage_get_last_error() has changed.

2000-10-17 14:08  mortene

	* src/actions/SoAction.cpp:
	
	Simplified code by creating state the first time
	SoAction::getState() is called. Fixed by pederb.

2000-10-17 13:32  mortene

	* src/nodes/: SoArray.cpp, SoFile.cpp, SoGroup.cpp, SoLOD.cpp,
	SoLevelOfDetail.cpp, SoMultipleCopy.cpp, SoNode.cpp, SoSwitch.cpp:
	
	Simplified callback handling for group nodes. Done by pederb.

2000-10-17 13:31  mortene

	* src/actions/SoCallbackAction.cpp:
	
	Bugfix. Reset SoCallbackAction response to continue after a node
	has been pruned. Bug reported by Loring Holden and fixed by pederb.

2000-10-16 12:07  mortene

	* src/misc/GLUWrapper.c:
	
	Avoid trying to get the function pointer of gluNurbsCallbackData()
	on static linking unless GLU_VERSION_1_3 is defined. Problem
	reported by Larry D'Cunha.
	
	Also a few other fixes wrt how we grab the GLU function pointers.

2000-10-16 11:03  mortene

	* src/base/SbImage.cpp:
	
	Be careful not to use any functions from libsimage if it can't be
	loaded.  Problem reported by Larry D'Cunha.

2000-10-16 00:35  mortene

	* include/Inventor/SbBasic.h.in:
	
	Removed unused Doxygen documentation group.

2000-10-16 00:34  mortene

	* include/Inventor/SbVec3f.h, src/base/SbVec3f.cpp:
	
	Fixed misspelling, it's "barycentric" -- not "barycentic". *grumpf*

2000-10-16 00:30  mortene

	* src/base/SbVec3f.cpp:
	
	Misc codestyle fixes.

2000-10-12 17:12  mortene

	* src/elements/: SoGLClipPlaneElement.cpp,
	SoGLProjectionMatrixElement.cpp:
	
	Fixed bug introduced by the push()/pop() reorganization, by pederb.

2000-10-12 17:12  mortene

	* src/nodes/SoPolygonOffset.cpp:
	
	Avoid getting current state value before setting new value since
	this can cause a cache dependency.
	
	Fixed by pederb.

2000-10-12 17:10  mortene

	* include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoLazyElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoPickRayElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoViewingMatrixElement.cpp:
	
	Implemented missing maches()/copyMatchInfo() methods. Also removed
	empty element print() methods.
	
	Done by pederb.

2000-10-12 14:16  mortene

	* src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoCullElement.cpp, src/misc/SoState.cpp,
	src/elements/SoElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoLazyElement.cpp, src/elements/SoLightElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp:
	
	Changed push() and pop() handling for elements to be OIV compliant.
	 Done by pederb.

2000-10-10 11:42  mortene

	* include/Inventor/SbBSPTree.h, src/base/SbBSPTree.cpp:
	
	Two methods made const, fixed by pederb.

2000-10-09 14:41  mortene

	* src/nodes/SoCallback.cpp:
	
	Fixed bug in SoCallback::search() and write(). Should call the
	respective SoNode function after calling callback.
	
	Done by pederb.

2000-10-06 13:17  mortene

	* include/Inventor/nodekits/SoSubKit.h:
	
	Include SoNodeKitListPart.h for better Open Inventor compatibility.
	 Reported by Nick Halper.

2000-10-06 12:22  mortene

	* Makefile.am, TODO, configure.in:
	
	Removed tools, as they have been split out into their own CVS
	module "IvTools".

2000-10-06 10:37  mortene

	* build/CoinSDK.iwz.in, build/SoCoinSDK.iwz.in.in,
	build/coin.dsp.in, build/coin.mak.in,
	include/Inventor/caches/SoGLCacheList.h,
	include/Inventor/caches/SoGLRenderCache.h, src/caches/Makefile.am,
	src/caches/SoGLCacheList.cpp, src/caches/SoGLRenderCache.cpp,
	build/coin.spec.in, build/coin_dll.dsp.in, build/coin_dll.mak.in:
	
	Implementation of SoGLCacheList and SoGLRenderCache, done by
	pederb.

2000-10-06 10:27  mortene

	* src/elements/SoShapeStyleElement.cpp:
	
	Implementation of matches() and copyMatchInfo() for this element,
	done by pederb.

2000-10-04 17:57  mortene

	* src/nodekits/SoInteractionKit.cpp:
	
	Cleaned up and corrected implementation of setAnyPartAsDefault().

2000-10-04 17:40  mortene

	* include/Inventor/nodekits/SoBaseKit.h,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoInteractionKit.cpp:
	
	Cleaned up the interface between SoBaseKit and SoInteractionKit a
	bit by using a list instead of a static array for storing the
	catalog instance pointers.

2000-10-04 16:50  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Documented SoBaseKit::createPathToAnyPart().

2000-10-04 16:10  mortene

	* src/nodekits/SoInteractionKit.cpp:
	
	Codestyle fixes.

2000-10-04 16:08  mortene

	* include/Inventor/nodekits/SoBaseKit.h,
	src/nodekits/SoBaseKit.cpp:
	
	Added protected method to get at the array of catalog node
	pointers.  Done as a cleanup measure to later get rid of the mess
	in the interface between SoInteractionKit and SoBaseKit.

2000-10-04 15:36  mortene

	* src/misc/SoGL.cpp, include/Inventor/misc/SoGL.h:
	
	Removed some obsoleted code, done by pederb.

2000-10-04 15:35  mortene

	* include/Inventor/elements/SoGLPolygonOffsetElement.h,
	src/elements/SoGLPolygonOffsetElement.cpp:
	
	Use SoGLCacheContextElement to test for OpenGL extension. Fixed by
	pederb.

2000-10-04 15:33  mortene

	* include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/misc/SoGLImage.h,
	src/elements/SoGLCacheContextElement.cpp,
	src/elements/SoGLDisplayList.cpp,
	src/elements/SoGLTextureImageElement.cpp, src/misc/SoGLImage.cpp,
	src/nodes/SoTexture2.cpp,
	include/Inventor/elements/SoGLTextureImageElement.h:
	
	Patch to handle textures correctly with multiple cache contexts.
	
	Done by pederb.

2000-10-04 14:58  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Switched from SoDebugError:post() to assert() in obsoleted funtion.

2000-10-04 14:54  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Switch from COIN_STUB() to assert() in obsoleted funtion.

2000-10-04 14:51  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Codestyle cleanups.

2000-10-04 14:01  mortene

	* src/elements/SoCullElement.cpp,
	include/Inventor/nodes/SoCamera.h, src/nodes/SoCamera.cpp,
	src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoPerspectiveCamera.cpp:
	
	Fixed bugs in orthographic camera handling. Simplified the code for
	calculating and setting the view volume.
	
	Done by pederb.

2000-10-04 11:26  mortene

	* src/nodekits/soappearancekit.scm:
	
	Added code for testing copy and import functionality.

2000-10-04 11:19  mortene

	* src/nodekits/soappearancekit.scm:
	
	Ivy Scheme code for testing the SoAppearanceKit.

2000-10-03 19:10  pederb

	* src/base/SbImage.cpp:
	
	Removed simage_clear_error references. This function has been
	obsoleted.

2000-10-03 17:18  mortene

	* src/nodekits/: SoNodeKitListPart.cpp, sonodekitlistpart.scm:
	
	Fixed bug which caused SoNodeKitListPart nodes to write "field
	[...]" on export: the isBuiltIn bool was FALSE due to use of
	SO_NODE_CONSTRUCTOR instead of the internal version.
	
	Also added a file with Ivy Scheme code for testing
	SoNodeKitListPart.

2000-10-03 16:19  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Be able to render offscreen even if we can only get doublebuffer
	visuals.

2000-10-03 14:18  mortene

	* src/elements/Makefile.am, src/elements/SoElement.cpp,
	src/elements/SoGLCacheContextElement.cpp,
	src/elements/SoGLDisplayList.cpp, build/CoinSDK.iwz.in,
	build/SoCoinSDK.iwz.in.in, build/coin.dsp.in, build/coin.mak.in,
	build/coin.spec.in, build/coin_dll.dsp.in, build/coin_dll.mak.in,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoGLCacheContextElement.h,
	src/actions/SoGLRenderAction.cpp:
	
	Implementation of SoGLCacheContextElement and SoGLDisplayList, done
	by pederb.

2000-10-03 13:27  mortene

	* src/misc/GLUWrapper.c:
	
	Fixed several embarassing bugs in the version string parsing, and
	added some test code.

2000-10-03 12:31  mortene

	* src/misc/GLUWrapper.c:
	
	Just-in-case bugfix, by pederb.

2000-10-02 18:21  mortene

	* acconfig.h, coindefs.h, configure.in,
	src/actions/SoGLRenderAction.cpp, src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLColorIndexElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp, src/misc/SoDB.cpp,
	src/misc/SoGL.cpp, src/misc/SoInput.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoOutput.cpp,
	src/misc/SoSceneManager.cpp, src/nodes/SoAnnotation.cpp,
	src/nodes/SoAsciiText.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoQuadMesh.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoShape.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTriangleStripSet.cpp, src/nodes/SoWWWInline.cpp:
	
	Various configuration and build cleanups (heed feature tests
	instead of checking _WIN32, for instance).

2000-10-02 17:29  mortene

	* src/base/SbImage.cpp:
	
	Better debug output when failing to load libsimage at runtime.

2000-10-02 16:27  mortene

	* src/nodes/: soextselection.scm, soselection.scm:
	
	Ivy Scheme code for testing SoSelection and SoExtSelection nodes.

2000-10-02 14:45  mortene

	* src/nodes/SoSelection.cpp:
	
	Invoke the change callbacks on any change in selection status.

2000-10-02 14:26  mortene

	* src/manips/SoTransformManip.cpp:
	
	Bugfix SoTransformMatrix::getMatrix(), reported by Nick Halper. 
	Done by pederb.

2000-10-02 11:25  mortene

	* src/: misc/GLUWrapper.h, nodes/SoIndexedNurbsCurve.cpp,
	nodes/SoIndexedNurbsSurface.cpp, nodes/SoNurbsCurve.cpp,
	nodes/SoNurbsProfile.cpp, nodes/SoNurbsSurface.cpp:
	
	Took care of compiler warnings due to mismatch in function
	signature for gluNurbsCallback() for different versions of GLU.

2000-10-02 10:47  mortene

	* configure.in:
	
	Do the right thing when the GLU functionality is part of the core
	OpenGL library.

2000-09-30 14:04  mortene

	* src/misc/GLUWrapper.c:
	
	Search for other GLU library file names than just libGLU.so (like
	libMesa.so and libGLU.sl).

2000-09-30 11:32  mortene

	* src/fields/: SFNodeEnginePath.tpl, SoSFEngine.cpp, SoSFNode.cpp,
	SoSFPath.cpp:
	
	Fixed typo in code comment.

2000-09-29 19:09  mortene

	* configure.in:
	
	Bugfix by larsa: check and include mathlib only if not already
	available.

2000-09-29 18:56  mortene

	* acconfig.h, configure.in, build/coin.dsp.in, build/coin.mak.in,
	build/coin_dll.dsp.in, build/coin_dll.mak.in,
	src/misc/GLUWrapper.c, src/misc/GLUWrapper.h, src/misc/Makefile.am,
	src/misc/SoGL.cpp, src/misc/SoGLImage.cpp, src/misc/all.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp:
	
	Use dynamic loading of the GLU library at runtime, if possible.

2000-09-29 18:55  mortene

	* src/nodekits/SoNodekitCatalog.cpp:
	
	Miniscule documentation fix.

2000-09-29 16:17  mortene

	* src/engines/evaluator.c:
	
	Changed C++-comment to C. Found & fixed by larsa.

2000-09-29 13:44  mortene

	* src/base/SbTesselator.cpp:
	
	Fixed typo in doc.

2000-09-29 13:03  mortene

	* src/base/SbTesselator.cpp:
	
	Included an example of how to use SbTesselator in the
	documentation.

2000-09-29 12:29  mortene

	* configure.in:
	
	Changed back from version number 0.9.5 to 0.9.0 to avoid problems
	with the release(/micro) number -- which for some reason seem to
	used as the major version for the library on disk with libtool.

2000-09-29 12:13  mortene

	* src/nodekits/: SoNodeKitListPart.cpp, SoNodekitCatalog.cpp:
	
	Added some missing documentation.

2000-09-29 11:44  mortene

	* docs/coin.doxygen.in:
	
	Removed empty VRML2 class from documentation, as its not going to
	get implemented as part of Coin v1.0.

2000-09-29 11:39  mortene

	* configure.in:
	
	Bumped up version number to more accurately reflect currect state.

2000-09-29 11:36  mortene

	* docs/coin.doxygen.in:
	
	Corrected path to file SoNodeKitPath.h.

2000-09-29 11:25  mortene

	* docs/coin.doxygen.in, src/base/SbTesselator.cpp:
	
	Completed documentation of SbTesselator.

2000-09-28 18:03  mortene

	* src/base/SbImage.cpp:
	
	typedef'ed function signature from libsimage.

2000-09-28 16:31  mortene

	* acconfig.h, configure.in:
	
	Synchronize with changes to OpenGL detection macro(s).

2000-09-28 15:07  mortene

	* src/base/SbImage.cpp:
	
	Clean up at exit if we load simage at runtime.

2000-09-28 14:56  mortene

	* configure.in, acconfig.h, include/Inventor/SbImage.h,
	src/base/SbImage.cpp:
	
	Support for using the dl library for runtime loading & linking on
	demand of the simage library.

2000-09-27 19:20  mortene

	* src/nodes/sotexture2.scm:
	
	Ivy Scheme code for testing the SoTexture2 node.

2000-09-27 17:39  mortene

	* src/nodes/: SoFaceSet.cpp, SoQuadMesh.cpp,
	SoTriangleStripSet.cpp:
	
	Bugfix. Generating primitives for non-indexed shapes would cause a
	segfault when the light model was BASE_COLOR and no normals were on
	the state.
	
	Done by pederb.

2000-09-27 17:36  mortene

	* src/base/SbOctTree.cpp:
	
	Remove coindefs.h include (no stubs left in file).

2000-09-27 17:26  mortene

	* src/base/SbBox3f.cpp:
	
	Removed coindefs.h include (there are no more stubs in this file).

2000-09-27 16:58  mortene

	* configure.in:
	
	Use new macro SIM_AC_CHECK_HEADERS to replace old gruff.

2000-09-27 16:14  mortene

	* src/nodes/sotext3.scm:
	
	Test more of the bevel functionality.

2000-09-27 16:13  mortene

	* src/nodekits/: SoBaseKit.cpp, SoNodeKitListPart.cpp,
	SoNodeKitPath.cpp, SoNodekitCatalog.cpp, nodekits.metadon:
	
	Misc codestyle fixes and minor cleanups.

2000-09-27 14:36  mortene

	* src/nodes/SoText3.cpp:
	
	Bugfix; avoid frontfaces and/or backfaces to be positioned at
	+-inf. Done by skei.

2000-09-27 14:29  mortene

	* src/nodes/SoText3.cpp:
	
	Various fixes to profiling code, done by skei.

2000-09-27 12:42  mortene

	* src/engines/SoTriggerAny.cpp:
	
	Added documentation for the output.

2000-09-27 12:34  mortene

	* src/engines/SoTransformVec3f.cpp, src/engines/SoTriggerAny.cpp,
	src/engines/engines.metadon,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h:
	
	Completed documentation and did some code cleanups for
	SoTransformVec3f and SoTriggerAny engines.

2000-09-27 12:22  mortene

	* include/Inventor/engines/SoOneShot.h,
	src/engines/SoElapsedTime.cpp, src/engines/SoOneShot.cpp,
	src/engines/SoTimeCounter.cpp:
	
	Overloaded SoOneShot::writeInstance() to avoid writing the realTime
	global field.

2000-09-27 12:16  mortene

	* include/Inventor/engines/SoOneShot.h, src/engines/SoOneShot.cpp,
	src/engines/engines.metadon, src/engines/sooneshot.scm:
	
	Fixed several problems with the SoOneShot engine; optimized it to
	not notify connected slave fields when it is not running, corrected
	behavior on HOLD_FINAL and generally made the code more readable
	and cleaner.

2000-09-27 12:14  mortene

	* src/engines/SoConvertAll.cpp:
	
	We're satisfied with millisecond accuracy when converting time
	values to strings.

2000-09-27 11:55  mortene

	* models/oiv_compliance/indexedtrianglestripset.iv:
	
	Bugfix for indexed triangle strip set test model. Too few diffuse
	color values were specified for PER_VERTEX binding.
	
	Done by pederb.

2000-09-27 11:55  mortene

	* src/misc/SoGLTristripTemplate.cpp:
	
	Bugfix in optimized tristip rendering code when material binding is
	PER_TRIANGLE_INDEXED.
	
	Done by pederb.

2000-09-27 11:07  mortene

	* src/engines/SoOneShot.cpp:
	
	Documented input fields and outputs.

2000-09-27 10:59  mortene

	* include/Inventor/engines/SoOneShot.h, src/engines/SoOneShot.cpp:
	
	Codestyle fixes and misc cleanups.

2000-09-27 10:59  mortene

	* src/engines/sooneshot.scm:
	
	Ivy Scheme code for testing the SoOneShot engine.

2000-09-27 10:58  mortene

	* src/fields/SoField.cpp:
	
	Reversed patch from yesterday which made engines connected to
	global fields always be copied. This is not correct.

2000-09-27 10:00  mortene

	* src/engines/SoOnOff.cpp, include/Inventor/engines/SoOnOff.h,
	src/engines/engines.metadon:
	
	Documented SoOnOff engine class.

2000-09-27 09:48  mortene

	* include/Inventor/engines/SoInterpolate.h,
	src/engines/SoElapsedTime.cpp, src/engines/SoFieldConverter.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp:
	
	Documentation.

2000-09-27 09:48  mortene

	* include/Inventor/nodes/SoNurbsProfile.h,
	src/nodes/SoNurbsProfile.cpp:
	
	Made protection of internal variable private.

2000-09-27 09:43  mortene

	* src/engines/sointerpolaterotation.scm:
	
	Ivy Scheme code for testing misc features of the
	SoInterpolateRotation engine.

2000-09-27 08:36  mortene

	* src/nodes/SoText3.cpp:
	
	Bugfix. Don't use SoNurbsProfile::getVertices() when calculating
	the bounding box, as this might cause a call to the GLU library,
	which requires a valid GL context.
	
	Done by pederb.

2000-09-26 17:54  mortene

	* src/engines/sointerpolatefloat.scm:
	
	Ivy Scheme code to test the SoInterpolateFloat engine.

2000-09-26 17:53  mortene

	* src/fields/SoMField.cpp:
	
	Fixes to avoid recursive invocation of SoField::evaluate() from
	setNum().

2000-09-26 17:06  mortene

	* models/oiv_compliance/indexedtrianglestripset.iv:
	
	Bugfix for indexed triangle strip set test model, by pederb.

2000-09-26 17:05  mortene

	* models/oiv_compliance/: indexedfaceset.iv, indexedlineset.iv,
	indexedtrianglestripset.iv:
	
	Some fixes in the indexed test files to avoid assert failures in
	Coin.  Corrected by pederb.

2000-09-26 17:04  mortene

	* src/nodes/SoNurbsProfile.cpp:
	
	Use the control points as a profile when GLU v1.3 is not available.
	 Fixed by pederb.

2000-09-26 15:41  mortene

	* src/engines/engines.metadon:
	
	Updated to better reflect the actual state of the engine classes
	implementation.

2000-09-26 15:22  mortene

	* src/nodes/sotext3.scm:
	
	Added more test cases for stressing various features of the SoText3
	node.

2000-09-26 14:46  mortene

	* src/nodes/SoText3.cpp:
	
	Bugfix, the coordinate fetching wasn't done correctly. Corrected by
	skei.

2000-09-26 14:42  mortene

	* src/engines/soelapsedtime.scm:
	
	Updated comments after fixing Bugzilla #206.

2000-09-26 14:41  mortene

	* src/fields/SoField.cpp:
	
	Corrected Bugzilla #206: connections to global fields were
	considered to be outside the scene graph. This caused the potential
	for engines to not be copied when they should be.

2000-09-26 14:38  mortene

	* src/fields/SoGlobalField.cpp:
	
	Debugging facilities for tracking construction of global fields.

2000-09-26 14:33  mortene

	* src/engines/SoEngine.cpp:
	
	Added some debugging facilities for testing engine copy operations.

2000-09-26 14:31  mortene

	* src/engines/SoTimeCounter.cpp:
	
	Added a note about common code with SoElapsedTime.

2000-09-26 14:31  mortene

	* include/Inventor/engines/SoElapsedTime.h:
	
	Yikes, forgot to commit changes in header file matching the fix for
	exporting SoElapsedTime engines.

2000-09-26 12:35  mortene

	* src/nodes/SoText3.cpp:
	
	Support for profiles, done by skei.

2000-09-26 12:16  mortene

	* src/engines/SoElapsedTime.cpp:
	
	Optimized behavior of engine to only send notifications when it is
	actually running. Fixes Bugzilla #205.

2000-09-26 12:13  mortene

	* src/engines/soelapsedtime.scm:
	
	Ivy Scheme code for testing the SoElapsedTime engine.

2000-09-26 11:03  mortene

	* include/Inventor/engines/SoElapsedTime.h,
	src/engines/SoElapsedTime.cpp:
	
	Removed an unused variable.

2000-09-26 10:58  mortene

	* src/engines/SoElapsedTime.cpp:
	
	Completed documentation.

2000-09-25 20:00  mortene

	* src/engines/SoElapsedTime.cpp:
	
	More codestyle fixes.

2000-09-25 19:59  mortene

	* include/Inventor/engines/SoElapsedTime.h,
	src/engines/SoElapsedTime.cpp:
	
	Codestyle fixes.

2000-09-25 19:58  mortene

	* src/engines/SoComputeBoundingBox.cpp:
	
	Completed documentation (had forgotten the node and path inputs).

2000-09-25 19:45  mortene

	* include/Inventor/engines/SoCounter.h, src/engines/SoCounter.cpp,
	src/engines/engines.metadon:
	
	Codestyle fixes, completed documentation and made a minor fix to
	the handling of the syncOut output enable flag.

2000-09-25 19:31  mortene

	* src/engines/sotimecounter.scm:
	
	Added Scheme code for testing the syncOut output of SoTimeCounter.

2000-09-25 19:30  mortene

	* src/: engines/SoConvertAll.cpp, fields/fields.metadon:
	
	Made conversion functions to and from SoSFTrigger field.

2000-09-25 18:37  mortene

	* src/engines/socomputeboundingbox.scm:
	
	Killed a FIXME.

2000-09-25 18:35  mortene

	* src/: engines/SoEngine.cpp, fields/SoField.cpp:
	
	Improved debugging "facilities" in the notification mechanism.

2000-09-25 18:34  mortene

	* src/engines/socomputeboundingbox.scm:
	
	Updated to remove comment about Bugzilla #203 (now fixed by
	pederb).

2000-09-25 14:31  mortene

	* src/nodes/SoBlinker.cpp:
	
	Fixed typo.

2000-09-25 14:29  mortene

	* include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoSFPath.h, src/fields/MFNodeAndEngine.tpl,
	src/fields/MFNodeEnginePath.tpl, src/fields/SoMFEngine.cpp,
	src/fields/SoMFNode.cpp, src/fields/SoMFPath.cpp,
	src/fields/SoSFPath.cpp, src/fields/fields.metadon:
	
	Implemented SoMFPath, where the majority of the code is shared with
	SoMFNode and SoMFEngine through the MFNodeEnginePath.tpl template.

2000-09-25 14:01  mortene

	* src/fields/SoMField.cpp:
	
	Fixed some really ugly bugs in deleteValues() and insertSpace(). 
	(They've been around for ages, but these methods weren't much in
	use before the setNum() method was implemented on top of them.)

2000-09-25 13:59  mortene

	* include/Inventor/fields/SoSubField.h:
	
	Documented and optimized the copyValues() method for the multivalue
	fields.

2000-09-25 12:46  mortene

	* src/nodes/SoSeparator.cpp:
	
	Bugfix by pederb: don't use/update bbox cache when doing IN_PATH
	traversal.

2000-09-25 12:42  mortene

	* src/fields/: SFNodeEnginePath.tpl, SoSFEngine.cpp, SoSFNode.cpp,
	SoSFPath.cpp:
	
	Corrected SoSFPath's countWriteRefs() to also count the reference
	to the path head.

2000-09-25 12:41  mortene

	* src/actions/SoWriteAction.cpp,
	include/Inventor/actions/SoWriteAction.h:
	
	Implemented SoWriteAction::continueToApply(SoPath *).

2000-09-25 12:15  mortene

	* src/engines/socomputeboundingbox.scm:
	
	Various updates for better testing of the SoComputeBoundingBox
	engine.

2000-09-25 11:26  mortene

	* include/Inventor/fields/SoSFPath.h,
	src/fields/SFNodeEnginePath.tpl, src/fields/SoSFEngine.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp:
	
	Bugfixed notification mechanisms on SoSFField.

2000-09-24 19:51  mortene

	* src/fields/: SFNodeAndEngine.tpl, SFNodeEnginePath.tpl,
	SoSFEngine.cpp, SoSFNode.cpp, SoSFPath.cpp, fields.metadon:
	
	Included SoSFPath implementation in the template previously used
	exclusively for SoSFNode and SoSFEngine.

2000-09-24 19:21  mortene

	* src/fields/: SFNodeAndEngine.tpl, SoSFEngine.cpp, SoSFNode.cpp:
	
	Bugfix in the fixCopy() methods.

2000-09-24 17:37  mortene

	* src/fields/MFNodeAndEngine.tpl, src/fields/SoMFEngine.cpp,
	src/fields/SoMFNode.cpp,
	include/Inventor/fields/MFNodeAndEngine.tpl,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFNode.h:
	
	Implemented SoMFEngine in terms of the SoMFNode code (by moving the
	common code to a template file and generating
	SoMF[Node|Engine].[cpp|h] by the templant script).

2000-09-24 17:25  mortene

	* src/fields/SFNodeAndEngine.tpl, src/fields/SoSFEngine.cpp,
	include/Inventor/fields/SFNodeAndEngine.tpl,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFNode.h, src/fields/SoSFNode.cpp:
	
	Implemented SoSFEngine in terms of the SoSFNode code (by moving the
	common code to a template file and generating
	SoSF[Node|Engine].[cpp|h] by the templant script).

2000-09-24 16:54  mortene

	* include/Inventor/fields/SoMFNode.h, src/fields/SoMFNode.cpp:
	
	Did a major code audit for the SoMFNode class and fixed a bunch of
	bugs with regards to how we update the reference count and the
	auditing.

2000-09-24 16:52  mortene

	* src/fields/SoSFNode.cpp:
	
	Audit node so notification works.

2000-09-24 16:52  mortene

	* src/fields/SoMField.cpp:
	
	Implement SoMField::setNum() in terms of virtual methods
	deleteValues() and insertSpace() so complex fields like SoMFNode
	and SoMFEngine can behave correctly.

2000-09-24 11:32  mortene

	* src/nodes/SoFile.cpp:
	
	Make references to and from file included by using SoFile nodes
	work.  Fixes Bugzilla #202.

2000-09-22 18:05  mortene

	* src/engines/: SoDecomposeMatrix.cpp, SoDecomposeRotation.cpp,
	engines.metadon:
	
	Added documentation.

2000-09-22 18:02  mortene

	* src/actions/SoGetBoundingBoxAction.cpp:
	
	Killed FIXME.

2000-09-22 17:50  mortene

	* include/Inventor/nodes/SoNurbsProfile.h,
	src/nodes/SoNurbsProfile.cpp:
	
	SoNurbsProfile::getVertices() implementation, by pederb.

2000-09-22 17:47  mortene

	* src/engines/SoComputeBoundingBox.cpp:
	
	Cleanups to the evaluate() method, for readability and better
	performance.

2000-09-22 17:40  mortene

	* src/engines/socomputeboundingbox.scm:
	
	Ivy Scheme code for testing various aspects of the
	SoComputeBoundingBox engine.

2000-09-22 17:39  mortene

	* src/engines/SoComputeBoundingBox.cpp:
	
	Completed documentation.

2000-09-22 17:39  mortene

	* src/fields/SoField.cpp:
	
	Handle fields being re-connected to the same engine on a different
	output (i.e. killed the possibility that the engine's reference
	count went to zero during this operation).

2000-09-22 17:37  mortene

	* src/actions/SoGetBoundingBoxAction.cpp:
	
	Better documentation for SoGetBoundingBoxAction::getCenter().

2000-09-22 12:05  mortene

	* coindefs.h:
	
	Converted code comments from C++-style //'s to C-style /**/.

2000-09-22 12:04  mortene

	* src/engines/: SoComposeRotationFromTo.cpp, engines.metadon,
	socomposerotationfromto.scm:
	
	Documented input and output fields and wrote some Ivy Scheme test
	code.

2000-09-22 11:51  mortene

	* src/engines/: SoCalculator.cpp, SoDecomposeVec2f.cpp,
	SoDecomposeVec3f.cpp, SoDecomposeVec4f.cpp:
	
	Documented variables.

2000-09-22 11:44  mortene

	* src/engines/socomposevec2f.scm:
	
	Ivy Scheme code for testing the SoComposeVec2f engine.

2000-09-22 11:32  mortene

	* src/engines/evaluator.c:
	
	Implemented support for rand() operator in calculator expressions.

2000-09-22 11:31  mortene

	* src/engines/socalculator.scm:
	
	Scheme code for testing the SoCalculator engine under Ivy.

2000-09-21 17:27  mortene

	* src/nodes/SoLinearProfile.cpp:
	
	Added FIXME about continous deallocation/reallocation.

2000-09-21 17:12  mortene

	* src/nodes/SoLinearProfile.cpp:
	
	Bugfixed SoLinearProfile::getVertices() implementation, by skei.

2000-09-21 16:02  mortene

	* src/: engines/SoComposeMatrix.cpp, engines/SoComposeRotation.cpp,
	engines/SoComposeRotationFromTo.cpp, engines/SoComposeVec2f.cpp,
	engines/SoComposeVec3f.cpp, engines/SoComposeVec4f.cpp,
	engines/SoDecomposeMatrix.cpp, engines/SoDecomposeRotation.cpp,
	engines/SoDecomposeVec2f.cpp, engines/SoDecomposeVec3f.cpp,
	engines/SoDecomposeVec4f.cpp, engines/engines.metadon,
	manips/SoClipPlaneManip.cpp, manips/commoncode.cpp:
	
	Wrote documentation.

2000-09-21 15:37  mortene

	* configure.in, docs/coin.doxygen.in:
	
	Upgraded from Doxygen v1.1.5 to v1.2.1.

2000-09-21 15:28  mortene

	* src/nodes/SoIndexedFaceSet.cpp:
	
	Added some tests to prevent crashes when the normal binding is set
	to PER_FACE_INDEXED and no normals or normal indices are supplied.
	
	Done by pederb.

2000-09-21 15:28  mortene

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Added some tests to prevent crashes for some (IMO) erroneous
	models, which sets normal binding to PER_FACE_INDEXED or
	PER_PART_INDEXED even though no normals or normal indices are
	supplied.
	
	Fixed by pederb.

2000-09-21 15:12  mortene

	* src/nodes/SoPointSet.cpp:
	
	Bugfix. Don't read SoLightModelElement in
	SoPointSet::generatePrimitives() as this element isn't enabled for
	SoPickAction. Done by pederb.

2000-09-21 14:28  mortene

	* docs/coin.doxygen.in, src/engines/SoCalculator.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/engines.metadon:
	
	Documentation fixes.

2000-09-21 14:12  mortene

	* docs/coin.doxygen.in:
	
	Expand SO_COMPOSE__HEADER macros.

2000-09-21 13:46  mortene

	* docs/coin.doxygen.in:
	
	Added remaining engines to the list of classes to document.

2000-09-21 13:31  mortene

	* docs/coin.doxygen.in, src/manips/SoClipPlaneManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/manips.metadon:
	
	Completed documentation for the SoClipPlaneManip,
	SoPointLightManip, SoSpotLightManip and SoTransformManip
	manipulators.

2000-09-21 13:10  mortene

	* src/engines/evaluator.c:
	
	Misc fixes for SoCalculator expression evaulator. By pederb.

2000-09-21 13:05  mortene

	* src/nodes/: SoLinearProfile.cpp, SoProfile.cpp, nodes.metadon:
	
	Implemented SoLinearProfile::getVertices(), by skei.

2000-09-20 18:53  mortene

	* include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoGate.h, src/engines/SoConcatenate.cpp,
	src/engines/SoEngineOutput.cpp, src/engines/SoGate.cpp,
	src/engines/SoSelectOne.cpp, src/engines/engines.metadon,
	src/engines/soconcatenate.scm:
	
	Properly implemented SoConcatenate. Also fixed various typos and
	other minor issues with SoSelectOne and SoGate.

2000-09-20 15:04  mortene

	* include/Inventor/engines/SoGate.h, src/engines/SoGate.cpp,
	src/engines/sogate.scm:
	
	Completed implementation with import, export and copy
	functionality.

2000-09-20 14:54  mortene

	* include/Inventor/engines/SoGate.h, src/engines/SoGate.cpp:
	
	Major cleanup for robustness and code readability. Also removed
	defunct import and export code.

2000-09-20 14:31  mortene

	* docs/coin.doxygen.in, src/engines/SoGate.cpp:
	
	Cleaned up handling of input field notification and evaluation.

2000-09-20 14:16  mortene

	* include/Inventor/engines/SoSelectOne.h,
	src/engines/SoSelectOne.cpp:
	
	Be more robust in case of an invalid fieldtype within a file, and
	also handle future field types and user-defined fields.

2000-09-20 13:32  mortene

	* src/: engines/soselectone.scm, engines/sotimecounter.scm,
	nodes/sotext3.scm:
	
	Removed bug workaround.

2000-09-20 13:31  mortene

	* include/Inventor/engines/SoGate.h, src/engines/SoGate.cpp:
	
	Miscellaneous cleanups.

2000-09-20 13:24  mortene

	* src/engines/sogate.scm:
	
	Ivy Scheme code for testing SoGate.

2000-09-20 12:49  mortene

	* src/nodes/SoText3.cpp:
	
	Fix for a bug where the glyph-list could get out of sync with
	regards to the redraw code.

2000-09-20 12:20  mortene

	* include/Inventor/engines/SoSubEngineP.h,
	src/engines/SoSelectOne.cpp:
	
	Made variant of SO_ENGINE_SOURCE macro for engines with dynamic
	input and output fields from the SoSelectOne code.

2000-09-20 11:34  mortene

	* docs/coin.doxygen.in, src/manips/SoDirectionalLightManip.cpp:
	
	Completed documentation of SoDirectionalLightManip.

2000-09-20 11:15  mortene

	* docs/coin.doxygen.in:
	
	Added SoNodeKit, SoDragger and SoDirectionalLightManip (to avoid
	warnings from Doxygen).

2000-09-20 11:11  mortene

	* Makefile.am:
	
	Quiet execution of documentation generation.

2000-09-20 10:59  mortene

	* src/engines/SoSelectOne.cpp:
	
	Documented engine's fields and outputs.

2000-09-20 10:39  mortene

	* src/engines/SoSelectOne.cpp:
	
	Documentation fix.

2000-09-19 18:28  mortene

	* docs/coin.doxygen.in:
	
	Document more of the engine classes.

2000-09-19 18:25  mortene

	* include/Inventor/engines/SoSelectOne.h,
	src/engines/SoSelectOne.cpp:
	
	Implemented SoSelectOne copy functionality.

2000-09-19 18:14  mortene

	* include/Inventor/engines/SoSelectOne.h,
	src/engines/SoSelectOne.cpp, src/engines/soselectone.scm:
	
	Implemented code for import of SoSelectOne instances.

2000-09-19 18:14  mortene

	* src/engines/SoEngine.cpp:
	
	Converted STUB to FIXME about SoUnknownEngine.

2000-09-19 17:50  mortene

	* src/engines/SoSelectOne.cpp:
	
	input field need to know about engine instance as a container for
	notification from field to work.

2000-09-19 17:24  mortene

	* src/engines/: SoSelectOne.cpp, soselectone.scm:
	
	Implemented SoSelectOne export functionality.

2000-09-19 16:53  mortene

	* src/engines/SoSelectOne.cpp:
	
	Corrected default index value and made the evaluate() function more
	robust against invalid indices.

2000-09-19 16:42  mortene

	* src/engines/SoSelectOne.cpp,
	include/Inventor/engines/SoSelectOne.h:
	
	Somewhat proper implementation of SoSelectOne -- at least it won't
	die right away now.

2000-09-19 15:46  mortene

	* src/engines/soselectone.scm:
	
	Ivy Scheme code for testing the SoSelectOne engine.

2000-09-19 15:19  mortene

	* include/Inventor/nodes/SoShuttle.h, src/nodes/SoShuttle.cpp:
	
	SoShuttle copy().

2000-09-19 15:10  mortene

	* include/Inventor/nodes/SoPendulum.h, src/nodes/SoPendulum.cpp:
	
	Fixed SoPendulum copy.

2000-09-19 14:56  mortene

	* src/nodes/: SoBlinker.cpp, soblinker.scm:
	
	Fixes for SoBlinker::copy().

2000-09-19 14:55  mortene

	* src/engines/SoTimeCounter.cpp:
	
	Killed invalid assert().

2000-09-19 14:39  mortene

	* src/engines/SoTimeCounter.cpp:
	
	More cleanups to try to make the code less buggy and more readable.

2000-09-19 13:19  mortene

	* include/Inventor/engines/SoEngineOutput.h,
	src/engines/SoEngineOutput.cpp:
	
	Store and restore notification flags on slave fields correctly (old
	code just set all of them to TRUE after engine evaluation, no
	matter the initial value).

2000-09-19 12:59  mortene

	* include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoNode.h, src/nodes/SoBlinker.cpp,
	src/nodes/SoNode.cpp, src/nodes/soblinker.scm:
	
	Bugfixed copy operation for SoBlinker -- had to overload the copy()
	operation from SoNode, which means SoNode::copy() was made virtual.

2000-09-19 12:49  mortene

	* include/Inventor/engines/SoTimeCounter.h,
	src/engines/SoTimeCounter.cpp:
	
	Major code cleanup. Fixed the nasty tangle of notification /
	evaluation / output-enabling interdependencies which wasn't working
	properly.

2000-09-19 11:43  mortene

	* src/engines/SoTimeCounter.cpp:
	
	Fixed bug which would cause multiple notifications on syncOut.

2000-09-19 11:42  mortene

	* src/nodes/SoText2.cpp:
	
	Fixed g++ warnings. Done by skei.

2000-09-19 11:41  mortene

	* include/Inventor/engines/SoTimeCounter.h,
	src/engines/SoTimeCounter.cpp:
	
	Removed redundant internal variable.

2000-09-18 12:58  mortene

	* src/nodes/SoBlinker.cpp:
	
	Killed buggy code which was trying to optimize notification.

2000-09-18 12:33  mortene

	* src/engines/: SoEngine.cpp, engines.metadon, sobooloperation.scm,
	sotimecounter.scm:
	
	Added support for copy operations on engines.

2000-09-18 11:18  mortene

	* src/nodes/SoNode.cpp:
	
	Improved documentation for SoNode::addToCopyDict().

2000-09-18 11:17  mortene

	* src/nodes/SoNode.cpp:
	
	Only walk through a node's children on the first copy connection.

2000-09-18 10:16  mortene

	* src/engines/: engines.metadon, sobooloperation.scm:
	
	Misc minor updates.

2000-09-18 10:13  mortene

	* src/fields/SoField.cpp:
	
	Assert on recursive calls to SoField::evaluate() (since the field
	might be in an inconsistent state).

2000-09-17 15:53  mortene

	* src/nodes/SoText3.cpp:
	
	Handle empty strings in SoText3. Fixed by pederb.

2000-09-17 15:51  mortene

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Fix for triangle count bug reported by Larry D'Cunha. Done by
	pederb.

2000-09-17 15:50  mortene

	* src/actions/SoCallbackAction.cpp:
	
	Enable SoCacheElement for SoCallbackAction. Fix from pederb to a
	bug reported by Larry D'Cunha.

2000-09-17 15:44  mortene

	* configure.in:
	
	Updated to match new name of SIM_AC_DEBUGSYMBOLS macro.

2000-09-15 20:56  mortene

	* include/Inventor/fields/SoField.h, src/fields/SoField.cpp:
	
	Made SoField::getDirty() const (why the he** hasn't this been done
	before?).

2000-09-15 20:42  mortene

	* include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSubField.h, src/fields/SoMField.cpp:
	
	Use a better strategy for the SoMField::operator=() copy operator.
	
	This fix also makes the SoMField overloading of
	evaluateConnection() redundant, as operator=() now automatically
	sets up the destination field to have the equal amount of values as
	the source field.

2000-09-15 19:25  mortene

	* include/Inventor/fields/SoSubField.h, src/fields/SoMField.cpp,
	src/fields/somfield.scm:
	
	Moved notification trigger (through the SoField::valueChanged()
	call) from allocValues() to setNum(). This should make the code
	easier to understand and the design a bit cleaner.
	
	Also fixes the bug where slave fields wouldn't get notified upon
	setNum() calls where the new size is larger than the old.

2000-09-15 19:24  mortene

	* src/fields/SoField.cpp:
	
	Added FIXME about the SoField::evaluate() mess.

2000-09-15 19:23  mortene

	* src/nodes/: SoLOD.cpp, SoLevelOfSimplification.cpp,
	SoShuttle.cpp, SoVertexProperty.cpp:
	
	Resolved some minor FIXMEs.

2000-09-15 19:22  mortene

	* src/fields/: SoMFString.cpp, SoMFVec2f.cpp, SoMFVec3f.cpp,
	SoMFVec4f.cpp:
	
	Optimized setValue* methods (trigger less notifications).

2000-09-15 18:04  mortene

	* src/engines/SoConvertAll.cpp:
	
	Set up destination multivalue fields with the current number of
	values when converting.

2000-09-15 17:57  mortene

	* src/engines/SoBoolOperation.cpp:
	
	Handle the case where at least one of the input fields have 0
	values.

2000-09-15 17:03  mortene

	* include/Inventor/fields/SoMField.h, src/fields/SoMField.cpp:
	
	Shrink slave fields along with master fields for connections
	between multivalue fields.
	
	This deviates from SGI/TGS Open Inventor, but I believe this to be
	more correct behavior.

2000-09-15 17:01  mortene

	* src/engines/sobooloperation.scm:
	
	Scheme code for testing the SoBoolOperation engine.

2000-09-15 17:01  mortene

	* src/fields/somfield.scm:
	
	Ivy Scheme code for testing various characteristics of the SoMField
	implementation.

2000-09-15 17:00  mortene

	* include/Inventor/elements/SoGLColorIndexElement.h,
	src/elements/SoGLColorIndexElement.cpp:
	
	Color index element implementation, by pederb (forgot to add these
	when the rest of the implementation was committed).

2000-09-15 16:30  mortene

	* include/Inventor/bundles/SoMaterialBundle.h,
	src/nodes/SoColorIndex.cpp, src/nodes/nodes.metadon,
	build/CoinSDK.iwz.in, build/SoCoinSDK.iwz.in.in, build/coin.dsp.in,
	build/coin.mak.in, build/coin.spec.in, build/coin_dll.dsp.in,
	build/coin_dll.mak.in, include/Inventor/elements/SoElements.h,
	src/bundles/SoMaterialBundle.cpp, src/elements/Makefile.am,
	src/elements/SoElement.cpp, src/elements/elements.metadon:
	
	Implemented support for color-index mode. Done by pederb.

2000-09-15 15:22  mortene

	* src/fields/SoMField.cpp:
	
	Elaborated on the notify-on-expand problem, fixed a few typos.

2000-09-15 15:16  mortene

	* src/fields/SoMField.cpp:
	
	Added FIXME about the seemingly bogus way notification is happening
	upon setNum().

2000-09-15 14:33  mortene

	* src/fields/: SoField.cpp, SoMField.cpp:
	
	Fixed bug in field value(s) -> string conversion code.

2000-09-15 13:40  mortene

	* src/fields/SoField.cpp:
	
	Improved the readability of the SoField::evaluate() code.

2000-09-15 13:07  mortene

	* include/Inventor/engines/SoSubEngine.h:
	
	Protect against nameclashes by prefixing internal macro variables
	with the name of the macro.

2000-09-15 12:46  mortene

	* src/engines/SoBoolOperation.cpp:
	
	Documented class.

2000-09-15 12:20  mortene

	* src/engines/SoConvertAll.cpp:
	
	Convert values directly from master field. This fixes a bug where
	So[SM]FString was connected to So[SM]F[Enum|BitMask] fields (the
	SoConvertAll copy of the master field doesn't contain the
	name<->value mappings).

2000-09-15 12:13  mortene

	* src/fields/: SoField.cpp, SoMField.cpp:
	
	Improved code in SoField::get() and SoMField::get1() by simplifying
	our use of SoOutput.

2000-09-15 12:09  mortene

	* src/engines/SoOutputData.cpp:
	
	Detect if any attempts are made at using SoSFEnum- or
	SoMFEnum-derived fields as engine outputs. This can lead to
	problems for field-connections.

2000-09-15 11:45  mortene

	* include/Inventor/engines/: SoSubEngine.h, SoSubEngine.h:
	
	Don't intrude on the compiler's namespace.

2000-09-14 01:52  mortene

	* src/: engines/SoTimeCounter.cpp, nodes/SoMarkerSet.cpp:
	
	Documentation fixes.

2000-09-13 17:43  mortene

	* src/engines/SoBoolOperation.cpp:
	
	Fixed buggy behavior for operations A_EQUALS_B and A_NOT_EQUALS_B,
	aswell as cleaning up the variable naming so we don't intrude on
	the compiler namespace.

2000-09-13 17:40  mortene

	* src/actions/SoGLRenderAction.cpp,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/misc/SoGL.h, include/Inventor/misc/SoGLImage.h,
	src/elements/SoGLTextureImageElement.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLImage.cpp:
	
	Misc cleanups in OpenGL-related initializations etc, by pederb.

2000-09-13 11:47  mortene

	* scripts/: ChangeLog.sh, cvs2cl.pl:
	
	Updated ChangeLog-generation procedure.

2000-09-13 11:35  mortene

	* src/engines/SoTimeCounter.cpp, src/engines/engines.metadon,
	docs/coin.doxygen.in:
	
	Completed documentation for SoTimeCounter engine.

2000-09-13 11:30  mortene

	* src/engines/SoTimeCounter.cpp:
	
	Minor bugfix to make sure the output field is always enabled at
	start up.

2000-09-13 11:11  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Removed unreferenced variable.

2000-09-12 19:45  mortene

	* src/fields/SoField.cpp:
	
	Support import of engine instances.

2000-09-12 18:45  mortene

	* include/Inventor/engines/SoTimeCounter.h,
	src/engines/SoTimeCounter.cpp, src/engines/sotimecounter.scm:
	
	Avoid writing the realTime globalfield connection upon export.

2000-09-12 18:45  mortene

	* include/Inventor/nodes/SoPendulum.h, src/nodes/SoPendulum.cpp:
	
	Corrected export code by overloading write() for SoPendulum, so
	internal engines are not written.

2000-09-12 15:24  mortene

	* src/nodes/sopendulum.scm:
	
	Ivy Scheme code for testing the SoPendulum node.

2000-09-12 15:04  mortene

	* include/Inventor/engines/SoEngineOutput.h,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp:
	
	Moved field notification from SoEngine to SoEngineOutput, which
	seems to be a bit cleaner design.

2000-09-12 15:03  mortene

	* autogen.sh:
	
	Misc fixes, by larsa.

2000-09-12 14:37  mortene

	* include/Inventor/engines/SoEngine.h, src/engines/SoEngine.cpp,
	src/engines/SoEngineOutput.cpp, src/nodes/soshuttle.scm:
	
	Discovered yet another problem with the SoEngine notification
	optimization, so we finally gave it the axe. Fixes Bugzilla #197.

2000-09-12 12:57  mortene

	* include/Inventor/nodes/SoShuttle.h:
	
	Forgot to commit the header file along with the .cpp file when
	overloading the write() method.

2000-09-12 12:15  mortene

	* src/nodes/soshuttle.scm:
	
	Added section for code to reproduce known bugs.

2000-09-12 12:09  mortene

	* src/nodes/: SoShuttle.cpp, soshuttle.scm:
	
	Overloaded SoNode::write() to disconnect internal engines before
	writing SoShuttle instances.

2000-09-12 11:54  mortene

	* src/nodes/soshuttle.scm:
	
	Ivy Scheme code for testing SoShuttle node.

2000-09-12 11:46  mortene

	* include/Inventor/misc/SoGlyph.h, src/misc/SoGlyph.cpp:
	
	Added methods for finding the next clockwise and counterclockwise
	edge.  Done by pederb.

2000-09-12 11:36  mortene

	* src/nodes/sotext3.scm:
	
	Ivy Scheme code for testing various aspects of the SoText3 node,
	including material bindings and extrusion profiling.

2000-09-12 10:12  mortene

	* src/nodes/sorotor.scm:
	
	Ivy Scheme code for interactive testing of the SoRotor node.

2000-09-12 09:21  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Fixed scope problem for variable declaration in for()-statement. 
	Problem reported by Larry D'Cunha.

2000-09-11 20:49  mortene

	* src/nodes/soblinker.scm:
	
	Added code for testing import of scenegraphs with SoBlinker nodes.

2000-09-11 20:14  mortene

	* src/nodes/nodes.metadon:
	
	Updated to correctly reflect the state of SoBlinker.

2000-09-11 20:11  mortene

	* src/engines/: SoEngine.cpp, sotimecounter.scm:
	
	Added a couple of FIXMEs for minor issues.

2000-09-11 20:10  mortene

	* src/nodes/soblinker.scm:
	
	Testing code for the SoBlinker node class for the Ivy Scheme
	interpreter.

2000-09-11 19:50  mortene

	* src/nodes/SoBlinker.cpp:
	
	Handle the case where we remove a child when whichChild is "at the
	end".

2000-09-11 19:41  mortene

	* src/nodes/SoBlinker.cpp:
	
	Behave according to spec and toggle a single child on and off.

2000-09-11 19:28  mortene

	* src/nodes/SoBlinker.cpp:
	
	SoBlinker::notify() does less processing on "nil"-runs now (i.e. we
	detect if the whichChild field was "manually" changed in a speedier
	way).

2000-09-11 18:45  mortene

	* src/nodes/SoGroup.cpp:
	
	Be more robust about the index argument passed to
	SoGroup::insertChild() and SoGroup::removeChild().

2000-09-11 18:33  mortene

	* include/Inventor/nodes/SoBlinker.h, src/nodes/SoBlinker.cpp:
	
	Completed SoBlinker implementation with a working write()-method. 
	Also simplified the field change detection code a lot.

2000-09-11 18:20  mortene

	* src/lists/SoAuditorList.cpp:
	
	Removed dirty-check on notification transmission -- this has been a
	long-standing bug.

2000-09-11 18:02  mortene

	* src/engines/SoEngine.cpp, include/Inventor/engines/SoEngine.h,
	src/engines/SoEngineOutput.cpp, src/engines/sotimecounter.scm:
	
	Improved SoEngine::notify() to the point where it actually is
	readable. Fixed a few bugs in the process.

2000-09-11 14:42  mortene

	* src/engines/SoEngine.cpp:
	
	Fixed a bug in SoEngine::notify() where SoEngine::inputChanged()
	wasn't called if SoEngine::isNotifyEnabled()==FALSE when the engine
	is not dirty.
	
	(SoEngine::inputChanged() should always be called to recalculate
	internal variables etc -- no matter the status of the notifyenabled
	flag.)

2000-09-11 13:31  mortene

	* src/misc/SoSceneManager.cpp:
	
	Be more robust and handle SoSceneManager::setSceneGraph() with the
	same root as already set.

2000-09-11 11:47  mortene

	* include/Inventor/engines/SoTimeCounter.h,
	src/engines/SoTimeCounter.cpp, src/engines/sotimecounter.scm:
	
	Makes SoTimeCounter::reset work as expected when set outside the
	valid min-max range. Done by pederb, fixes Bugzilla #194.

2000-09-11 09:45  mortene

	* src/engines/: SoCounter.cpp, SoTimeCounter.cpp,
	sotimecounter.scm:
	
	Handle setting of min and max values in any order (so min can be
	larger than max while setting up the engine).

2000-09-11 09:34  mortene

	* src/engines/: SoTimeCounter.cpp, sotimecounter.scm:
	
	Fix for bugzilla #192: turning the engine off then back on would
	make it stop permanently. Fixed by pederb.

2000-09-11 08:19  mortene

	* src/engines/sotimecounter.scm:
	
	Use the viewer window without decorations and in a better size.

2000-09-07 15:51  mortene

	* src/engines/sotimecounter.scm:
	
	Updated information on SoTimeCounter bugs, after checking against
	SGI Inventor's SoTimeCounter.

2000-09-07 15:42  mortene

	* src/engines/sotimecounter.scm:
	
	New file with Scheme code (to be executed through the Ivy
	interface) for reproducing confirmed and potential bugs of the
	SoTimeCounter engine. Also contains a general framework for playing
	around and testing various features of the engine.

2000-09-07 14:04  mortene

	* include/Inventor/engines/SoTimeCounter.h,
	src/engines/SoTimeCounter.cpp:
	
	Improved handling of output value field.

2000-09-06 17:40  mortene

	* src/engines/SoTimeCounter.cpp:
	
	Added a FIXME for the SoTimeCounter::inputChanged() checking of the
	min and max input fields. The code seems to be not robust enough,
	IMO.

2000-09-06 15:07  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Fixed SoMarkerSet::addMarker() to avoid code duplication. By skei.

2000-09-06 14:33  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Implementation of user-specified markers, by skei.

2000-09-06 13:24  mortene

	* src/nodes/SoBlinker.cpp:
	
	Implemented write action behaviour.

2000-09-05 12:58  mortene

	* src/nodes/SoText2.cpp:
	
	Added support for a default bitmap font in SoText2 node. Done by
	skei.

2000-09-05 11:57  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Codestyle fixes.

2000-09-05 11:52  mortene

	* src/nodes/SoMarkerSet.cpp:
	
	Converted tabs to spaces and reindented.

2000-09-05 11:43  mortene

	* include/Inventor/nodes/SoMarkerSet.h, src/nodes/SoMarkerSet.cpp:
	
	GLRender()-implementation, by skei@sim.no.

2000-09-04 13:48  mortene

	* coindefs.h, data/draggerDefaults/iv2h.sh, include/Inventor/Sb.h,
	include/Inventor/SbBSPTree.h, include/Inventor/SbBasic.h.in,
	include/Inventor/SbBox.h, include/Inventor/SbBox2f.h,
	include/Inventor/SbBox2s.h, include/Inventor/SbBox3f.h,
	include/Inventor/SbColor.h, include/Inventor/SbColor4f.h,
	include/Inventor/SbCylinder.h, include/Inventor/SbDict.h,
	include/Inventor/SbHeap.h, include/Inventor/SbImage.h,
	include/Inventor/SbLine.h, include/Inventor/SbLinear.h,
	include/Inventor/SbMatrix.h, include/Inventor/SbName.h,
	include/Inventor/SbOctTree.h, include/Inventor/SbPList.h,
	include/Inventor/SbPlane.h, include/Inventor/SbRotation.h,
	include/Inventor/SbSphere.h, include/Inventor/SbString.h,
	include/Inventor/SbTesselator.h, include/Inventor/SbTime.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec2s.h,
	include/Inventor/SbVec3f.h, include/Inventor/SbVec4f.h,
	include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoGlobalField.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SbVec3fList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lists/SoVRMLInterpOutputList.h,
	include/Inventor/lock/SoLockMgr.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h, include/Inventor/misc/SoGL.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoGlyph.h,
	include/Inventor/misc/SoLightPath.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/inttypes.h, src/snprintf.c, src/snprintf.h,
	src/VRMLnodes/SoVRMLInterpOutput.cpp,
	src/VRMLnodes/SoVRMLInterpolator.cpp, src/VRMLnodes/all.cpp,
	src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/all.cpp, src/base/SbBSPTree.cpp, src/base/SbBox2f.cpp,
	src/base/SbBox2s.cpp, src/base/SbBox3f.cpp, src/base/SbColor.cpp,
	src/base/SbColor4f.cpp, src/base/SbCylinder.cpp,
	src/base/SbDict.cpp, src/base/SbHeap.cpp, src/base/SbImage.cpp,
	src/base/SbLine.cpp, src/base/SbMatrix.cpp, src/base/SbName.cpp,
	src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2f.cpp, src/base/SbVec2s.cpp,
	src/base/SbVec3f.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/base/all.cpp, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp, src/bundles/all.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp, src/caches/all.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/details/all.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp, src/draggers/all.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLazyElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/elements/all.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoOnOff.cpp,
	src/engines/SoOneShot.cpp, src/engines/SoOutputData.cpp,
	src/engines/SoSelectOne.cpp, src/engines/SoTimeCounter.cpp,
	src/engines/SoTransformVec3f.cpp, src/engines/SoTriggerAny.cpp,
	src/engines/all.cpp, src/engines/evaluator.c,
	src/engines/evaluator.h, src/engines/evaluator.l,
	src/engines/lex.so_eval.c, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/errors/all.cpp,
	src/events/SoButtonEvent.cpp, src/events/SoEvent.cpp,
	src/events/SoKeyboardEvent.cpp, src/events/SoLocation2Event.cpp,
	src/events/SoMotion3Event.cpp, src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/events/all.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/fields/SoFieldData.cpp, src/fields/SoGlobalField.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoMFVec2f.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoSFVec4f.cpp, src/fields/SoSField.cpp,
	src/fields/all.cpp, src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoNodeList.cpp, src/lists/SoPathList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	src/lists/SoVRMLInterpOutputList.cpp, src/lists/all.cpp,
	src/manips/SoCenterballManip.cpp, src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/manips/all.cpp, src/manips/commoncode.cpp, src/misc/SoBase.cpp,
	src/misc/SoByteStream.cpp, src/misc/SoChildList.cpp,
	src/misc/SoDB.cpp, src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLFaceSetTemplate.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGLTristripTemplate.cpp, src/misc/SoGenerate.cpp,
	src/misc/SoGlyph.cpp, src/misc/SoInput.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoLightPath.cpp,
	src/misc/SoLockManager.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotification.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/SoOutput.cpp, src/misc/SoPath.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoState.cpp,
	src/misc/SoTempPath.cpp, src/misc/SoTranReceiver.cpp,
	src/misc/SoTranSender.cpp, src/misc/SoType.cpp, src/misc/all.cpp,
	src/misc/default2dfont.cpp, src/misc/default3dfont.cpp,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodekits/SoSceneKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodekits/SoWrapperKit.cpp, src/nodekits/all.cpp,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoAnnoText3Property.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoAsciiText.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoClipPlane.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoCone.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoCylinder.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedLineSet.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoUnknownNode.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoVertexShape.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/nodes/all.cpp, src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp, src/projectors/all.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/sensors/all.cpp:
	
	Fixed typo in headers.

2000-09-01 16:10  mortene

	* src/nodes/SoIndexedShape.cpp:
	
	Fix to handle empty Coordinate nodes, by pederb.

2000-08-30 16:49  mortene

	* build/SoCoinSDK.iwz.in.in:
	
	Renamed Coin Docs.URL to Coin_Docs.URL to match actual filename.

2000-08-30 16:41  mortene

	* docs/coin_docs.url:
	
	URL to the Coin online documentation.

2000-08-29 16:16  mortene

	* COPYING, LICENSE.LGPL, LICENSE.QPL, README, coindefs.h,
	configure.in, build/CoinSDK.iwz.in, build/SoCoinSDK.iwz.in.in,
	build/coin.spec.in, data/draggerDefaults/iv2h.sh,
	include/Inventor/Sb.h, include/Inventor/SbBSPTree.h,
	include/Inventor/SbBasic.h.in, include/Inventor/SbBox.h,
	include/Inventor/SbBox2f.h, include/Inventor/SbBox2s.h,
	include/Inventor/SbBox3f.h, include/Inventor/SbColor.h,
	include/Inventor/SbColor4f.h, include/Inventor/SbCylinder.h,
	include/Inventor/SbDict.h, include/Inventor/SbHeap.h,
	include/Inventor/SbImage.h, include/Inventor/SbLine.h,
	include/Inventor/SbLinear.h, include/Inventor/SbMatrix.h,
	include/Inventor/SbName.h, include/Inventor/SbOctTree.h,
	include/Inventor/SbPList.h, include/Inventor/SbPlane.h,
	include/Inventor/SbRotation.h, include/Inventor/SbSphere.h,
	include/Inventor/SbString.h, include/Inventor/SbTesselator.h,
	include/Inventor/SbTime.h, include/Inventor/SbVec2f.h,
	include/Inventor/SbVec2s.h, include/Inventor/SbVec3f.h,
	include/Inventor/SbVec4f.h, include/Inventor/SbViewVolume.h,
	include/Inventor/SbViewportRegion.h, include/Inventor/SbXfBox3f.h,
	include/Inventor/So.h, include/Inventor/SoDB.h,
	include/Inventor/SoFullPath.h, include/Inventor/SoInput.h,
	include/Inventor/SoInteraction.h, include/Inventor/SoLists.h,
	include/Inventor/SoNodeKitPath.h,
	include/Inventor/SoOffscreenRenderer.h,
	include/Inventor/SoOutput.h, include/Inventor/SoPath.h,
	include/Inventor/SoPickedPoint.h,
	include/Inventor/SoPrimitiveVertex.h,
	include/Inventor/SoSceneManager.h, include/Inventor/SoType.h,
	include/Inventor/VRMLnodes/SoVRMLInterpOutput.h,
	include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoActions.h,
	include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	include/Inventor/actions/SoSearchAction.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/actions/SoSubActionP.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoToVRMLAction.h,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/bundles/SoBundle.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/bundles/SoTextureCoordinateBundle.h,
	include/Inventor/caches/SoBoundingBoxCache.h,
	include/Inventor/caches/SoCache.h,
	include/Inventor/caches/SoConvexDataCache.h,
	include/Inventor/caches/SoNormalCache.h,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoDetails.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoAmbientColorElement.h,
	include/Inventor/elements/SoAnnoText3CharOrientElement.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	include/Inventor/elements/SoAnnoText3RenderPrintElement.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoDecimationPercentageElement.h,
	include/Inventor/elements/SoDecimationTypeElement.h,
	include/Inventor/elements/SoDiffuseColorElement.h,
	include/Inventor/elements/SoDrawStyleElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoElements.h,
	include/Inventor/elements/SoEmissiveColorElement.h,
	include/Inventor/elements/SoEnvironmentElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoFocalDistanceElement.h,
	include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoFontSizeElement.h,
	include/Inventor/elements/SoGLAmbientColorElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	include/Inventor/elements/SoGLDiffuseColorElement.h,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/elements/SoGLEmissiveColorElement.h,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	include/Inventor/elements/SoGLLazyElement.h,
	include/Inventor/elements/SoGLLightIdElement.h,
	include/Inventor/elements/SoGLLightModelElement.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/elements/SoGLLineWidthElement.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	include/Inventor/elements/SoGLNormalElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPointSizeElement.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLProjectionMatrixElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLShininessElement.h,
	include/Inventor/elements/SoGLSpecularColorElement.h,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/elements/SoLinePatternElement.h,
	include/Inventor/elements/SoLineWidthElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	include/Inventor/elements/SoNormalElement.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoPickStyleElement.h,
	include/Inventor/elements/SoPointSizeElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoShininessElement.h,
	include/Inventor/elements/SoSpecularColorElement.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/elements/SoSwitchElement.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	include/Inventor/elements/SoTextureCoordinateElement.h,
	include/Inventor/elements/SoTextureImageElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoTextureQualityElement.h,
	include/Inventor/elements/SoTransparencyElement.h,
	include/Inventor/elements/SoUnitsElement.h,
	include/Inventor/elements/SoViewVolumeElement.h,
	include/Inventor/elements/SoViewingMatrixElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/engines/SoComposeRotationFromTo.h,
	include/Inventor/engines/SoComposeVec2f.h,
	include/Inventor/engines/SoComposeVec3f.h,
	include/Inventor/engines/SoComposeVec4f.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/engines/SoDecomposeVec2f.h,
	include/Inventor/engines/SoDecomposeVec3f.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoEngines.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/engines/SoInterpolateRotation.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/engines/SoInterpolateVec4f.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/errors/SoDebugError.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/errors/SoReadError.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoEvent.h,
	include/Inventor/events/SoEvents.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SoField.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/fields/SoFieldData.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoGlobalField.h,
	include/Inventor/fields/SoMFBitMask.h,
	include/Inventor/fields/SoMFBool.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/fields/SoMFEngine.h,
	include/Inventor/fields/SoMFEnum.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/fields/SoMFInt32.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFMatrix.h,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/fields/SoMFNode.h,
	include/Inventor/fields/SoMFPath.h,
	include/Inventor/fields/SoMFPlane.h,
	include/Inventor/fields/SoMFRotation.h,
	include/Inventor/fields/SoMFShort.h,
	include/Inventor/fields/SoMFString.h,
	include/Inventor/fields/SoMFTime.h,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/fields/SoMFVec4f.h,
	include/Inventor/fields/SoMField.h,
	include/Inventor/fields/SoSFBitMask.h,
	include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/fields/SoSFEngine.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFImage.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFMatrix.h,
	include/Inventor/fields/SoSFName.h,
	include/Inventor/fields/SoSFNode.h,
	include/Inventor/fields/SoSFPath.h,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/fields/SoSFRotation.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFString.h,
	include/Inventor/fields/SoSFTime.h,
	include/Inventor/fields/SoSFTrigger.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoSFUShort.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoSFVec3f.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/fields/SoSubFieldP.h,
	include/Inventor/lists/SbIntList.h,
	include/Inventor/lists/SbList.h, include/Inventor/lists/SbPList.h,
	include/Inventor/lists/SbStringList.h,
	include/Inventor/lists/SbVec3fList.h,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/lists/SoCallbackList.h,
	include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEnabledElementsList.h,
	include/Inventor/lists/SoEngineList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoNodeList.h,
	include/Inventor/lists/SoPathList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h,
	include/Inventor/lists/SoVRMLInterpOutputList.h,
	include/Inventor/lock/SoLockMgr.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/misc/SoAuditorList.h,
	include/Inventor/misc/SoBase.h, include/Inventor/misc/SoBasic.h,
	include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoCallbackList.h,
	include/Inventor/misc/SoChildList.h, include/Inventor/misc/SoGL.h,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/misc/SoGlyph.h,
	include/Inventor/misc/SoLightPath.h,
	include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/misc/SoNotification.h,
	include/Inventor/misc/SoState.h,
	include/Inventor/misc/SoTempPath.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h,
	include/Inventor/nodekits/SoAppearanceKit.h,
	include/Inventor/nodekits/SoBaseKit.h,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/nodekits/SoInteractionKit.h,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/nodekits/SoNodeKitListPart.h,
	include/Inventor/nodekits/SoNodekitCatalog.h,
	include/Inventor/nodekits/SoSceneKit.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/nodes/SoAnnoText3.h,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/nodes/SoAntiSquish.h,
	include/Inventor/nodes/SoArray.h,
	include/Inventor/nodes/SoAsciiText.h,
	include/Inventor/nodes/SoBaseColor.h,
	include/Inventor/nodes/SoBlinker.h,
	include/Inventor/nodes/SoCallback.h,
	include/Inventor/nodes/SoCamera.h,
	include/Inventor/nodes/SoClipPlane.h,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoComplexity.h,
	include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCoordinate3.h,
	include/Inventor/nodes/SoCoordinate4.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoDirectionalLight.h,
	include/Inventor/nodes/SoDrawStyle.h,
	include/Inventor/nodes/SoEnvironment.h,
	include/Inventor/nodes/SoEventCallback.h,
	include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/nodes/SoFile.h, include/Inventor/nodes/SoFont.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/nodes/SoGroup.h, include/Inventor/nodes/SoImage.h,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoInfo.h, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLabel.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoLevelOfSimplification.h,
	include/Inventor/nodes/SoLight.h,
	include/Inventor/nodes/SoLightModel.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/nodes/SoLinearProfile.h,
	include/Inventor/nodes/SoLocateHighlight.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/nodes/SoMaterialBinding.h,
	include/Inventor/nodes/SoMatrixTransform.h,
	include/Inventor/nodes/SoMultipleCopy.h,
	include/Inventor/nodes/SoNode.h, include/Inventor/nodes/SoNodes.h,
	include/Inventor/nodes/SoNonIndexedShape.h,
	include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoNormalBinding.h,
	include/Inventor/nodes/SoNurbsCurve.h,
	include/Inventor/nodes/SoNurbsProfile.h,
	include/Inventor/nodes/SoNurbsSurface.h,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/nodes/SoPackedColor.h,
	include/Inventor/nodes/SoPathSwitch.h,
	include/Inventor/nodes/SoPendulum.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoPickStyle.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoPointSet.h,
	include/Inventor/nodes/SoPolygonOffset.h,
	include/Inventor/nodes/SoProfile.h,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	include/Inventor/nodes/SoProfileCoordinate3.h,
	include/Inventor/nodes/SoQuadMesh.h,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoRotationXYZ.h,
	include/Inventor/nodes/SoRotor.h, include/Inventor/nodes/SoScale.h,
	include/Inventor/nodes/SoSelection.h,
	include/Inventor/nodes/SoSeparator.h,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/nodes/SoShapeHints.h,
	include/Inventor/nodes/SoShuttle.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSpotLight.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoSubNodeP.h,
	include/Inventor/nodes/SoSurroundScale.h,
	include/Inventor/nodes/SoSwitch.h,
	include/Inventor/nodes/SoText2.h, include/Inventor/nodes/SoText3.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinateBinding.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	include/Inventor/nodes/SoTextureCoordinateFunction.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/nodes/SoTransformSeparator.h,
	include/Inventor/nodes/SoTransformation.h,
	include/Inventor/nodes/SoTranslation.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	include/Inventor/nodes/SoUnits.h,
	include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoWWWAnchor.h,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/projectors/SbCylinderProjector.h,
	include/Inventor/projectors/SbCylinderSectionProjector.h,
	include/Inventor/projectors/SbCylinderSheetProjector.h,
	include/Inventor/projectors/SbLineProjector.h,
	include/Inventor/projectors/SbPlaneProjector.h,
	include/Inventor/projectors/SbProjector.h,
	include/Inventor/projectors/SbProjectors.h,
	include/Inventor/projectors/SbSpherePlaneProjector.h,
	include/Inventor/projectors/SbSphereProjector.h,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	include/Inventor/sensors/SoAlarmSensor.h,
	include/Inventor/sensors/SoDataSensor.h,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/sensors/SoNodeSensor.h,
	include/Inventor/sensors/SoOneShotSensor.h,
	include/Inventor/sensors/SoPathSensor.h,
	include/Inventor/sensors/SoSensor.h,
	include/Inventor/sensors/SoSensorManager.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/sensors/SoTimerSensor.h,
	include/Inventor/system/inttypes.h, src/snprintf.c, src/snprintf.h,
	src/VRMLnodes/SoVRMLInterpOutput.cpp,
	src/VRMLnodes/SoVRMLInterpolator.cpp, src/VRMLnodes/all.cpp,
	src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoGlobalSimplifyAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoReorganizeAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoShapeSimplifyAction.cpp,
	src/actions/SoSimplifyAction.cpp, src/actions/SoToVRML2Action.cpp,
	src/actions/SoToVRMLAction.cpp, src/actions/SoWriteAction.cpp,
	src/actions/all.cpp, src/base/SbBSPTree.cpp, src/base/SbBox2f.cpp,
	src/base/SbBox2s.cpp, src/base/SbBox3f.cpp, src/base/SbColor.cpp,
	src/base/SbColor4f.cpp, src/base/SbCylinder.cpp,
	src/base/SbDict.cpp, src/base/SbHeap.cpp, src/base/SbImage.cpp,
	src/base/SbLine.cpp, src/base/SbMatrix.cpp, src/base/SbName.cpp,
	src/base/SbOctTree.cpp, src/base/SbPlane.cpp,
	src/base/SbRotation.cpp, src/base/SbSphere.cpp,
	src/base/SbString.cpp, src/base/SbTesselator.cpp,
	src/base/SbTime.cpp, src/base/SbVec2f.cpp, src/base/SbVec2s.cpp,
	src/base/SbVec3f.cpp, src/base/SbVec4f.cpp,
	src/base/SbViewVolume.cpp, src/base/SbViewportRegion.cpp,
	src/base/SbXfBox3f.cpp, src/base/all.cpp, src/bundles/SoBundle.cpp,
	src/bundles/SoMaterialBundle.cpp,
	src/bundles/SoTextureCoordinateBundle.cpp, src/bundles/all.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoConvexDataCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp, src/caches/all.cpp,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/details/all.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoDirectionalLightDragger.cpp,
	src/draggers/SoDragPointDragger.cpp, src/draggers/SoDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoPointLightDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/draggers/SoScale1Dragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp, src/draggers/all.cpp,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoAmbientColorElement.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoCacheElement.cpp,
	src/elements/SoClipPlaneElement.cpp,
	src/elements/SoComplexityElement.cpp,
	src/elements/SoComplexityTypeElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoCreaseAngleElement.cpp,
	src/elements/SoCullElement.cpp,
	src/elements/SoDecimationPercentageElement.cpp,
	src/elements/SoDecimationTypeElement.cpp,
	src/elements/SoDiffuseColorElement.cpp,
	src/elements/SoDrawStyleElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoEmissiveColorElement.cpp,
	src/elements/SoEnvironmentElement.cpp,
	src/elements/SoFloatElement.cpp,
	src/elements/SoFocalDistanceElement.cpp,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	src/elements/SoGLAmbientColorElement.cpp,
	src/elements/SoGLClipPlaneElement.cpp,
	src/elements/SoGLCoordinateElement.cpp,
	src/elements/SoGLDiffuseColorElement.cpp,
	src/elements/SoGLDrawStyleElement.cpp,
	src/elements/SoGLEmissiveColorElement.cpp,
	src/elements/SoGLEnvironmentElement.cpp,
	src/elements/SoGLLazyElement.cpp,
	src/elements/SoGLLightIdElement.cpp,
	src/elements/SoGLLightModelElement.cpp,
	src/elements/SoGLLinePatternElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLModelMatrixElement.cpp,
	src/elements/SoGLNormalElement.cpp,
	src/elements/SoGLNormalizeElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoGLPolygonOffsetElement.cpp,
	src/elements/SoGLPolygonStippleElement.cpp,
	src/elements/SoGLProjectionMatrixElement.cpp,
	src/elements/SoGLRenderPassElement.cpp,
	src/elements/SoGLShadeModelElement.cpp,
	src/elements/SoGLShapeHintsElement.cpp,
	src/elements/SoGLShininessElement.cpp,
	src/elements/SoGLSpecularColorElement.cpp,
	src/elements/SoGLTextureCoordinateElement.cpp,
	src/elements/SoGLTextureEnabledElement.cpp,
	src/elements/SoGLTextureImageElement.cpp,
	src/elements/SoGLTextureMatrixElement.cpp,
	src/elements/SoGLUpdateAreaElement.cpp,
	src/elements/SoGLViewingMatrixElement.cpp,
	src/elements/SoGLViewportRegionElement.cpp,
	src/elements/SoInt32Element.cpp, src/elements/SoLazyElement.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoLightModelElement.cpp,
	src/elements/SoLinePatternElement.cpp,
	src/elements/SoLineWidthElement.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	src/elements/SoMaterialBindingElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoNormalBindingElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoOverrideElement.cpp,
	src/elements/SoPROTOElement.cpp, src/elements/SoPickRayElement.cpp,
	src/elements/SoPickStyleElement.cpp,
	src/elements/SoPointSizeElement.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoProjectionMatrixElement.cpp,
	src/elements/SoReplacedElement.cpp,
	src/elements/SoShapeHintsElement.cpp,
	src/elements/SoShapeStyleElement.cpp,
	src/elements/SoShininessElement.cpp,
	src/elements/SoSpecularColorElement.cpp,
	src/elements/SoSwitchElement.cpp,
	src/elements/SoTextOutlineEnabledElement.cpp,
	src/elements/SoTextureCoordinateBindingElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp,
	src/elements/SoTextureImageElement.cpp,
	src/elements/SoTextureMatrixElement.cpp,
	src/elements/SoTextureOverrideElement.cpp,
	src/elements/SoTextureQualityElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/elements/SoUnitsElement.cpp,
	src/elements/SoViewVolumeElement.cpp,
	src/elements/SoViewingMatrixElement.cpp,
	src/elements/SoViewportRegionElement.cpp,
	src/elements/SoWindowElement.cpp, src/elements/all.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoCalculator.cpp,
	src/engines/SoComposeMatrix.cpp, src/engines/SoComposeRotation.cpp,
	src/engines/SoComposeRotationFromTo.cpp,
	src/engines/SoComposeVec2f.cpp, src/engines/SoComposeVec3f.cpp,
	src/engines/SoComposeVec4f.cpp,
	src/engines/SoComputeBoundingBox.cpp,
	src/engines/SoConcatenate.cpp, src/engines/SoConvertAll.cpp,
	src/engines/SoCounter.cpp, src/engines/SoDecomposeMatrix.cpp,
	src/engines/SoDecomposeRotation.cpp,
	src/engines/SoDecomposeVec2f.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/engines/SoDecomposeVec4f.cpp, src/engines/SoElapsedTime.cpp,
	src/engines/SoEngine.cpp, src/engines/SoEngineOutput.cpp,
	src/engines/SoFieldConverter.cpp, src/engines/SoGate.cpp,
	src/engines/SoInterpolate.cpp, src/engines/SoInterpolateFloat.cpp,
	src/engines/SoInterpolateRotation.cpp,
	src/engines/SoInterpolateVec2f.cpp,
	src/engines/SoInterpolateVec3f.cpp,
	src/engines/SoInterpolateVec4f.cpp, src/engines/SoOnOff.cpp,
	src/engines/SoOneShot.cpp, src/engines/SoOutputData.cpp,
	src/engines/SoSelectOne.cpp, src/engines/SoTimeCounter.cpp,
	src/engines/SoTransformVec3f.cpp, src/engines/SoTriggerAny.cpp,
	src/engines/all.cpp, src/engines/evaluator.c,
	src/engines/evaluator.h, src/engines/evaluator.l,
	src/engines/lex.so_eval.c, src/errors/SoDebugError.cpp,
	src/errors/SoError.cpp, src/errors/SoMemoryError.cpp,
	src/errors/SoReadError.cpp, src/errors/all.cpp,
	src/events/SoButtonEvent.cpp, src/events/SoEvent.cpp,
	src/events/SoKeyboardEvent.cpp, src/events/SoLocation2Event.cpp,
	src/events/SoMotion3Event.cpp, src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp, src/events/all.cpp,
	src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp,
	src/fields/SoFieldData.cpp, src/fields/SoGlobalField.cpp,
	src/fields/SoMFBitMask.cpp, src/fields/SoMFBool.cpp,
	src/fields/SoMFColor.cpp, src/fields/SoMFEngine.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFInt32.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/fields/SoMFShort.cpp,
	src/fields/SoMFString.cpp, src/fields/SoMFTime.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoMFVec2f.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoMFVec4f.cpp, src/fields/SoMField.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFEnum.cpp, src/fields/SoSFFloat.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFNode.cpp, src/fields/SoSFPath.cpp,
	src/fields/SoSFPlane.cpp, src/fields/SoSFRotation.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFUShort.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoSFVec4f.cpp, src/fields/SoSField.cpp,
	src/fields/all.cpp, src/lists/SbIntList.cpp, src/lists/SbList.cpp,
	src/lists/SbPList.cpp, src/lists/SbStringList.cpp,
	src/lists/SbVec3fList.cpp, src/lists/SoActionMethodList.cpp,
	src/lists/SoAuditorList.cpp, src/lists/SoBaseList.cpp,
	src/lists/SoCallbackList.cpp, src/lists/SoDetailList.cpp,
	src/lists/SoEnabledElementsList.cpp, src/lists/SoEngineList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoNodeList.cpp, src/lists/SoPathList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp,
	src/lists/SoVRMLInterpOutputList.cpp, src/lists/all.cpp,
	src/manips/SoCenterballManip.cpp, src/manips/SoClipPlaneManip.cpp,
	src/manips/SoDirectionalLightManip.cpp,
	src/manips/SoHandleBoxManip.cpp, src/manips/SoJackManip.cpp,
	src/manips/SoPointLightManip.cpp, src/manips/SoSpotLightManip.cpp,
	src/manips/SoTabBoxManip.cpp, src/manips/SoTrackballManip.cpp,
	src/manips/SoTransformBoxManip.cpp,
	src/manips/SoTransformManip.cpp, src/manips/SoTransformerManip.cpp,
	src/manips/all.cpp, src/manips/commoncode.cpp, src/misc/SoBase.cpp,
	src/misc/SoByteStream.cpp, src/misc/SoChildList.cpp,
	src/misc/SoDB.cpp, src/misc/SoFullPath.cpp, src/misc/SoGL.cpp,
	src/misc/SoGLFaceSetTemplate.cpp, src/misc/SoGLImage.cpp,
	src/misc/SoGLTristripTemplate.cpp, src/misc/SoGenerate.cpp,
	src/misc/SoGlyph.cpp, src/misc/SoInput.cpp,
	src/misc/SoInteraction.cpp, src/misc/SoLightPath.cpp,
	src/misc/SoLockManager.cpp, src/misc/SoNormalGenerator.cpp,
	src/misc/SoNotification.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/SoOutput.cpp, src/misc/SoPath.cpp,
	src/misc/SoPickedPoint.cpp, src/misc/SoPrimitiveVertex.cpp,
	src/misc/SoSceneManager.cpp, src/misc/SoState.cpp,
	src/misc/SoTempPath.cpp, src/misc/SoTranReceiver.cpp,
	src/misc/SoTranSender.cpp, src/misc/SoType.cpp, src/misc/all.cpp,
	src/misc/default2dfont.cpp, src/misc/default3dfont.cpp,
	src/nodekits/SoAppearanceKit.cpp, src/nodekits/SoBaseKit.cpp,
	src/nodekits/SoCameraKit.cpp, src/nodekits/SoInteractionKit.cpp,
	src/nodekits/SoLightKit.cpp, src/nodekits/SoNodeKit.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodekits/SoNodekitCatalog.cpp, src/nodekits/SoSceneKit.cpp,
	src/nodekits/SoSeparatorKit.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodekits/SoWrapperKit.cpp, src/nodekits/all.cpp,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoAnnoText3Property.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoAsciiText.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoCallback.cpp, src/nodes/SoCamera.cpp,
	src/nodes/SoClipPlane.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoCone.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoCylinder.cpp,
	src/nodes/SoDirectionalLight.cpp, src/nodes/SoDrawStyle.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoExtSelection.cpp, src/nodes/SoFaceSet.cpp,
	src/nodes/SoFile.cpp, src/nodes/SoFont.cpp,
	src/nodes/SoFontStyle.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoImage.cpp, src/nodes/SoIndexedFaceSet.cpp,
	src/nodes/SoIndexedLineSet.cpp, src/nodes/SoIndexedNurbsCurve.cpp,
	src/nodes/SoIndexedNurbsSurface.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoLevelOfSimplification.cpp, src/nodes/SoLight.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoLineSet.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMarkerSet.cpp, src/nodes/SoMaterial.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoNode.cpp,
	src/nodes/SoNonIndexedShape.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoNormalBinding.cpp, src/nodes/SoNurbsCurve.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoNurbsSurface.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/nodes/SoPackedColor.cpp,
	src/nodes/SoPathSwitch.cpp, src/nodes/SoPendulum.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoPointSet.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoProfile.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/nodes/SoQuadMesh.cpp,
	src/nodes/SoResetTransform.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoRotationXYZ.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoSelection.cpp,
	src/nodes/SoSeparator.cpp, src/nodes/SoShape.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoSphere.cpp, src/nodes/SoSpotLight.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoSwitch.cpp,
	src/nodes/SoText2.cpp, src/nodes/SoText3.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTransformation.cpp,
	src/nodes/SoTranslation.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoUnknownNode.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoVertexShape.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoWWWInline.cpp,
	src/nodes/all.cpp, src/projectors/SbCylinderPlaneProjector.cpp,
	src/projectors/SbCylinderProjector.cpp,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/projectors/SbLineProjector.cpp,
	src/projectors/SbPlaneProjector.cpp,
	src/projectors/SbProjector.cpp,
	src/projectors/SbSpherePlaneProjector.cpp,
	src/projectors/SbSphereProjector.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	src/projectors/SbSphereSheetProjector.cpp, src/projectors/all.cpp,
	src/sensors/SoAlarmSensor.cpp, src/sensors/SoDataSensor.cpp,
	src/sensors/SoDelayQueueSensor.cpp, src/sensors/SoFieldSensor.cpp,
	src/sensors/SoIdleSensor.cpp, src/sensors/SoNodeSensor.cpp,
	src/sensors/SoOneShotSensor.cpp, src/sensors/SoPathSensor.cpp,
	src/sensors/SoSensor.cpp, src/sensors/SoSensorManager.cpp,
	src/sensors/SoTimerQueueSensor.cpp, src/sensors/SoTimerSensor.cpp,
	src/sensors/all.cpp:
	
	Changed Free Software license from QPL to LGPL.

2000-08-29 15:58  mortene

	* autogen.sh:
	
	Corrected Autoconf version number in bootstrapping script.

2000-08-28 16:10  mortene

	* src/engines/SoEngine.cpp:
	
	Bugfix for notification code, by pederb.

2000-08-28 16:05  mortene

	* src/misc/default2dfont.cpp:
	
	Flipped font to follow OpenGL convention on direction of positive
	Y-axis.

2000-08-21 18:59  mortene

	* src/elements/SoTextureMatrixElement.cpp:
	
	Fixed texture matrix pre/post multiplication bug(s). Done by
	pederb.

2000-08-21 07:26  mortene

	* src/base/SbColor.cpp:
	
	Commented code on endianness issues for SbColor::setPackedValue()
	and SbColor::getPackedValue().

2000-08-17 16:06  mortene

	* src/nodes/SoIndexedLineSet.cpp:
	
	Fix to handle empty IndexedLineSets while traversing. By pederb.

2000-08-17 15:28  mortene

	* src/nodes/SoIndexedFaceSet.cpp:
	
	Fix to handle empty IndexedFaceSets when traversing, by pederb.

2000-08-17 15:06  mortene

	* include/Inventor/caches/SoConvexDataCache.h,
	src/caches/SoConvexDataCache.cpp, src/nodes/SoIndexedFaceSet.cpp:
	
	Added model matrix to the list of arguments in
	SoConvexDataCache::generate().	This is needed to tessellate
	correctly when we have some weird model matrix.
	
	Done by pederb.

2000-08-16 13:54  mortene

	* src/nodes/SoSeparator.cpp:
	
	Render culling bugfix. Objects should be culled earlier now. Also
	added some GL debugging code.
	
	Done by pederb.

2000-08-16 13:18  mortene

	* src/: actions/SoGLRenderAction.cpp, nodes/SoShape.cpp:
	
	Implemented support for the abort callback in SoGLRenderAction.
	Done by pederb.

2000-08-15 19:24  mortene

	* src/elements/SoGLTextureMatrixElement.cpp,
	include/Inventor/elements/SoGLTextureMatrixElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	src/elements/SoTextureMatrixElement.cpp:
	
	Added SoTextureMatrixElement::set(). Some code cleanup and
	documentation.	By pederb.

2000-08-15 18:42  mortene

	* src/nodes/SoTexture2.cpp:
	
	Don't try to load file in field sensor callback if filename is
	empty.	Fix by pederb.

2000-08-15 18:41  mortene

	* include/Inventor/SbOctTree.h, src/base/SbOctTree.cpp:
	
	Code cleanup, by pederb.

2000-08-15 18:25  mortene

	* src/nodes/SoShape.cpp:
	
	Bugfix for triangle point details, by pederb.

2000-08-10 10:31  mortene

	* HACKING, TODO:
	
	Minor updates.

2000-08-10 08:48  mortene

	* include/Inventor/nodes/SoIndexedLineSet.h,
	src/nodes/SoIndexedLineSet.cpp:
	
	Moved internal enum Binding to private scope.

2000-08-09 17:08  mortene

	* include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h,
	include/Inventor/nodes/SoIndexedShape.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedLineSet.cpp,
	src/nodes/SoIndexedShape.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp, src/nodes/nodes.metadon:
	
	Documentation and code cleanup for indexed shapes, by pederb.

2000-08-09 14:56  mortene

	* include/Inventor/nodes/SoTriangleStripSet.h,
	src/nodes/SoTriangleStripSet.cpp:
	
	Documentation. Also moved the internal Binding enum to the private
	scope.	By pederb.

2000-08-09 14:47  mortene

	* include/Inventor/nodes/SoQuadMesh.h, src/nodes/SoQuadMesh.cpp:
	
	Documentation. Also moved the internal Binding enum to the private
	scope.	By pederb.

2000-08-09 14:46  mortene

	* src/nodes/SoPointSet.cpp, include/Inventor/nodes/SoPointSet.h:
	
	Moved the internal Binding enum to the private scope. Some minor
	documentation updates. By pederb.

2000-08-09 14:16  mortene

	* src/errors/SoError.cpp:
	
	Added documentation to clarify SoError::setHandlerCallback().

2000-08-09 13:19  mortene

	* src/nodes/nodes.metadon:
	
	Updated Metadon status.

2000-08-09 13:17  mortene

	* src/: actions/SoGLRenderAction.cpp, fields/SoMFEngine.cpp,
	fields/SoMFEnum.cpp, fields/SoMFPath.cpp, fields/SoSFEngine.cpp,
	fields/SoSFEnum.cpp, fields/SoSFImage.cpp, fields/SoSFNode.cpp,
	fields/SoSFPath.cpp, fields/SoSFTrigger.cpp, nodes/SoTexture2.cpp:
	
	Minor documentation updates.

2000-08-09 12:58  mortene

	* include/Inventor/nodes/SoLineSet.h, src/nodes/SoLineSet.cpp:
	
	Documentation, and moved the internal Binding enum to the private
	scope. By pederb.

2000-08-09 12:45  mortene

	* include/Inventor/nodes/SoFaceSet.h, src/nodes/SoFaceSet.cpp:
	
	Documentation, and moved the internal Binding enum to the private
	scope. By pederb.

2000-08-09 12:06  mortene

	* src/nodes/SoNonIndexedShape.cpp:
	
	Minor documentation update by pederb.

2000-08-09 12:05  mortene

	* include/Inventor/nodes/SoVertexShape.h,
	src/nodes/SoVertexShape.cpp:
	
	Documentation and code cleanup by pederb.

2000-08-09 11:27  mortene

	* configure.in:
	
	Minor bugfix for simage detection code, by larsa.

2000-08-09 10:23  mortene

	* src/: nodes/SoImage.cpp, misc/SoGLImage.cpp:
	
	Bugfix in gluScaleImage usage. The appropriate pixel store modes
	has to be set. By pederb.

2000-08-08 19:00  mortene

	* src/base/SbImage.cpp:
	
	Avoid potential out-of-bounds read from SbString when trying to
	find the correct texture file.

2000-08-08 18:17  mortene

	* build/: coin_dll.dsp.in, coin_dll.mak.in:
	
	Changed location of program database (.pdb file). By mariusbu.

2000-08-08 18:16  mortene

	* README.WIN32:
	
	Added environment variables instructions. Removed numbering.  Fixed
	by mariusbu.

2000-08-08 15:43  mortene

	* include/Inventor/SbBasic.h.in,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoSubAction.h, src/actions/SoAction.cpp:
	
	First attempt at resolving the problem with static class members
	for MSWin DLLs didn't work out, but this should take care of the
	problem.

2000-08-08 13:54  mortene

	* include/Inventor/: SbBasic.h.in, actions/SoAction.h,
	actions/SoSubAction.h:
	
	Explicit import of static class member variables is necessary when
	working with MSWin DLLs. This fix implements this transparently for
	application programmers.
	
	(The problem would only be visible for people writing extension
	classes on top of Coin.)
	
	Problem reported by Nick Halper.

2000-08-08 13:21  mortene

	* src/: actions/SoGLRenderAction.cpp, actions/SoWriteAction.cpp,
	base/SbViewVolume.cpp, events/SoEvent.cpp, fields/SoSFImage.cpp,
	misc/SoDB.cpp, misc/SoOffscreenRenderer.cpp,
	misc/SoSceneManager.cpp, nodes/SoCallback.cpp, nodes/SoImage.cpp,
	nodes/SoIndexedNurbsSurface.cpp, nodes/SoSelection.cpp,
	nodes/SoTriangleStripSet.cpp, sensors/SoSensor.cpp:
	
	Miscellaneous documentation fixes and updates.

2000-08-08 13:01  mortene

	* include/Inventor/nodes/SoImage.h:
	
	Moved internal functions from protected to private scope.

2000-08-08 12:14  mortene

	* include/Inventor/SbVec2f.h:
	
	Removed some whitespace as a workaround for a Doxygen bug.

2000-08-08 12:11  mortene

	* include/Inventor/elements/SoSubElement.h:
	
	Made protected variable private and did minor rewrites to extension
	macros to avoid problems when linking against Coin DLL under MSWin.

2000-08-08 10:44  mortene

	* src/elements/SoGLModelMatrixElement.cpp:
	
	Added missing call upwards in inheritance hierarchy.

2000-08-08 10:39  mortene

	* src/elements/SoCacheElement.cpp,
	include/Inventor/elements/SoCacheElement.h:
	
	Fixed bug which caused caches not to be deleted. Oops.
	
	By pederb.

2000-08-07 15:18  mortene

	* src/misc/SoSceneManager.cpp:
	
	Killed potential for memory leak.

2000-08-04 15:38  mortene

	* src/lists/SoActionMethodList.cpp:
	
	Bugfix SoActionMethodList. Action methods already set (by external
	nodes) should not be overwritten when setting action methods for
	other (internal) nodes.
	
	Fixed by pederb.

2000-08-04 13:56  mortene

	* coin-config.in:
	
	Removed using a function (not 100% portable).  Compacted code. 
	Added quick'n'dirty unofficial/unsupported "--build" option.
	
	All fixes by larsa.

2000-08-04 13:48  mortene

	* include/Inventor/nodes/SoNode.h,
	include/Inventor/nodes/SoSubNode.h, src/nodes/SoNode.cpp:
	
	Fix for "Unresolved external symbol" when linking against the Coin
	DLL with extension node classes. Problem reported by Nick Halper.

2000-08-04 13:38  mortene

	* src/base/all.cpp:
	
	SbImage.cpp was missing from the all.cpp file for "compact builds".
	 Thanks to Jan Prikryl for reporting the problem.

2000-07-19 17:22  mortene

	* src/actions/SoPickAction.cpp:
	
	Enable SoCacheElement for SoPickAction. Fix by pederb.

2000-07-19 12:38  mortene

	* autogen.sh:
	
	Corrected information about which Autoconf and Automake versions we
	are using.

2000-07-18 15:18  larsa

	* src/caches/SoCache.cpp:
	
	Fixed ugly cache memory leak.  By pederb.

2000-07-18 15:16  larsa

	* include/Inventor/elements/SoElement.h:
	
	Made destructor public (as it should be) instead of protected.	By
	pederb.

2000-07-17 10:27  larsa

	* include/Inventor/events/SoKeyboardEvent.h:
	
	Set values of Key enums to match those in Open Inventor, so
	software systems with hard-coded key codes (like Ivy) will get the
	correct key codes.

2000-07-14 16:08  larsa

	* build/SoCoinSDK.iwz.in.in:
	
	Temporary update to iwz script (because examples is now installed
	with SoGuiExamples).  By mariusbu.

2000-07-13 16:50  larsa

	* README.WIN32:
	
	Typo fix

2000-07-13 16:49  larsa

	* README.WIN32:
	
	Updated build information.  Problem reported by Eivind Rovik.

2000-07-13 15:47  larsa

	* build/: coin.dsp.in, coin_dll.dsp.in:
	
	HAVE_CONFIG_H patch.

2000-07-13 14:24  larsa

	* coin-config.in, configure.in:
	
	Applied uniqifying over the lists of -I, -L, and -l options.

2000-07-13 13:45  larsa

	* src/nodes/SoTexture2.cpp:
	
	Fix for not trying to read textures if filename is "", which turns
	off texture rendering.	Problem reported by Eivind Rovik.

2000-07-12 18:26  larsa

	* TODO:
	
	Removed the most obvious obsolete items, and added a new one.

2000-07-12 18:23  larsa

	* NEWS:
	
	Updated items.

2000-07-12 15:10  larsa

	* configure.in:
	
	Fixed problem with simage test.

2000-07-11 20:10  larsa

	* Makefile.am, autogen.sh, coin-config.in, configure.in:
	
	Upgrade to CVS Autoconf and CVS Automake.

2000-07-10 18:19  larsa

	* include/Inventor/system/inttypes.h:
	
	Removed C++ comments - inttypes.h is also used as a C header.

2000-07-07 14:49  mortene

	* include/Inventor/misc/SoGlyph.h, src/misc/SoGlyph.cpp:
	
	Bugfix: Need to handle bounding box for space also.  Also removed
	an obsoleted class member.
	
	Done by pederb.

2000-07-07 14:24  mortene

	* src/nodes/SoText3.cpp:
	
	Fixed bounding box calculations for SoText3, by pederb.

2000-07-07 14:23  mortene

	* src/nodes/SoAsciiText.cpp:
	
	Fixed bounding box calculations for SoAsciiText, by pederb.

2000-07-07 14:22  mortene

	* include/Inventor/misc/SoGlyph.h, src/misc/SoGlyph.cpp:
	
	Added getBoundingBox() method for SoGlyph. Fixed by pederb.

2000-07-07 13:28  mortene

	* src/nodes/SoAsciiText.cpp:
	
	Added FIXME in the computeBBox() method about the state of the
	code, with link to Bugzilla entry.

2000-07-07 12:07  mortene

	* include/Inventor/nodekits/SoNodeKitListPart.h,
	src/nodekits/SoBaseKit.cpp, src/nodekits/SoNodeKitListPart.cpp:
	
	Made it possible for default children to be created in list-parts. 
	Missing functionality reported by Christof Rezk-Salama.
	
	Also changed some debug-messages into warnings.
	
	Fixes by pederb.

2000-07-07 11:48  mortene

	* src/misc/SoDB.cpp:
	
	Wrote a mainpage for the Doxygen documentation.

2000-07-07 11:19  mortene

	* build/coin.dsp.in, build/coin.mak.in, build/coin_dll.dsp.in,
	build/coin_dll.mak.in, include/Inventor/misc/SoImageInterface.h,
	src/misc/Makefile.am, src/misc/SoImageInterface.cpp,
	src/misc/all.cpp:
	
	Removed obsoleted SoImageInterface class.

2000-07-07 11:17  mortene

	* src/sensors/SoTimerSensor.cpp:
	
	Minor documentation update.

2000-07-07 10:54  mortene

	* src/nodekits/SoBaseKit.cpp:
	
	Set and lock list-part child types when creating the list-part. Fix
	by pederb.

2000-07-07 10:36  mortene

	* src/nodes/: SoIndexedNurbsCurve.cpp, SoIndexedNurbsSurface.cpp,
	SoNurbsCurve.cpp, SoNurbsSurface.cpp:
	
	Match function signatures in implementations and declarations.

2000-07-07 10:29  mortene

	* src/nodes/: SoIndexedNurbsCurve.cpp, SoIndexedNurbsSurface.cpp,
	SoNurbsCurve.cpp, SoNurbsSurface.cpp:
	
	Fixes GLU callback casts. Patch by Loring Holden.

2000-07-07 10:25  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Updated documentation to reflect the fact that we're now capable of
	rendering in all component formats.  VS:
	-------------------------------------------------------------------
	---

2000-07-07 10:11  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Another typo fix.

2000-07-07 10:07  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Corrected typo error in class documentation.

2000-07-07 10:01  mortene

	* docs/coin.doxygen.in:
	
	SoOffscreenRenderer was missing from the document generation.

2000-07-07 09:06  mortene

	* src/nodes/: SoIndexedNurbsSurface.cpp, SoNurbsSurface.cpp:
	
	Fix for NURBS drawstyle and tessellator texture coordinates. Done
	by pederb.

2000-07-07 09:05  mortene

	* src/misc/SoGL.cpp:
	
	Fix for the pretty messed up NURBS complexity handling, by pederb.

2000-07-06 15:57  mortene

	* include/Inventor/fields/SoSFBool.h,
	include/Inventor/fields/SoSFFloat.h,
	include/Inventor/fields/SoSFInt32.h,
	include/Inventor/fields/SoSFShort.h,
	include/Inventor/fields/SoSFUInt32.h,
	include/Inventor/fields/SoSFUShort.h, src/fields/SoMFBool.cpp,
	src/fields/SoMFFloat.cpp, src/fields/SoMFInt32.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFUInt32.cpp,
	src/fields/SoMFUShort.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoSFUInt32.cpp,
	src/fields/SoSFUShort.cpp:
	
	Removed the meaningless const'ing (which gave SGI MIPSpro CC the
	hickups).

2000-07-06 13:18  mortene

	* build/coin.spec.in:
	
	Added some documentation, updated to correct library name.

2000-07-06 13:13  mortene

	* src/nodes/: SoIndexedNurbsCurve.cpp, SoNurbsCurve.cpp:
	
	Include SoRayPickAction.h to avoid compilers croaking on
	"incomplete type".

2000-07-06 13:09  mortene

	* include/Inventor/nodes/SoIndexedNurbsCurve.h,
	src/nodes/SoIndexedNurbsCurve.cpp:
	
	Implemented SoIndexedNurbsCurve, done by pederb.

2000-07-06 13:03  mortene

	* include/Inventor/nodes/SoNurbsCurve.h,
	src/nodes/SoNurbsCurve.cpp:
	
	Implemented missing functionality in SoNurbsCurve. Done by pederb.

2000-07-06 13:00  mortene

	* src/nodes/SoIndexedNurbsSurface.cpp:
	
	Implemented computeBoundingBox() correctly. Fixed GLUnurbs cast. 
	Done by pederb.

2000-07-06 12:59  mortene

	* src/nodes/SoNurbsSurface.cpp:
	
	Implemented computeBoundingBox() correctly. Also fixed a possible
	pointer cast problem. Done by pederb.

2000-07-06 12:56  mortene

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp:
	
	Added method to render/tessellate NURBS curves, by pederb.

2000-07-06 12:55  mortene

	* src/misc/SoGLImage.cpp:
	
	Fixed compiler warnings about signed vs unsigned comparisons.

2000-07-06 12:51  mortene

	* include/Inventor/elements/SoGLTextureEnabledElement.h,
	src/elements/SoGLTextureEnabledElement.cpp:
	
	Added a forceSend() method for this lazy element. This is needed by
	shapes that disable texturing when rendering (NurbsCurve). Also
	cleaned up the code a bit and added some documentation.
	
	Done by pederb.

2000-07-05 19:19  mortene

	* src/Makefile.am:
	
	Don't use the -release flag when making the library, as recommended
	in the libtool documentation.

2000-07-05 15:38  mortene

	* acconfig.h, configure.in, src/misc/SoOffscreenRenderer.cpp:
	
	Killed support for Mesa-specific offscreen rendering, as it serves
	no useful purpose after the GLX support went in.
	
	This removes the potential for trouble if someone configures and
	compiles libCoin where SoOffscreenRenderer uses the Mesa functions,
	then the library is moved to another system with "proper" OpenGL.

2000-07-05 15:23  mortene

	* build/coin.spec.in:
	
	Use a stripped library for the binary RPMS.

2000-07-05 15:22  mortene

	* src/base/SbImage.cpp:
	
	Use HAVE_CONFIG_H wrapper around #include <config.h>.

2000-07-05 09:03  mortene

	* include/Inventor/SbBasic.h.in:
	
	For reasons of compatibility with Open Inventor, include the
	inttypes.h file in SbBasic.h.

2000-07-04 20:17  mortene

	* src/nodes/SoIndexedFaceSet.cpp:
	
	Fix to invalidate convex data cache when something changes. Done by
	pederb.

2000-07-04 19:51  mortene

	* src/nodes/SoSeparator.cpp:
	
	Update refcounts for bounding box cache instead of just deleting
	it.  Fixed by pederb.

2000-07-04 18:59  mortene

	* src/fields/: SoSFEngine.cpp, SoSFNode.cpp:
	
	Bugfix SoSFNode and SoSFEngine. Disable notify before calling
	setValue(NULL) in destructor or bad things will happen.
	
	Fixed by pederb.

2000-07-04 18:00  mortene

	* configure.in, build/coin.spec.in:
	
	Added RPM specification file.

2000-07-04 17:31  mortene

	* src/caches/SoCache.cpp:
	
	Fixed invalid assert. Some more debug code. By pederb.

2000-07-04 15:25  mortene

	* src/caches/SoCache.cpp:
	
	Just some code to make debugging caches a bit easier.

2000-07-04 15:24  mortene

	* src/nodes/SoVertexShape.cpp:
	
	Invalidate normal cache when some dependency element change. Fixed
	by pederb.

2000-07-04 15:11  mortene

	* src/elements/SoCacheElement.cpp:
	
	Misc fixes by pederb.

2000-07-04 15:11  mortene

	* include/Inventor/caches/SoNormalCache.h,
	src/caches/SoNormalCache.cpp:
	
	Codestyle fixes.

2000-07-04 14:20  mortene

	* build/SoCoinSDK.iwz.in.in:
	
	Bugfix: SoQt headers was installed outside the Inventor dir.
	Reported by thammer, fixed by mariusbu.

2000-07-04 13:40  mortene

	* docs/coin.doxygen.in:
	
	Fixed typo.

2000-07-04 13:27  mortene

	* build/SoCoinSDK.iwz.in.in:
	
	Changed .pdb file location for So dll. Fixed by mariusbu.

2000-07-04 11:37  mortene

	* src/fields/SoSFImage.cpp:
	
	Corrected mistake in documentation about image formats (_opacity_
	value, not _transparency_ value).

2000-07-04 11:34  mortene

	* include/Inventor/nodes/SoImage.h, src/nodes/SoImage.cpp:
	
	Improved SoImage OIV-compatibility. Done by pederb.

2000-07-04 10:59  mortene

	* include/Inventor/nodes/SoTexture2.h, src/nodes/SoTexture2.cpp:
	
	Simplified and bugfixed SoTexture2. We should be more OIV compliant
	now.  Fixed by pederb.

2000-07-04 10:51  mortene

	* include/Inventor/misc/SoGLImage.h,
	src/elements/SoGLTextureImageElement.cpp, src/misc/SoGLImage.cpp:
	
	Cleaned up SoGLImage a bit, and moved some functionality from the
	soon obsolete SoImageInterface class into this class.
	
	Changed SoGLTextureImageElement to use the "new" SoGLImage.
	
	Fixes by pederb.

2000-07-04 10:46  mortene

	* src/fields/SoSFImage.cpp, include/Inventor/fields/SoSFImage.h:
	
	Converted SoSFImage to use the new SbImage class. Done by pederb.

2000-07-04 10:44  mortene

	* build/CoinSDK.iwz.in, build/SoCoinSDK.iwz.in.in,
	build/coin.dsp.in, build/coin.mak.in, build/coin_dll.dsp.in,
	build/coin_dll.mak.in, include/Inventor/SbImage.h, src/Makefile.am,
	src/base/Makefile.am, src/base/SbImage.cpp:
	
	New class SbImage. Used for handling image data. Written by pederb.

2000-07-03 17:15  mortene

	* configure.in, src/base/SbRotation.cpp:
	
	Fixed typo in configure script which made checking for Doxygen
	obligatory.

2000-07-03 14:30  mortene

	* Makefile.am, configure.in, docs/coin.doxygen,
	docs/coin.doxygen.in:
	
	Added support for automatically detecting Doxygen and configure the
	Doxygen option file to install files in correct locations.

2000-07-03 12:58  mortene

	* src/fields/SoSFImage.cpp:
	
	Bugfix SoSFImage::setValue(). Set size and number of components
	even if size == (0,0).
	
	Fixed by pederb.

2000-07-02 11:30  mortene

	* src/: misc/SoGL.cpp, nodes/SoIndexedNurbsSurface.cpp,
	nodes/SoNurbsSurface.cpp:
	
	Corrected config wrappers around GLU NURBS code.

2000-07-01 22:49  mortene

	* src/nodes/: SoLinearProfile.cpp, SoNurbsProfile.cpp:
	
	Fixes name clash problems reported by Loring Holden.

2000-07-01 15:49  mortene

	* acconfig.h, configure.in, include/Inventor/misc/SoGL.h,
	src/misc/SoGL.cpp, src/nodes/SoIndexedNurbsSurface.cpp,
	src/nodes/SoNurbsSurface.cpp:
	
	Misc fixes so we're able to compile against GLU 1.1.

2000-07-01 10:32  mortene

	* include/Inventor/nodes/SoIndexedNurbsSurface.h,
	src/nodes/SoIndexedNurbsSurface.cpp:
	
	SoIndexedNurbsSurface implementation. Done by pederb.

2000-07-01 10:31  mortene

	* include/Inventor/nodes/SoNurbsSurface.h,
	src/nodes/SoNurbsSurface.cpp:
	
	Some minor fixes to avoid warnings and compilation problems.  Done
	by pederb.

2000-07-01 10:30  mortene

	* src/misc/SoGL.cpp, include/Inventor/misc/SoGL.h:
	
	Updated NURBS renderer to handle indexed nurbs. Done by pederb.

2000-07-01 10:28  mortene

	* include/Inventor/nodes/SoTexture2Transform.h,
	src/nodes/SoTexture2Transform.cpp:
	
	Fixed a bug, implemented some missing methods, some doc. Done by
	pederb.

2000-06-30 15:05  mortene

	* include/Inventor/nodes/SoNurbsSurface.h,
	src/nodes/SoNurbsSurface.cpp:
	
	Better NURBS support. Requires GLU v1.3 for all features to work
	properly.
	
	Done by pederb.

2000-06-30 15:02  mortene

	* include/Inventor/misc/SoGL.h, src/misc/SoGL.cpp:
	
	Implemented a NURBS renderer/tesselator using GLU v1.3. Done by
	pederb.

2000-06-30 13:56  mortene

	* src/misc/: SoInput.cpp, SoOutput.cpp:
	
	Include binary flag when opening binary files. Fixes bugs under
	MSWin.

2000-06-30 10:11  mortene

	* src/elements/SoProfileElement.cpp:
	
	Bugfix by pederb.

2000-06-29 21:15  mortene

	* src/nodes/SoLinearProfile.cpp:
	
	Bugfix by pederb.

2000-06-29 21:11  mortene

	* src/nodes/: SoNurbsProfile.cpp, SoNurbsSurface.cpp:
	
	Bugfix by pederb.

2000-06-29 20:07  mortene

	* include/Inventor/nodes/SoNurbsSurface.h,
	src/nodes/SoNurbsSurface.cpp:
	
	Improved nurbs surface rendering and implemented pseudo (bounding
	box) picking. Done by pederb.

2000-06-29 20:01  mortene

	* src/nodes/SoNurbsProfile.cpp:
	
	Implemented SoNurbsProfile::getTrimCurve(). Done by pederb.

2000-06-29 19:59  mortene

	* src/nodes/SoLinearProfile.cpp:
	
	Implemented SoLinearProfile::getTrimCurve(). Done by pederb.

2000-06-29 19:58  mortene

	* include/Inventor/elements/SoProfileCoordinateElement.h,
	src/elements/SoProfileCoordinateElement.cpp:
	
	Added two methods and cleaned up the code a bit. Done by pederb.

2000-06-29 19:57  mortene

	* build/coin_dll.dsp.in:
	
	Added COIN_MAKE_DLL define to dll project and makefile. By
	mariusbu.

2000-06-29 17:29  mortene

	* src/nodes/SoProfile.cpp:
	
	Added missing enum defines in SoProfile. Fixed by pederb.

2000-06-29 14:55  mortene

	* src/elements/SoGLClipPlaneElement.cpp:
	
	Fixed bug in GL clipping plane code. Done by pederb.

2000-06-29 11:27  mortene

	* configure.in:
	
	Report header file checking.

2000-06-29 09:47  mortene

	* README.IRIX:
	
	Some more info on known IRIX issues.

2000-06-29 09:40  mortene

	* README.AIX:
	
	Some more info on building Coin on AIX.

2000-06-29 09:26  mortene

	* src/: Make-CompileSilent.tpl, Make-LibtoolSilent.tpl:
	
	Templates not in use anymore, removed them from CVS.

2000-06-29 08:22  mortene

	* AUTHORS:
	
	Added summer interns.

2000-06-29 08:22  mortene

	* README:
	
	Clarified the reason we include the GPL license text in the
	distribution.

2000-06-28 19:48  www

	* INSTALL, README:
	
	Changes to INSTALL and README:	- clarify version  - clarify
	licensing

2000-06-28 17:54  mortene

	* acconfig.h, configure.in:
	
	Check for the presence of header files in a way which will also
	work when using the Microsoft Visual C++ compiler under Cygwin.

2000-06-28 17:52  mortene

	* scripts/coin.el:
	
	Don't add whitespace behind every comma character when reformatting
	sourcecode to conform to the Coin coding style, as it can have
	nasty sideeffects.

2000-06-28 17:19  mortene

	* src/base/SbMatrix.cpp:
	
	Fixed all remaining "double => float" conversion warnings with
	Microsoft VisualC++ 6.0.

2000-06-28 17:06  mortene

	* src/base/SbTime.cpp:
	
	Character constants ',' had become ', ', due to my un-kintelifier
	Elisp code for codestyle fixing. Problem reported by Loring Holden.

2000-06-28 15:35  mortene

	* configure.in, build/CoinSDK.iwz.in, build/SoCoinSDK.iwz.in.in,
	build/coin.dsp.in, build/coin.mak.in, build/coin_dll.dsp.in,
	build/coin_dll.mak.in:
	
	Updates in project, make and iwz files to incorporate new files,
	and to use filename with dot-separated full version number for Coin
	DLL. Done by mariusbu.

2000-06-28 15:26  mortene

	* README.WIN32:
	
	Updated readme for MS Windows. Done by mariusbu.

2000-06-28 15:20  mortene

	* src/misc/: SoByteStream.cpp, SoTranSender.cpp:
	
	Bug fix in new misc files, they needed #include <stdlib.h> when
	compiling with MSVC++ 6.0 to get NULL definition. Fixed by
	mariusbu.

2000-06-28 15:09  mortene

	* src/nodes/SoLOD.cpp, include/Inventor/nodes/SoLOD.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	include/Inventor/nodes/SoPathSwitch.h,
	src/nodes/SoLevelOfDetail.cpp, src/nodes/SoPathSwitch.cpp:
	
	Provide the constructors which takes a hint about the number of
	children the group-nodes is going to contain.

2000-06-28 15:04  mortene

	* include/Inventor/engines/SoDecomposeMatrix.h,
	src/engines/SoDecomposeMatrix.cpp:
	
	The "center" engine input was used as an output (ouch!).

2000-06-28 14:04  mortene

	* include/Inventor/nodes/SoTextureCoordinateFunction.h:
	
	Made constructor public to match Open Inventor API.

2000-06-28 13:57  mortene

	* include/Inventor/fields/SoSubField.h:
	
	operator=() method was (by accident) private for "derived"
	multivalue fields, it was supposed to be public.

2000-06-28 13:48  mortene

	* data/draggerDefaults/jackDragger.iv:
	
	Fixed Jack dragger to make line translator be available outside
	surrounded box. Done by pederb.

2000-06-28 13:43  mortene

	* src/engines/: evaluator.y, evaluator_tab.c, evaluator_tab.diff:
	
	Fixes a problem with Microsoft VisualC++ (it doesn't define
	__STDC__ when in "C mode", which leads to trouble). Reported by
	Joachim Tesch.

2000-06-28 13:02  mortene

	* src/engines/SoComputeBoundingBox.cpp,
	include/Inventor/engines/SoComputeBoundingBox.h:
	
	SoComputeBoundingBox::setViewportRegion() and
	SoComputeBoundingBox::getViewportRegion() were missing.

2000-06-28 12:43  mortene

	* include/Inventor/engines/SoInterpolate.h:
	
	Improved Inventor compatibility by also including
	SoInterpolateFloat.h.

2000-06-28 11:34  mortene

	* include/Inventor/lists/SoDetailList.h,
	include/Inventor/lists/SoEngineOutputList.h,
	include/Inventor/lists/SoFieldList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/lists/SoTypeList.h, src/lists/SoDetailList.cpp,
	src/lists/SoEngineOutputList.cpp, src/lists/SoFieldList.cpp,
	src/lists/SoPickedPointList.cpp, src/lists/SoTypeList.cpp:
	
	Misc fixes for better Open Inventor compatibility.

2000-06-28 11:02  mortene

	* include/Inventor/SoLists.h:
	
	Better Inventor compatibility.

2000-06-28 10:51  mortene

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp:
	
	Methods SoGLRenderAction::setRenderingIsRemote() and
	SoGLRenderAction::getRenderingIsRemote() were missing.

2000-06-28 09:31  mortene

	* src/projectors/: SbCylinderSectionProjector.cpp,
	SbSpherePlaneProjector.cpp, SbSphereSectionProjector.cpp:
	
	Fixed MSVC++ 6.0 warnings about implicit double => float
	conversions.

2000-06-28 09:19  mortene

	* src/engines/: evaluator.l, lex.so_eval.c:
	
	Fixed a couple of warnings from MS VisualC++ 6.0.

2000-06-28 09:02  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Include <windows.h> before <GL/gl.h> to resolve the necessary type
	definitions. Patch from Joachim Tesch.

2000-06-28 08:57  mortene

	* src/misc/SoInput.cpp:
	
	Fixes warning C4806 of MS VisualC++ 6.0:
	
	   '&' : unsafe operation: no value of ttype 'bool' promoted to
	type
	
	Done by Joachim Tesch.

2000-06-27 16:04  mortene

	* include/Inventor/misc/SoTranscribe.h:
	
	Use #ifdef/#endif wrapper to avoid inclusion of this Inventor
	compatibility file internally in Coin code.

2000-06-27 16:01  mortene

	* include/Inventor/misc/SoByteStream.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/misc/SoTranSender.h,
	include/Inventor/misc/SoTranscribe.h, src/misc/Makefile.am,
	src/misc/SoByteStream.cpp, src/misc/SoTranReceiver.cpp,
	src/misc/SoTranSender.cpp, src/misc/all.cpp:
	
	New classes which we were missing in Coin; SoByteStream,
	SoTranSender and SoTranReceiver. All methods implemented as stubs.

2000-06-27 15:10  mortene

	* include/Inventor/SoDB.h:
	
	SoDB::registerHeader() should have a default value for the last
	argument to match the Inventor API.

2000-06-27 15:07  mortene

	* include/Inventor/SbTime.h, src/base/SbTime.cpp:
	
	Corrected function signature to match Inventor.

2000-06-27 14:59  mortene

	* include/Inventor/SbBox3f.h, src/base/SbBox3f.cpp:
	
	Added non-const getMin() and getMax() methods (since they are
	present in Inventor, and Coin was missing these).

2000-06-27 14:51  mortene

	* include/Inventor/SoSceneManager.h:
	
	Moved typedef outside class scope for better Inventor
	compatibility.

2000-06-27 14:40  mortene

	* include/Inventor/actions/SoGLRenderAction.h:
	
	Define SoGLRenderPassCB outside SoGLRenderAction class for better
	Inventor compatibility.

2000-06-27 14:23  mortene

	* src/: base/all.cpp, VRMLnodes/all.cpp, actions/all.cpp,
	bundles/all.cpp, caches/all.cpp, details/all.cpp, draggers/all.cpp,
	elements/all.cpp, engines/all.cpp, errors/all.cpp, events/all.cpp,
	fields/all.cpp, lists/all.cpp, misc/all.cpp, manips/all.cpp,
	nodekits/all.cpp, nodes/all.cpp, projectors/all.cpp,
	sensors/all.cpp:
	
	Copyright headers added.

2000-06-27 14:16  mortene

	* build/Makefile.am:
	
	Moved Installshield Wizard installation script from
	$(datadir)/build to $(datadir)/Coin/build to be nicer when
	installing on "foreign" systems.

2000-06-27 14:15  mortene

	* include/Inventor/draggers/SoDragger.h,
	src/draggers/SoDragger.cpp:
	
	Codestyle fixes.

2000-06-27 13:27  mortene

	* build/: CoinSDK.iwz.in, SoCoinSDK.iwz.in.in, coin.dsp.in,
	coin.mak.in, important.txt:
	
	Removed Simage from IS script, updated projects and makefile to add
	version string to lib names.
	
	Added various legal notice texts to the user information provided
	by the InstallShield process.
	
	Work done by mariusbu.

2000-06-27 11:56  mortene

	* src/draggers/SoDragger.cpp:
	
	Bugfix SoDragger::appendRotation(). Adjust scale orientation when
	appending a rotation to support non-uniform scaling. Done by
	pederb.

2000-06-27 11:55  mortene

	* src/nodekits/: SoBaseKit.cpp, SoNodeKit.cpp:
	
	Moved nodekits ray pick action method initialization to the
	SoBaseKit constructor. This enables new (external) nodekits to ray
	pick without calling SoRayPickAction::addMethod().
	
	Done by pederb.

2000-06-27 11:54  mortene

	* include/Inventor/draggers/SoDragger.h:
	
	Moved a private method to the protected space to be able to create
	Motion3Event based draggers. Fix from pederb.

2000-06-26 19:46  mortene

	* build/SoCoinSDK.iwz.in.in:
	
	Updated path to qpl.txt file. Fixed by mariusbu.

2000-06-26 18:42  mortene

	* data/draggerDefaults/Makefile.am,
	data/draggerDefaults/transformerDragger.iv,
	src/draggers/SoTransformerDragger.cpp:
	
	Wrote the default geometry for SoTransformerDragger.

2000-06-26 15:55  mortene

	* include/Inventor/draggers/SoTabBoxDragger.h,
	src/draggers/SoTabBoxDragger.cpp:
	
	Implemented missing function SoTabBoxDragger::adjustScaleTabSize().
	 Bug reported by Rupert Kittinger.

2000-06-26 15:02  mortene

	* build/SoCoinSDK.iwz.in.in:
	
	Bug fixes, by mariusbu.

2000-06-26 13:17  mortene

	* coin-config.in:
	
	Added option "--datadir" to coin-config.

2000-06-26 13:09  mortene

	* Makefile.am, configure.in, build/Makefile.am,
	build/SoCoinSDK.iwz.in.in:
	
	Added SoCoinSDK Install Wizard script instructions file and support
	for processing and installing the file in configure.

2000-06-26 12:01  mortene

	* src/elements/SoGLEnvironmentElement.cpp:
	
	Bugfix for fog type SoEnvironment::HAZE. Done by pederb.

2000-06-26 10:15  mortene

	* include/Inventor/draggers/SoDragger.h:
	
	Include nodes/SoScale.h, to be compatible with Open Inventor.
	Problem reported by Rupert Kittinger.

2000-06-23 14:25  mortene

	* src/fields/SoSFImage.cpp:
	
	pederb made it possible to pass a NULL-pointer to
	SoSFImage::setValue() to pre-allocate an empty buffer.

2000-06-23 10:10  mortene

	* configure.in:
	
	Use correct case on filenames used under MSWin.

2000-06-22 22:47  mortene

	* src/misc/SoGL.cpp:
	
	Initialize texture filtering to legal values before creating a
	non-mipmapped texture. Fixed by pederb.

2000-06-22 17:27  mortene

	* configure.in, build/CoinSDK.iwz.in:
	
	Updates to CoinSDK.iwz.in and configure.in. Install Shield now
	compiles the Install Wizard correctly. Fixed by mariusbu.

2000-06-22 16:41  mortene

	* configure.in, info.cvs, build/CoinSDK.iwz.in,
	build/important.txt, src/misc/default2dfont.cpp:
	
	Added support for using Installshield to generate Coin SDK for
	MSWin.	Work done by mariusbu.

2000-06-22 16:30  mortene

	* build/README:
	
	Fixed typo.

2000-06-22 15:07  mortene

	* src/fields/SoMField.cpp:
	
	Match up allocation and deallocation.

2000-06-22 14:34  mortene

	* src/misc/SoOffscreenRenderer.cpp:
	
	Specify minimum GLX_DEPTH_SIZE, to avoid the possibility of getting
	visuals without any depthbuffer at all.

2000-06-22 13:55  mortene

	* src/: fields/SoGlobalField.cpp, misc/SoDB.cpp,
	misc/SoOffscreenRenderer.cpp:
	
	Put some memory leaks into the wooden kimono.

2000-06-22 13:44  mortene

	* src/misc/SoState.cpp:
	
	Passed out wolf tickets to a couple of memory leaks.

2000-06-22 13:40  mortene

	* src/elements/SoGLTextureImageElement.cpp:
	
	Fixed potentially uninitialized variable.

2000-06-22 13:34  mortene

	* src/: elements/SoGLPolygonStippleElement.cpp,
	misc/SoOffscreenRenderer.cpp:
	
	Put some mismatches in memory allocation-deallocation pairs to
	sleep.

2000-06-22 13:14  mortene

	* include/Inventor/nodes/SoIndexedFaceSet.h,
	src/nodes/SoIndexedFaceSet.cpp:
	
	Implemented proper SoConvexDataCache support in SoIndexedFaceSet. 
	Done by pederb.

2000-06-22 12:56  mortene

	* build/: README, coin_dll.dsp.in, coin_dll.mak.in:
	
	Killed memory trashing bug, coused by loading both msvcrt.dll and
	msvcrtd.dll. Added readme file to build dir.
	
	Done by mariusbu.

2000-06-22 10:08  mortene

	* src/misc/SoGenerate.cpp:
	
	Misc fixes for cube and cylinder's generate primitives. Done by
	pederb.

2000-06-22 09:55  mortene

	* src/nodes/SoCube.cpp:
	
	Set material index in cube's picked point. Fixed by pederb.

2000-06-21 21:37  mortene

	* src/misc/SoImageInterface.cpp, src/nodes/SoShape.cpp,
	include/Inventor/elements/SoGLTextureImageElement.h,
	include/Inventor/misc/SoImageInterface.h,
	src/elements/SoGLTextureImageElement.cpp:
	
	Support for alpha test rendering of textures. Fixed by pederb.

2000-06-21 21:34  mortene

	* models/oiv_compliance/annotation.iv:
	
	Turn on backface culling for example model. This makes annotation
	look somewhat better. Done by pederb.

2000-06-21 21:32  mortene

	* src/misc/SoGL.cpp:
	
	Fix for material binding per part when rendering cubes and
	cylinders, done by pederb.

2000-06-21 21:31  mortene

	* src/nodes/SoCube.cpp:
	
	Supply normal and texture coordinates in picked point when picking
	a Cube. Done by pederb.

2000-06-20 19:06  mortene

	* src/misc/SoGL.cpp:
	
	Killed the "sogl_free_texture" debug messages.

2000-06-20 18:00  mortene

	* src/errors/SoError.cpp:
	
	Fixed a crash when using the Coin library as a .DLL (there are
	special rules for data originating from the C library when
	constructing DLLs).

2000-06-20 12:23  mortene

	* src/nodes/SoSeparator.cpp:
	
	Moved state push/pop inside cull test, since SoCullElement is
	guaranteed not to change when geometry is outside. Done by pederb.

2000-06-20 12:23  mortene

	* src/nodes/SoLocateHighlight.cpp, src/nodes/nodes.metadon,
	include/Inventor/nodes/SoLocateHighlight.h:
	
	Implemented the SoLocateHighlight node. Done by pederb.

2000-06-20 10:34  mortene

	* src/nodes/SoAnnotation.cpp:
	
	Fix to make SoAnnotation work with the new SoSeparator::GLRender()
	code.  Done by pederb.

2000-06-20 10:33  mortene

	* src/actions/SoGLRenderAction.cpp:
	
	Fix to handle transparent objects in delayed paths (Annotation
	nodes).  Done by pederb.

2000-06-19 19:11  mortene

	* src/base/SbMatrix.cpp:
	
	Re-inserted old, non-optimized code for SbMatrix::setTransform(),
	as the "optimized" code currently in use was indeed buggy..

2000-06-19 17:04  mortene

	* include/Inventor/fields/: SoMFEnum.h, SoSFEnum.h:
	
	Changed name of some private variables in public macros to improve
	Inventor compatibility. Fix requested by Matthias Block.

2000-06-19 17:02  mortene

	* include/Inventor/elements/SoGLShadeModelElement.h,
	src/elements/SoGLShadeModelElement.cpp, src/nodes/SoCone.cpp,
	src/nodes/SoCube.cpp, src/nodes/SoCylinder.cpp,
	src/nodes/SoIndexedTriangleStripSet.cpp,
	src/nodes/SoMaterialBinding.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoShape.cpp, include/Inventor/nodes/SoCone.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/nodes/SoCylinder.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/nodes/SoSubNode.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	src/nodes/SoSphere.cpp, src/nodes/SoTriangleStripSet.cpp,
	src/nodes/SoVertexProperty.cpp:
	
	Reorganized the SoGLShadeModelElement. The old code set the GL
	shade model to flat whenever the material and normal binding was
	not PER_VERTEX, which was very silly since this obviously caused
	point and spot lights to be evaluated incorrectly. The new code
	will only set the GL shading model to flat when drawing triangle
	strips with normal or material binding per face. Problem reported
	by torgunna, fixed by pederb.

2000-06-16 16:25  mortene

	* src/nodes/: SoNode.cpp, SoSeparator.cpp:
	
	Fix to be compatible with the "new" OIV GLRender traversal code
	(GLRenderOffPath, GLRenderBelowPath, GLRenderInPath). Done by
	pederb.

2000-06-16 16:23  mortene

	* src/actions/SoAction.cpp:
	
	Fixed a bug in the traversal code. Some code cleanup. Done by
	pederb.

2000-06-16 14:33  mortene

	* README.IRIX:
	
	Removed obsolete IRIX guidance hints.

2000-06-16 14:21  mortene

	* src/engines/all.cpp:
	
	Include "evaluator_tab.c" instead of "evaluator.tab.c" (this file
	got renamed) for compact builds.

2000-06-16 12:22  mortene

	* include/Inventor/nodes/SoCone.h, src/nodes/SoCone.cpp:
	
	Use current shape hints when rendering cones. Fixed by pederb.

2000-06-16 12:21  mortene

	* src/nodes/SoCylinder.cpp, include/Inventor/nodes/SoCylinder.h:
	
	Use current shape hints when rendering cylinders. Fixed by pederb.

2000-06-16 12:21  mortene

	* src/nodes/SoSphere.cpp, include/Inventor/nodes/SoSphere.h:
	
	Use current shape hints when rendering spheres. Also did some minor
	code cleanup. Fixed by pederb.

2000-06-16 12:20  mortene

	* include/Inventor/nodes/SoCube.h, src/nodes/SoCube.cpp:
	
	Use current shape hints when rendering cubes. Fixed by pederb.

2000-06-16 11:13  mortene

	* src/engines/: Makefile.am, evaluator.tab.c, evaluator.y,
	evaluator_tab.c:
	
	Renamed evaluator.tab.c to evaluator_tab.c as a workaround for a
	strange make problem on IRIX (as reported by Felix Ritter).

2000-06-16 09:04  mortene

	* build/: coin.dsp.in, coin.mak.in, coin_dll.dsp.in,
	coin_dll.mak.in:
	
	Updated projects and makefiles to add 'd' to the debug version of
	'coin.lib' and 'coin.dll, ie. 'coind.lib' and 'coind.dll'.
	
	Fixed by mariusbu.

2000-06-16 08:45  mortene

	* src/nodes/SoSeparator.cpp:
	
	Bugfix in culling code. We need to push state before doing a cull
	test since SoCullElement might change. Done by pederb.

2000-06-16 08:44  mortene

	* src/nodes/SoClipPlane.cpp:
	
	Also cull against clipping planes when rendering. Fixed by pederb.

2000-06-16 08:44  mortene

	* include/Inventor/elements/SoCullElement.h,
	src/elements/SoCullElement.cpp, src/nodes/SoCamera.cpp:
	
	Redesigned SoCullElement to handle more than one camera in a
	separator. Some code cleanup. Done by pederb.

2000-06-15 21:45  mortene

	* src/base/SbBox3f.cpp:
	
	Bugfix SbBox3f::outside(), handle the case where the box is big
	enough to contain the full view frustum. Fixed by pederb.

2000-06-15 21:43  mortene

	* src/details/DetailSource.tpl, src/details/Makefile.am,
	src/details/SoConeDetail.cpp, src/details/SoCubeDetail.cpp,
	src/details/SoCylinderDetail.cpp, src/details/SoDetail.cpp,
	src/details/SoFaceDetail.cpp, src/details/SoLineDetail.cpp,
	src/details/SoNodeKitDetail.cpp, src/details/SoPointDetail.cpp,
	src/details/SoTextDetail.cpp, src/details/details.metadon,
	include/Inventor/details/DetailHeader.tpl,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/details/SoCubeDetail.h,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/details/SoFaceDetail.h,
	include/Inventor/details/SoLineDetail.h,
	include/Inventor/details/SoNodeKitDetail.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/details/SoTextDetail.h:
	
	Converted use of template-generated code into macros. Also
	miscellaneous codestyle cleanups.

2000-06-15 21:41  mortene

	* src/engines/InterpolateSource.tpl:
	
	Removed obsoleted file.

2000-06-15 10:12  mortene

	* src/base/SbBox3f.cpp:
	
	Implemented SbBox3f::outside(). Done by pederb.

2000-06-14 20:48  mortene

	* src/events/: SoKeyboardEvent.cpp, SoSpaceballButtonEvent.cpp:
	
	Fixed isButtonPressEvent() and isButtonReleaseEvent() for
	SoKeyboardEvent and SoSpaceballButtonEvent classes so the ANY
	identifier is heeded.
	
	Problem found after a bugreport by Fernando Vega Higuera.

2000-06-14 19:19  mortene

	* include/Inventor/SbBox2f.h, include/Inventor/SbBox3f.h,
	src/base/SbBox2f.cpp, src/base/SbBox3f.cpp:
	
	Implemented missing functions SbBox2f::getClosestPoint(),
	operator==(SbBox2f, SbBox2f), operator!=(SbBox2f, SbBox2f),
	operator==(SbBox3f, SbBox3f), operator!=(SbBox3f, SbBox3f),
	SbBox3f::getClosestPoint().
	
	Added a stub for SbBox3f::outside().

2000-06-14 16:25  mortene

	* configure.in:
	
	Don't give the "untested platform" message for SGI IRIX 6.5 with
	MIPSpro CC.

2000-06-14 16:14  mortene

	* include/Inventor/: SbBox2s.h, SbColor4f.h, SbMatrix.h, SbName.h,
	SbPlane.h, SbRotation.h, SbString.h, SbTime.h, SbVec2f.h,
	SbVec2s.h, SbVec3f.h, SbVec4f.h, SbViewportRegion.h, SbXfBox3f.h,
	SoNodeKitPath.h, SoPath.h:
	
	Export "friend" functions when making DLL. Fixed by mariusbu.

2000-06-13 16:40  mortene

	* src/nodes/SoShape.cpp:
	
	Set normal, texture coords and material index for picked points.
	Fixed by pederb.

2000-06-13 16:39  mortene

	* src/nodes/SoTexture2Transform.cpp:
	
	Enable SoTextureMatrixElement for SoPickAction, fix by pederb.

2000-06-13 15:29  mortene

	* src/actions/SoRayPickAction.cpp:
	
	Fix for barycentric coordinates bug in
	SoRayPickAction::intersect().  Done by pederb.

2000-06-13 14:58  mortene

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Bugfix SoIndexedTriangleStripSet::generatePrimitives(), by pederb.

2000-06-13 14:08  mortene

	* src/actions/SoAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoCallbackAction.cpp, src/actions/SoGLRenderAction.cpp,
	src/actions/SoGetBoundingBoxAction.cpp,
	src/actions/SoGetMatrixAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	src/actions/SoHandleEventAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoPickAction.cpp, src/actions/SoRayPickAction.cpp,
	src/actions/SoSearchAction.cpp, src/actions/SoWriteAction.cpp,
	src/lists/SoActionMethodList.cpp,
	include/Inventor/lists/SoActionMethodList.h:
	
	Fixed some problems/bugs with the action method handling. Patch by
	pederb.

2000-06-13 13:54  mortene

	* configure.in, build/coin_dll.dsp.in, build/coin_dll.mak.in:
	
	Added .dsp and .mak files for making coin.dll with MSVC. Done by
	mariusbu.

2000-06-13 11:40  mortene

	* include/Inventor/nodes/SoShape.h, src/nodes/SoShape.cpp:
	
	Support for BOUNDING_BOX pick style, done by pederb.

2000-06-13 11:35  mortene

	* docs/optimization.txt:
	
	Added "Application start-up time" as an important performance
	criteria.

2000-06-12 18:06  mortene

	* include/Inventor/actions/SoRayPickAction.h,
	src/actions/SoRayPickAction.cpp, src/nodes/SoSeparator.cpp:
	
	Changed SoRayPickAction::intersect(const SbBox3f &, SbBool) to pick
	in object space, as it should do. Changed SoSeparator bounding box
	picking code to support this.
	
	Done by pederb.

2000-06-12 17:34  mortene

	* src/misc/SoSceneManager.cpp:
	
	Moved some code from render() to reinitialize().

2000-06-12 17:34  mortene

	* src/sensors/SoTimerSensor.cpp:
	
	Improved debugging code a bit.

2000-06-12 16:58  mortene

	* src/base/SbMatrix.cpp:
	
	Bugfix. SbMatrix::getTransform() can now return negative scales. 
	Fixed by pederb.

2000-06-12 16:55  mortene

	* src/nodes/SoTransform.cpp:
	
	Implementation of missing methods in SoTransform, done by pederb.

2000-06-12 15:52  mortene

	* README.MSVC:
	
	Removed ^M bug info (no bug).  Added link to README.WIN32.
	
	Patch by mariusbu.

2000-06-12 15:16  mortene

	* src/: actions/SoGetBoundingBoxAction.cpp,
	actions/SoGetMatrixAction.cpp, actions/SoRayPickAction.cpp,
	actions/SoSearchAction.cpp, base/SbRotation.cpp, base/SbVec2s.cpp,
	base/SbViewVolume.cpp, base/SbXfBox3f.cpp,
	bundles/SoMaterialBundle.cpp, draggers/SoDragger.cpp,
	draggers/SoRotateDiscDragger.cpp,
	elements/SoAccumulatedElement.cpp, elements/SoCacheElement.cpp,
	elements/SoClipPlaneElement.cpp, elements/SoCullElement.cpp,
	elements/SoGLLazyElement.cpp, elements/SoLazyElement.cpp,
	elements/SoLightElement.cpp, elements/SoModelMatrixElement.cpp,
	elements/SoProfileElement.cpp, elements/SoTextureMatrixElement.cpp,
	lists/SoEngineList.cpp, lists/SoNodeList.cpp, lists/SoPathList.cpp,
	manips/SoClipPlaneManip.cpp, misc/SoGlyph.cpp,
	misc/SoNormalGenerator.cpp, misc/SoPrimitiveVertex.cpp,
	misc/SoTempPath.cpp, nodes/SoFaceSet.cpp, nodes/SoImage.cpp,
	nodes/SoMaterial.cpp, nodes/SoNonIndexedShape.cpp,
	nodes/SoPackedColor.cpp, nodes/SoPointSet.cpp,
	nodes/SoSeparator.cpp, nodes/SoShape.cpp,
	nodes/SoSurroundScale.cpp, nodes/SoTriangleStripSet.cpp:
	
	Trimmed whitespace.

2000-06-12 15:15  mortene

	* include/Inventor/: SbBSPTree.h, SbBox2f.h, SbBox2s.h, SbBox3f.h,
	SbColor.h, SbColor4f.h, SbCylinder.h, SbDict.h, SbHeap.h, SbLine.h,
	SbMatrix.h, SbName.h, SbOctTree.h, SbPlane.h, SbRotation.h,
	SbSphere.h, SbString.h, SbTesselator.h, SbTime.h, SbVec2f.h,
	SbVec2s.h, SbVec3f.h, SbVec4f.h, SbViewVolume.h,
	SbViewportRegion.h, SbXfBox3f.h, SoDB.h, SoFullPath.h, SoInput.h,
	SoInteraction.h, SoNodeKitPath.h, SoOffscreenRenderer.h,
	SoOutput.h, SoPath.h, SoPickedPoint.h, SoPrimitiveVertex.h,
	SoSceneManager.h, SoType.h, VRMLnodes/SoVRMLInterpOutput.h,
	VRMLnodes/SoVRMLInterpolator.h, actions/SoAction.h,
	actions/SoBoxHighlightRenderAction.h, actions/SoCallbackAction.h,
	actions/SoGLRenderAction.h, actions/SoGetBoundingBoxAction.h,
	actions/SoGetMatrixAction.h, actions/SoGetPrimitiveCountAction.h,
	actions/SoGlobalSimplifyAction.h, actions/SoHandleEventAction.h,
	actions/SoLineHighlightRenderAction.h, actions/SoPickAction.h,
	actions/SoRayPickAction.h, actions/SoReorganizeAction.h,
	actions/SoSearchAction.h, actions/SoShapeSimplifyAction.h,
	actions/SoSimplifyAction.h, actions/SoToVRML2Action.h,
	actions/SoToVRMLAction.h, actions/SoWriteAction.h,
	bundles/SoBundle.h, bundles/SoMaterialBundle.h,
	bundles/SoTextureCoordinateBundle.h, caches/SoBoundingBoxCache.h,
	caches/SoCache.h, caches/SoConvexDataCache.h,
	caches/SoNormalCache.h, caches/SoTextureCoordinateCache.h,
	details/SoConeDetail.h, details/SoCubeDetail.h,
	details/SoCylinderDetail.h, details/SoDetail.h,
	details/SoFaceDetail.h, details/SoLineDetail.h,
	details/SoNodeKitDetail.h, details/SoPointDetail.h,
	details/SoTextDetail.h, draggers/SoCenterballDragger.h,
	draggers/SoDirectionalLightDragger.h,
	draggers/SoDragPointDragger.h, draggers/SoDragger.h,
	draggers/SoHandleBoxDragger.h, draggers/SoJackDragger.h,
	draggers/SoPointLightDragger.h,
	draggers/SoRotateCylindricalDragger.h,
	draggers/SoRotateDiscDragger.h,
	draggers/SoRotateSphericalDragger.h, draggers/SoScale1Dragger.h,
	draggers/SoScale2Dragger.h, draggers/SoScale2UniformDragger.h,
	draggers/SoScaleUniformDragger.h, draggers/SoSpotLightDragger.h,
	draggers/SoTabBoxDragger.h, draggers/SoTabPlaneDragger.h,
	draggers/SoTrackballDragger.h, draggers/SoTransformBoxDragger.h,
	draggers/SoTransformerDragger.h, draggers/SoTranslate1Dragger.h,
	draggers/SoTranslate2Dragger.h, elements/SoAccumulatedElement.h,
	elements/SoAmbientColorElement.h,
	elements/SoAnnoText3CharOrientElement.h,
	elements/SoAnnoText3FontSizeHintElement.h,
	elements/SoAnnoText3RenderPrintElement.h,
	elements/SoBBoxModelMatrixElement.h, elements/SoCacheElement.h,
	elements/SoClipPlaneElement.h, elements/SoComplexityElement.h,
	elements/SoComplexityTypeElement.h, elements/SoCoordinateElement.h,
	elements/SoCreaseAngleElement.h, elements/SoCullElement.h,
	elements/SoDecimationPercentageElement.h,
	elements/SoDecimationTypeElement.h,
	elements/SoDiffuseColorElement.h, elements/SoDrawStyleElement.h,
	elements/SoElement.h, elements/SoEmissiveColorElement.h,
	elements/SoEnvironmentElement.h, elements/SoFloatElement.h,
	elements/SoFocalDistanceElement.h, elements/SoFontNameElement.h,
	elements/SoFontSizeElement.h, elements/SoGLAmbientColorElement.h,
	elements/SoGLClipPlaneElement.h, elements/SoGLCoordinateElement.h,
	elements/SoGLDiffuseColorElement.h,
	elements/SoGLDrawStyleElement.h,
	elements/SoGLEmissiveColorElement.h,
	elements/SoGLEnvironmentElement.h, elements/SoGLLazyElement.h,
	elements/SoGLLightIdElement.h, elements/SoGLLightModelElement.h,
	elements/SoGLLinePatternElement.h, elements/SoGLLineWidthElement.h,
	elements/SoGLModelMatrixElement.h, elements/SoGLNormalElement.h,
	elements/SoGLNormalizeElement.h, elements/SoGLPointSizeElement.h,
	elements/SoGLPolygonOffsetElement.h,
	elements/SoGLPolygonStippleElement.h,
	elements/SoGLProjectionMatrixElement.h,
	elements/SoGLRenderPassElement.h, elements/SoGLShadeModelElement.h,
	elements/SoGLShapeHintsElement.h, elements/SoGLShininessElement.h,
	elements/SoGLSpecularColorElement.h,
	elements/SoGLTextureCoordinateElement.h,
	elements/SoGLTextureEnabledElement.h,
	elements/SoGLTextureImageElement.h,
	elements/SoGLTextureMatrixElement.h,
	elements/SoGLUpdateAreaElement.h,
	elements/SoGLViewingMatrixElement.h,
	elements/SoGLViewportRegionElement.h, elements/SoInt32Element.h,
	elements/SoLazyElement.h, elements/SoLightAttenuationElement.h,
	elements/SoLightElement.h, elements/SoLightModelElement.h,
	elements/SoLinePatternElement.h, elements/SoLineWidthElement.h,
	elements/SoLocalBBoxMatrixElement.h,
	elements/SoMaterialBindingElement.h,
	elements/SoModelMatrixElement.h, elements/SoNormalBindingElement.h,
	elements/SoNormalElement.h, elements/SoOverrideElement.h,
	elements/SoPROTOElement.h, elements/SoPickRayElement.h,
	elements/SoPickStyleElement.h, elements/SoPointSizeElement.h,
	elements/SoPolygonOffsetElement.h,
	elements/SoProfileCoordinateElement.h, elements/SoProfileElement.h,
	elements/SoProjectionMatrixElement.h, elements/SoReplacedElement.h,
	elements/SoShapeHintsElement.h, elements/SoShapeStyleElement.h,
	elements/SoShininessElement.h, elements/SoSpecularColorElement.h,
	elements/SoSwitchElement.h, elements/SoTextOutlineEnabledElement.h,
	elements/SoTextureCoordinateBindingElement.h,
	elements/SoTextureCoordinateElement.h,
	elements/SoTextureImageElement.h,
	elements/SoTextureMatrixElement.h,
	elements/SoTextureOverrideElement.h,
	elements/SoTextureQualityElement.h,
	elements/SoTransparencyElement.h, elements/SoUnitsElement.h,
	elements/SoViewVolumeElement.h, elements/SoViewingMatrixElement.h,
	elements/SoViewportRegionElement.h, elements/SoWindowElement.h,
	engines/SoBoolOperation.h, engines/SoCalculator.h,
	engines/SoComposeMatrix.h, engines/SoComposeRotation.h,
	engines/SoComposeRotationFromTo.h, engines/SoComposeVec2f.h,
	engines/SoComposeVec3f.h, engines/SoComposeVec4f.h,
	engines/SoComputeBoundingBox.h, engines/SoConcatenate.h,
	engines/SoConvertAll.h, engines/SoCounter.h,
	engines/SoDecomposeMatrix.h, engines/SoDecomposeRotation.h,
	engines/SoDecomposeVec2f.h, engines/SoDecomposeVec3f.h,
	engines/SoDecomposeVec4f.h, engines/SoElapsedTime.h,
	engines/SoEngine.h, engines/SoEngineOutput.h,
	engines/SoFieldConverter.h, engines/SoGate.h,
	engines/SoInterpolate.h, engines/SoInterpolateFloat.h,
	engines/SoInterpolateRotation.h, engines/SoInterpolateVec2f.h,
	engines/SoInterpolateVec3f.h, engines/SoInterpolateVec4f.h,
	engines/SoOnOff.h, engines/SoOneShot.h, engines/SoOutputData.h,
	engines/SoSelectOne.h, engines/SoTimeCounter.h,
	engines/SoTransformVec3f.h, engines/SoTriggerAny.h,
	errors/SoDebugError.h, errors/SoError.h, errors/SoMemoryError.h,
	errors/SoReadError.h, events/SoButtonEvent.h, events/SoEvent.h,
	events/SoKeyboardEvent.h, events/SoLocation2Event.h,
	events/SoMotion3Event.h, events/SoMouseButtonEvent.h,
	events/SoSpaceballButtonEvent.h, fields/SoField.h,
	fields/SoFieldContainer.h, fields/SoFieldData.h,
	fields/SoGlobalField.h, fields/SoMFBitMask.h, fields/SoMFBool.h,
	fields/SoMFColor.h, fields/SoMFEngine.h, fields/SoMFEnum.h,
	fields/SoMFFloat.h, fields/SoMFInt32.h, fields/SoMFMatrix.h,
	fields/SoMFName.h, fields/SoMFNode.h, fields/SoMFPath.h,
	fields/SoMFPlane.h, fields/SoMFRotation.h, fields/SoMFShort.h,
	fields/SoMFString.h, fields/SoMFTime.h, fields/SoMFUInt32.h,
	fields/SoMFUShort.h, fields/SoMFVec2f.h, fields/SoMFVec3f.h,
	fields/SoMFVec4f.h, fields/SoMField.h, fields/SoSFBitMask.h,
	fields/SoSFBool.h, fields/SoSFColor.h, fields/SoSFEngine.h,
	fields/SoSFEnum.h, fields/SoSFFloat.h, fields/SoSFImage.h,
	fields/SoSFInt32.h, fields/SoSFMatrix.h, fields/SoSFName.h,
	fields/SoSFNode.h, fields/SoSFPath.h, fields/SoSFPlane.h,
	fields/SoSFRotation.h, fields/SoSFShort.h, fields/SoSFString.h,
	fields/SoSFTime.h, fields/SoSFTrigger.h, fields/SoSFUInt32.h,
	fields/SoSFUShort.h, fields/SoSFVec2f.h, fields/SoSFVec3f.h,
	fields/SoSFVec4f.h, fields/SoSField.h, lists/SbIntList.h,
	lists/SbList.h, lists/SbPList.h, lists/SbStringList.h,
	lists/SbVec3fList.h, lists/SoActionMethodList.h,
	lists/SoAuditorList.h, lists/SoBaseList.h, lists/SoCallbackList.h,
	lists/SoDetailList.h, lists/SoEnabledElementsList.h,
	lists/SoEngineList.h, lists/SoEngineOutputList.h,
	lists/SoFieldList.h, lists/SoNodeList.h, lists/SoPathList.h,
	lists/SoPickedPointList.h, lists/SoTypeList.h,
	lists/SoVRMLInterpOutputList.h, lock/SoLockMgr.h,
	manips/SoCenterballManip.h, manips/SoClipPlaneManip.h,
	manips/SoDirectionalLightManip.h, manips/SoHandleBoxManip.h,
	manips/SoJackManip.h, manips/SoPointLightManip.h,
	manips/SoSpotLightManip.h, manips/SoTabBoxManip.h,
	manips/SoTrackballManip.h, manips/SoTransformBoxManip.h,
	manips/SoTransformManip.h, manips/SoTransformerManip.h,
	misc/SoBase.h, misc/SoChildList.h, misc/SoGLImage.h,
	misc/SoGlyph.h, misc/SoImageInterface.h, misc/SoLightPath.h,
	misc/SoNormalGenerator.h, misc/SoNotification.h, misc/SoState.h,
	misc/SoTempPath.h, nodekits/SoAppearanceKit.h,
	nodekits/SoBaseKit.h, nodekits/SoCameraKit.h,
	nodekits/SoInteractionKit.h, nodekits/SoLightKit.h,
	nodekits/SoNodeKit.h, nodekits/SoNodeKitListPart.h,
	nodekits/SoNodekitCatalog.h, nodekits/SoSceneKit.h,
	nodekits/SoSeparatorKit.h, nodekits/SoShapeKit.h,
	nodekits/SoWrapperKit.h, nodes/SoAnnoText3.h,
	nodes/SoAnnoText3Property.h, nodes/SoAnnotation.h,
	nodes/SoAntiSquish.h, nodes/SoArray.h, nodes/SoAsciiText.h,
	nodes/SoBaseColor.h, nodes/SoBlinker.h, nodes/SoCallback.h,
	nodes/SoCamera.h, nodes/SoClipPlane.h, nodes/SoColorIndex.h,
	nodes/SoComplexity.h, nodes/SoCone.h, nodes/SoCoordinate3.h,
	nodes/SoCoordinate4.h, nodes/SoCube.h, nodes/SoCylinder.h,
	nodes/SoDirectionalLight.h, nodes/SoDrawStyle.h,
	nodes/SoEnvironment.h, nodes/SoEventCallback.h,
	nodes/SoExtSelection.h, nodes/SoFaceSet.h, nodes/SoFile.h,
	nodes/SoFont.h, nodes/SoFontStyle.h, nodes/SoGroup.h,
	nodes/SoImage.h, nodes/SoIndexedFaceSet.h,
	nodes/SoIndexedLineSet.h, nodes/SoIndexedNurbsCurve.h,
	nodes/SoIndexedNurbsSurface.h, nodes/SoIndexedShape.h,
	nodes/SoIndexedTriangleStripSet.h, nodes/SoInfo.h, nodes/SoLOD.h,
	nodes/SoLabel.h, nodes/SoLevelOfDetail.h,
	nodes/SoLevelOfSimplification.h, nodes/SoLight.h,
	nodes/SoLightModel.h, nodes/SoLineSet.h, nodes/SoLinearProfile.h,
	nodes/SoLocateHighlight.h, nodes/SoMarkerSet.h, nodes/SoMaterial.h,
	nodes/SoMaterialBinding.h, nodes/SoMatrixTransform.h,
	nodes/SoMultipleCopy.h, nodes/SoNode.h, nodes/SoNonIndexedShape.h,
	nodes/SoNormal.h, nodes/SoNormalBinding.h, nodes/SoNurbsCurve.h,
	nodes/SoNurbsProfile.h, nodes/SoNurbsSurface.h,
	nodes/SoOrthographicCamera.h, nodes/SoPackedColor.h,
	nodes/SoPathSwitch.h, nodes/SoPendulum.h,
	nodes/SoPerspectiveCamera.h, nodes/SoPickStyle.h,
	nodes/SoPointLight.h, nodes/SoPointSet.h, nodes/SoPolygonOffset.h,
	nodes/SoProfile.h, nodes/SoProfileCoordinate2.h,
	nodes/SoProfileCoordinate3.h, nodes/SoQuadMesh.h,
	nodes/SoResetTransform.h, nodes/SoRotation.h,
	nodes/SoRotationXYZ.h, nodes/SoRotor.h, nodes/SoScale.h,
	nodes/SoSelection.h, nodes/SoSeparator.h, nodes/SoShape.h,
	nodes/SoShapeHints.h, nodes/SoShuttle.h, nodes/SoSphere.h,
	nodes/SoSpotLight.h, nodes/SoSurroundScale.h, nodes/SoSwitch.h,
	nodes/SoText2.h, nodes/SoText3.h, nodes/SoTexture2.h,
	nodes/SoTexture2Transform.h, nodes/SoTextureCoordinate2.h,
	nodes/SoTextureCoordinateBinding.h,
	nodes/SoTextureCoordinateDefault.h,
	nodes/SoTextureCoordinateEnvironment.h,
	nodes/SoTextureCoordinateFunction.h,
	nodes/SoTextureCoordinatePlane.h, nodes/SoTransform.h,
	nodes/SoTransformSeparator.h, nodes/SoTransformation.h,
	nodes/SoTranslation.h, nodes/SoTriangleStripSet.h, nodes/SoUnits.h,
	nodes/SoUnknownNode.h, nodes/SoVertexProperty.h,
	nodes/SoVertexShape.h, nodes/SoWWWAnchor.h, nodes/SoWWWInline.h,
	projectors/SbCylinderPlaneProjector.h,
	projectors/SbCylinderProjector.h,
	projectors/SbCylinderSectionProjector.h,
	projectors/SbCylinderSheetProjector.h,
	projectors/SbLineProjector.h, projectors/SbPlaneProjector.h,
	projectors/SbProjector.h, projectors/SbSpherePlaneProjector.h,
	projectors/SbSphereProjector.h,
	projectors/SbSphereSectionProjector.h,
	projectors/SbSphereSheetProjector.h, sensors/SoAlarmSensor.h,
	sensors/SoDataSensor.h, sensors/SoDelayQueueSensor.h,
	sensors/SoFieldSensor.h, sensors/SoIdleSensor.h,
	sensors/SoNodeSensor.h, sensors/SoOneShotSensor.h,
	sensors/SoPathSensor.h, sensors/SoSensor.h,
	sensors/SoSensorManager.h, sensors/SoTimerQueueSensor.h,
	sensors/SoTimerSensor.h:
	
	Preparations for building Coin as a Win32 DLL.

2000-06-12 15:14  mortene

	* include/Inventor/SbBasic.h.in:
	
	Added define settings for construction of Win32 DLL library. Done
	by mariusbu.

2000-06-12 14:31  mortene

	* src/lists/SoPathList.cpp:
	
	pederb fixed ugly bug in SoPathList::sort(). Problem reported by
	Conrad Poelman of Stellar Science.

2000-06-12 14:28  mortene

	* include/Inventor/SbString.h, src/base/SbString.cpp:
	
	Implemented SbString::SbString(int). Inventor API mismatch reported
	by Conrad Poelman of Stellar Science.

2000-06-12 14:17  mortene

	* src/nodes/SoShape.cpp:
	
	Implemented fallback render code which uses generatePrimitives()
	when GLRender() is not implemented for a shape. Done by pederb,
	problem reported by Conrad Poelman of Stellar Science.

2000-06-12 14:07  mortene

	* include/Inventor/engines/SoCompose.h:
	
	Include SoComposeRotationFromTo class definition in SoCompose.h, to
	be Open Inventor compatible. Problem reported by Conrad Poelman of
	Stellar Science.

2000-06-12 14:03  mortene

	* src/nodes/SoShape.cpp:
	
	Changed some asserts to more informative debug messages, done by
	pederb. Problem reported by Conrad Poelman of Stellar Science.

2000-06-12 13:59  mortene

	* include/Inventor/actions/SoSubAction.h,
	include/Inventor/elements/SoSubElement.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/nodes/SoSubNode.h, src/actions/SoAction.cpp,
	src/elements/SoElement.cpp, src/engines/SoEngine.cpp,
	src/engines/SoGate.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp, src/fields/SoGlobalField.cpp,
	src/fields/SoMField.cpp, src/fields/SoSField.cpp,
	src/misc/SoBase.cpp, src/misc/SoPath.cpp, src/misc/SoType.cpp,
	src/nodes/SoNode.cpp:
	
	Removed all explicit initialization of static variables to
	SoType::badType() to work around a Sun CC v4.0 bug.
	
	Problem reported by Conrad Poelman of Stellar Science.

2000-06-12 13:35  mortene

	* src/events/EventInitClass.tpl,
	include/Inventor/events/SoSubEvent.h, src/events/EventSource.tpl,
	src/events/SoButtonEvent.cpp, src/events/SoEvent.cpp,
	src/events/SoKeyboardEvent.cpp, src/events/SoLocation2Event.cpp,
	src/events/SoMotion3Event.cpp, src/events/SoMouseButtonEvent.cpp,
	src/events/SoSpaceballButtonEvent.cpp:
	
	Convert use of templates to macros.

2000-06-12 13:04  mortene

	* include/Inventor/events/: EventHeader.tpl, SoButtonEvent.h,
	SoEvent.h, SoEvents.h, SoKeyboardEvent.h, SoLocation2Event.h,
	SoMotion3Event.h, SoMouseButtonEvent.h, SoSpaceballButtonEvent.h,
	SoSubEvent.h:
	
	Convert use of templates to macros.

2000-06-12 11:44  mortene

	* src/misc/SoInput.cpp:
	
	Change type of temp variable from char* to const char* to work
	better with Sun CC 5.0. Problem reported by Conrad Poelman of
	Stellar Science.

2000-06-09 20:27  mortene

	* src/elements/: SoGLLazyElement.cpp, SoLazyElement.cpp:
	
	Misc changes to avoid cache dependency on the lazy element. 
	Improved SoGLLazyElement to update material elements in send() if
	mask is set.
	
	Fixes by pederb.

2000-06-09 20:21  mortene

	* configure.in:
	
	Fix to add carriage return characters at the end of line for MSVC
	project and makefile. Done by mariusbu.

2000-06-09 20:12  mortene

	* README.MSVC:
	
	More MSVC-specific instructions, written by mariusbu.

2000-06-09 20:09  mortene

	* README.WIN32:
	
	Updated to correct version of the MSVC++ compilation README file...
	 Document written by mariusbu.

2000-06-09 20:04  mortene

	* README.WIN32:
	
	Added instructions for building Coin with Microsoft Visual C++ 6.0.
	 Written by mariusbu.

2000-06-09 19:42  mortene

	* src/misc/Makefile.am:
	
	Install SoNormalGenerator.h, as this is a public header file in
	Open Inventor.

2000-06-09 19:24  mortene

	* src/nodes/SoOrthographicCamera.cpp:
	
	Fixed SoOrthographicCamera viewport mapping/aspect ratio bug. Done
	by pederb.

2000-06-09 19:23  mortene

	* include/Inventor/elements/SoLazyElement.h,
	src/elements/SoGLLazyElement.cpp, src/elements/SoLazyElement.cpp:
	
	Fixed several problems and bugs in the SoLazyElement and
	SoGLLazyElement wrappers. Done by pederb.

2000-06-09 18:56  mortene

	* configure.in:
	
	Store any CPPFLAGS, LDFLAGS or LIBS settings from the configure
	invocation in the coin-config script.

2000-06-09 18:27  mortene

	* include/Inventor/errors/SoDebugError.h:
	
	Fixed typos in function declarations, as reported by Akos Balazs.

2000-06-09 18:19  mortene

	* configure.in:
	
	Use wsock32.lib when compiling on MSWin. Problem reported by
	mariusbu.

2000-06-09 18:13  mortene

	* acconfig.h, configure.in, include/Inventor/SbBasic.h.in:
	
	Detect whether or not the build platform supports singleprecision
	math functions. Based on a patch by Loring Holden.

2000-06-09 15:40  mortene

	* src/nodes/SoRotor.cpp:
	
	"Bugfixed" the SoRotor class documentation.

2000-06-09 15:36  mortene

	* src/nodes/SoRotor.cpp:
	
	Added explanation of the angle value in the SoRotor node's rotation
	field.

2000-06-09 13:58  mortene

	* configure.in:
	
	Reorganized some checks for speedier configure execution.

2000-06-09 13:56  mortene

	* configure.in:
	
	Removed obsoleted code and converted dnl to #.

2000-06-09 13:34  mortene

	* include/Inventor/SoPath.h,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/nodes/SoVertexShape.h,
	src/nodes/SoVertexShape.cpp:
	
	Include files for Open Inventor compatibility, fixed by Loring
	Holden.
	
	(Commit also contains some codestyle fixes for
	SoVertexShape.[cpp|h].)

2000-06-08 21:21  mortene

	* docs/coin.doxygen:
	
	Include missing sourcefiles in the documentation generation. Fix by
	Akos Balazs.

2000-06-08 21:17  mortene

	* include/Inventor/SoInput.h:
	
	Include SoDB.h in SoInput.h for better Open Inventor compatibility.
	 Problem reported by Felix Ritter.

2000-06-08 21:13  mortene

	* include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoLightElement.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoProfileElement.h,
	include/Inventor/elements/SoTextureMatrixElement.h,
	src/elements/SoAccumulatedElement.cpp,
	src/elements/SoClipPlaneElement.cpp, src/elements/SoElement.cpp,
	src/elements/SoLightElement.cpp,
	src/elements/SoModelMatrixElement.cpp,
	src/elements/SoProfileElement.cpp,
	src/elements/SoTextureMatrixElement.cpp:
	
	Implemented proper support for accumulating node ids. This is
	needed for caching to work. Also did some code cleanup and
	documentation.
	
	Work done by pederb.

2000-06-08 20:17  mortene

	* include/Inventor/nodes/SoProfile.h:
	
	Changed some enum definitions to match OIV. Fixed by pederb.

2000-06-08 20:14  mortene

	* src/nodes/SoTriangleStripSet.cpp:
	
	Support for generating normals PER_FACE, PER_STRIP and OVERALL for
	the SoTriangleStripSet node. Done by pederb.

2000-06-08 20:08  mortene

	* include/Inventor/misc/SoNormalGenerator.h,
	src/misc/SoNormalGenerator.cpp:
	
	Support for generating normal per strip. Done by pederb.

2000-06-08 12:08  mortene

	* include/Inventor/SbPList.h:
	
	Fixed erroneous includes. Problem reported by Loring Holden.

2000-06-07 21:32  mortene

	* include/Inventor/: SbLinear.h, SbPList.h,
	VRMLnodes/SoVRMLInterpolator.h, elements/SoElement.h,
	nodekits/SoNodeKitListPart.h:
	
	Headerfile inclusion fixes for better Inventor compatibility. 
	Problems reported by Felix Ritter.

2000-06-07 21:31  mortene

	* include/Inventor/nodes/: SoAnnoText3Property.h, SoBaseColor.h,
	SoCallback.h, SoCamera.h, SoClipPlane.h, SoColorIndex.h,
	SoComplexity.h, SoCoordinate3.h, SoCoordinate4.h, SoDrawStyle.h,
	SoEnvironment.h, SoEventCallback.h, SoFile.h, SoFont.h, SoGroup.h,
	SoInfo.h, SoLabel.h, SoLight.h, SoLightModel.h, SoMaterial.h,
	SoMaterialBinding.h, SoNormal.h, SoNormalBinding.h,
	SoPackedColor.h, SoPickStyle.h, SoPolygonOffset.h, SoProfile.h,
	SoProfileCoordinate2.h, SoProfileCoordinate3.h, SoShape.h,
	SoShapeHints.h, SoSubNode.h, SoTexture2.h, SoTexture2Transform.h,
	SoTextureCoordinate2.h, SoTextureCoordinateBinding.h,
	SoTextureCoordinateFunction.h, SoTransformation.h, SoUnknownNode.h,
	SoVertexProperty.h, SoWWWInline.h:
	
	Restructured headerfile inclusion a bit to better match Open
	Inventor. This gives us better "compile-time" compatibility with
	Inventor applications.
	
	Fix requested by Felix Ritter.

2000-06-07 20:39  mortene

	* src/nodes/SoNode.cpp:
	
	Set new node id in notify() to enable caching to work properly. Fix
	by pederb.

2000-06-07 19:37  mortene

	* include/Inventor/SbBasic.h.in:
	
	Misc math defines to work better with MSVC++. Fixed by mariusbu.

2000-06-07 19:31  mortene

	* build/: coin.dsp.in, coin.mak.in:
	
	Various fixes to include paths, by mariusbu.

2000-06-07 19:28  mortene

	* include/Inventor/nodekits/SoInteractionKit.h:
	
	Include sensors/SoFieldSensor.h for better Open Inventor
	compatibility. Problem reported by Felix Ritter.

2000-06-07 19:22  mortene

	* include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/elements/SoCacheElement.h,
	include/Inventor/elements/SoCullElement.h,
	include/Inventor/elements/SoElement.h,
	include/Inventor/elements/SoFloatElement.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	include/Inventor/elements/SoGLPolygonStippleElement.h,
	include/Inventor/elements/SoGLRenderPassElement.h,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	include/Inventor/elements/SoInt32Element.h,
	include/Inventor/elements/SoOverrideElement.h,
	include/Inventor/elements/SoPROTOElement.h,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/elements/SoReplacedElement.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/elements/SoShapeStyleElement.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/elements/SoViewportRegionElement.h,
	include/Inventor/elements/SoWindowElement.h, src/misc/SoState.cpp:
	
	Reorganized the basic headerfile inclusion structure for the base
	element classes. This should make it more like Open Inventor, and
	removes a bug reported by Felix Ritter.

2000-06-07 19:16  mortene

	* src/engines/Makefile.am:
	
	Removed unnecessary BUILT_SOURCES Automake setting in Makefile.

2000-06-07 17:41  mortene

	* configure.in, build/coin.dsp.in, build/coin.mak.in:
	
	Support added for generating MSVC++ project and makefile. All work
	done by mariusbu.

2000-06-07 16:50  mortene

	* src/caches/SoCache.cpp:
	
	Removed invalid assert. Fix by pederb.

2000-06-07 16:23  mortene

	* src/misc/SoInput.cpp:
	
	Workaround for missing POSIX macro S_ISDIR with MSVC++ 6.0 header
	files. Based on work by mariusbu.

2000-06-07 16:12  mortene

	* src/base/SbString.cpp:
	
	Use quotes instead of brackets to work better with MSVC++ project
	files.

2000-06-06 18:25  mortene

	* src/caches/SoCache.cpp:
	
	Bugfix. Elements should only be added if it's stack depth is less
	than the cache stack depth. Done by pederb.

2000-06-06 16:30  mortene

	* include/Inventor/SbBasic.h.in:
	
	Added empty SoEXTENDER and SoINTERNAL definitions for better
	compile-time compatibility with Open Inventor. Problem reported by
	Felix Ritter.

2000-06-06 16:23  mortene

	* include/Inventor/elements/SoSubElement.h:
	
	Include SoElement.h, to be "compile-time" compatible with Open
	Inventor.  Problem reported by Felix Ritter.

2000-06-06 16:16  mortene

	* include/Inventor/misc/SoState.h, src/misc/SoState.cpp:
	
	Implemented missing methods needed for caching. Done by pederb.

2000-06-06 16:15  mortene

	* include/Inventor/elements/SoCacheElement.h:
	
	Remove unimplemented SoCacheElement::push(SoState *) method.

2000-06-06 14:51  mortene

	* configure.in:
	
	Remove non-portable use of unset.

2000-06-06 14:33  mortene

	* src/manips/SoClipPlaneManip.cpp,
	include/Inventor/manips/SoClipPlaneManip.h,
	src/manips/commoncode.cpp:
	
	Implemented the clip plane manipulator. Done by pederb.

2000-06-06 13:35  mortene

	* data/draggerDefaults/iv2h.sh:
	
	Misc improvements to the script.

2000-06-06 13:12  mortene

	* src/elements/SoCacheElement.cpp:
	
	Implemented missing methods in SoCacheElement. Done by pederb.

2000-06-06 11:56  mortene

	* src/engines/Makefile.am:
	
	Removed the explicit make rules for re-generating from lex and yacc
	sources to avoid confusion for casual users.

2000-06-06 11:23  mortene

	* src/engines/: Makefile.am, evaluator.h, evaluator.l,
	evaluator.tab.c, evaluator.y, lex.so_eval.c:
	
	Miscellaneous changes to humour the VC++ compiler. By mariusbu.

2000-06-06 10:35  mortene

	* .cvsignore, data/.cvsignore, data/draggerDefaults/.cvsignore,
	include/Inventor/lock/.cvsignore, src/.cvsignore,
	src/VRMLnodes/.cvsignore, src/actions/.cvsignore,
	src/base/.cvsignore, src/bundles/.cvsignore, src/caches/.cvsignore,
	src/details/.cvsignore, src/draggers/.cvsignore,
	src/elements/.cvsignore, src/engines/.cvsignore,
	src/errors/.cvsignore, src/events/.cvsignore,
	src/fields/.cvsignore, src/lists/.cvsignore, src/manips/.cvsignore,
	src/misc/.cvsignore, src/nodekits/.cvsignore, src/nodes/.cvsignore,
	src/projectors/.cvsignore, src/sensors/.cvsignore:
	
	Updated .cvsignore files for "inline" builds (in src directories).

2000-06-06 10:11  mortene

	* src/engines/SoCalculator.cpp:
	
	Make it easier for the compiler to find the evaluator.h includefile
	for build systems beside the configure-based one. Fix by mariusbu.

2000-06-06 09:27  mortene

	* data/draggerDefaults/iv2h.sh:
	
	Used a sed-workaround for the problem of ``echo'' not behaving as
	expected on SGI IRIX. Problem reported by Felix Ritter.

2000-06-06 08:16  mortene

	* src/misc/SoGLTristripTemplate.cpp:
	
	Bugfix to handle normal and material per face for the
	SoIndexedTriangleStripSet node, by pederb.

2000-06-06 08:15  mortene

	* src/nodes/SoTriangleStripSet.cpp:
	
	Bugfix to handle normal and material per face for the
	TriangleStripSet node, by pederb.

2000-06-05 20:06  mortene

	* docs/optimization.txt:
	
	Added a couple more concrete tasks, rearranged the priority list a
	bit.

2000-06-05 19:28  mortene

	* docs/optimization.txt:
	
	Added one more concrete task item, plus a graded list of important
	areas where good performance is paramount.

2000-06-05 19:01  mortene

	* data/draggerDefaults/iv2h.sh:
	
	Minor fix to work better with Linux "echo" command. (This might
	break with "echo" on other platforms -- but hopefully not. The code
	now looks more correct.  :^/)

2000-06-05 16:15  mortene

	* src/elements/SoGLShadeModelElement.cpp:
	
	Bugfix by pederb.

2000-06-04 13:44  mortene

	* src/sensors/SoSensorManager.cpp:
	
	Bugfix to repair the broken SoIdleSensor handling. Problem reported
	by Fernando Vega Higuera.

2000-06-04 13:42  mortene

	* src/misc/SoNormalGenerator.cpp:
	
	Eliminates some warnings. Fix by pederb.

2000-06-04 10:15  mortene

	* src/nodes/SoFaceSet.cpp:
	
	Added support to generate normals PER_FACE and OVERALL for the
	FaceSet node. Done by pederb.

2000-06-04 10:13  mortene

	* include/Inventor/misc/SoNormalGenerator.h,
	src/misc/SoNormalGenerator.cpp:
	
	Support for generating normals PER_FACE and OVERALL. Done by
	pederb.

2000-06-04 10:09  mortene

	* autogen.sh:
	
	larsa corrected path to libtool-package from GNU ftp.

2000-06-02 18:49  mortene

	* coin-config.in, configure.in:
	
	Various fixes for better MSWin support.

2000-06-02 16:22  mortene

	* autogen.sh:
	
	Make it possible to run autogen.sh script from any location.

2000-06-02 16:13  mortene

	* depcomp:
	
	Yet another bugfix for the SGI MIPSpro dependency tracking.

2000-06-02 16:12  mortene

	* src/misc/SoInput.cpp:
	
	Use int type instead of char, as we need to hold negative values.

2000-06-02 13:49  mortene

	* src/: misc/SoOffscreenRenderer.cpp, sensors/SoSensor.cpp:
	
	Minor changes needed to compile release version of Coin. From
	pederb.

2000-06-02 13:21  mortene

	* src/misc/SoType.cpp:
	
	Compile fix for Microsoft Visual C++, from mariusbu.

2000-06-02 12:14  mortene

	* autogen.sh:
	
	"--clean" removes Makefile.in files too.  "$DIE" is either "false"
	or "true" (more useful values for scripting).  Fixed by larsa.

2000-06-02 10:59  mortene

	* autogen.sh, configure.in:
	
	Upgrade to latest Automake from CVS and latest Libtool release
	(version 1.3.5). The Autoconf and Automake versions we are using
	also includes a number of bugfixes.
	
	The upgrade of Automake and Libtool fixes a number of bugs, among
	them the need to have GNU Make on IRIX and sourcecode dependency
	tracking for the SGI MipsPro compilers.

2000-06-02 10:18  mortene

	* depcomp:
	
	Fix two bugs: 1) pass the dependency generation option properly to
	the compiler preprocessor, 2) make sure dependency lines longer
	than 8192 characters are not mangled.

2000-06-02 08:14  mortene

	* src/misc/default3dfont.cpp:
	
	Makes VC++ stop nagging about precision. Fix by pederb.

2000-06-01 21:15  mortene

	* src/draggers/SoTabPlaneDragger.cpp:
	
	pederb: fixed ugly operator precedence bug, found by mariusbu.

2000-06-01 15:21  mortene

	* src/engines/evaluator.c:
	
	Inserted explicit casts to avoid VC++ 6.0 warnings. Problem
	reported by Larry D'Cunha, fix by pederb.

2000-06-01 15:19  mortene

	* include/Inventor/fields/SoFieldData.h:
	
	Fix for erroneous forward declaration, from pederb. Reported by
	Larry D'Cunha.

2000-06-01 15:18  mortene

	* src/misc/SoImageInterface.cpp:
	
	Texture/image search fix, by pederb. Search for texture names with
	relative paths.

2000-05-31 16:28  mortene

	* include/Inventor/SbBasic.h.in:
	
	Added a note about the math.h include in SbBasic.h to prevent
	future bugs.

2000-05-31 16:22  mortene

	* src/engines/evaluator.c:
	
	evaluator.c should include SbBasic.h to get important math defines
	under Windows. Reported by Larry D'Cunha.

2000-05-31 14:10  mortene

	* src/: nodes/SoNode.cpp, nodes/SoShape.cpp,
	actions/SoGLRenderAction.cpp:
	
	On the Windows platform, we need to include windows.h before gl.h. 
	Problems reported by Larry D'Cunha.

2000-05-31 13:50  mortene

	* docs/optimization.txt:
	
	Optimization idea from pederb.

2000-05-31 12:49  mortene

	* docs/optimization.txt, src/misc/SoState.cpp:
	
	Removed some obsoleted TODOs, and moved some optimization hints
	from SoState.cpp into optimization.txt.
	
	By pederb, some additions by me.

2000-05-31 12:28  mortene

	* docs/optimization.txt:
	
	Updated information on missing optimization mechanisms in
	SoSeparator (pederb implemented render and pick culling a few weeks
	ago).

2000-05-31 10:18  mortene

	* include/Inventor/nodes/SoTextureCoordinatePlane.h:
	
	Workaround for VC++ 6.0 bug, by pederb.

2000-05-29 20:27  mortene

	* include/Inventor/SbViewVolume.h, src/base/SbViewVolume.cpp:
	
	pederb added a method to get the up vector.

2000-05-29 19:22  mortene

	* src/actions/SoRayPickAction.cpp:
	
	Bugfixes, by pederb.

2000-05-29 10:54  mortene

	* include/Inventor/nodes/SoIndexedLineSet.h:
	
	Added missing "virtual" keyword in function signature.

2000-05-25 18:50  mortene

	* src/: nodes/SoSelection.cpp,
	projectors/SbCylinderPlaneProjector.cpp:
	
	Removed unused variable.

2000-05-25 18:40  mortene

	* src/nodes/SoIndexedLineSet.cpp:
	
	Removed unused variable.

2000-05-25 08:34  mortene

	* src/nodes/: SoAsciiText.cpp, SoCube.cpp, SoGroup.cpp, SoNode.cpp,
	SoText3.cpp:
	
	Removed unused variables.

2000-05-24 19:22  mortene

	* src/nodes/SoTexture2.cpp:
	
	Temporary workaround for the various shortcomings of SoTexture2 and
	SoSFImage. Done by pederb after a bugreport from Christophe Remy.

2000-05-24 19:21  mortene

	* configure.in:
	
	Synchronize with the SIM_AC_CHECK_MACRO_QUOTE changes.

2000-05-23 17:32  mortene

	* src/nodes/SoVertexShape.cpp:
	
	Added missing include, patch by Loring Holden.

2000-05-23 15:26  mortene

	* src/nodes/SoCube.cpp:
	
	SoTextureCoordinateElement is not to be used in SoCube::GLRender().

2000-05-23 15:18  mortene

	* src/misc/: SoBase.cpp, SoDB.cpp, SoGL.cpp,
	SoGLFaceSetTemplate.cpp, SoGLTristripTemplate.cpp, SoGenerate.cpp,
	SoOutput.cpp, SoPath.cpp:
	
	Cleaned out misc compiler warnings from SGI MipsPro v7.30.

2000-05-23 15:04  mortene

	* src/fields/SoSFImage.cpp:
	
	Bugfix; pad images with zero values when writing.

2000-05-23 15:04  mortene

	* src/fields/SoField.cpp:
	
	Killed off unnecessary and meaningless casting to "const".

2000-05-23 14:59  mortene

	* src/engines/SoSelectOne.cpp:
	
	Removed unused variable.

2000-05-23 14:55  mortene

	* src/engines/: SoSelectOne.cpp, SoTimeCounter.cpp, evaluator.c:
	
	Removed unused variables.

2000-05-23 14:41  mortene

	* src/engines/SoEngine.cpp:
	
	Removed unused variable.

2000-05-23 13:53  mortene

	* src/draggers/SoTabPlaneDragger.cpp:
	
	Removed unused variable.

2000-05-23 13:50  mortene

	* include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedShape.h,
	src/nodes/SoIndexedFaceSet.cpp, src/nodes/SoIndexedShape.cpp,
	src/nodes/SoVertexShape.cpp:
	
	Match up the way we overload virtual generateDefaultNormals()
	methods.  (If we overload one of the generateDefaultNormals()
	methods, we should also overload the other one with a different
	signature -- to avoid confusing compilers).

2000-05-23 13:32  mortene

	* include/Inventor/elements/SoCullElement.h,
	src/elements/SoCullElement.cpp:
	
	A new method, a bugfix and some documentation. Done by pederb.

2000-05-23 12:57  mortene

	* src/draggers/SoTransformerDragger.cpp:
	
	Removed unused variable.

2000-05-23 12:55  mortene

	* src/draggers/SoDragPointDragger.cpp:
	
	Removed unused variables.

2000-05-23 12:54  mortene

	* include/Inventor/sensors/SoTimerSensor.h,
	src/sensors/SoTimerSensor.cpp:
	
	Make function signature of overloaded virtual function match that
	of the superclass.

2000-05-23 12:48  mortene

	* src/draggers/SoHandleBoxDragger.cpp:
	
	Removed unused variable.

2000-05-23 12:02  mortene

	* data/draggerDefaults/Makefile.am:
	
	Add Automake rule so the dragger default geometry headers are
	correctly built.

2000-05-23 11:06  mortene

	* src/elements/Makefile.am:
	
	Install SoCullElement.h include file.

2000-05-23 10:25  mortene

	* include/Inventor/lists/SoActionMethodList.h,
	src/lists/SoActionMethodList.cpp:
	
	Removed superflous method.

2000-05-23 10:21  mortene

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Removed unused variable.

2000-05-23 10:19  mortene

	* src/bundles/SoTextureCoordinateBundle.cpp:
	
	Fixed a nasty bug with operator precedence.

2000-05-23 10:13  mortene

	* include/Inventor/lists/SbList.h:
	
	Commented the fact that we are not using a virtual destructor on
	SbList.

2000-05-23 09:51  mortene

	* src/base/SbName.cpp:
	
	Killed superflous semicolon.

2000-05-23 09:50  mortene

	* src/base/SbOctTree.cpp:
	
	Killed unnecessary code.

2000-05-23 09:46  mortene

	* include/Inventor/SbMatrix.h, src/base/SbMatrix.cpp:
	
	Removed meaningless "const" on SbBool return value (kills SGI
	Mipspro warning).

2000-05-23 09:45  mortene

	* src/base/SbMatrix.cpp, include/Inventor/SbMatrix.h:
	
	Codestyle fixes.

2000-05-23 09:28  mortene

	* include/Inventor/actions/SoSubActionP.h:
	
	Removed unused variable.

2000-05-23 09:28  mortene

	* include/Inventor/actions/SoSubAction.h:
	
	Minor fixes to better prevent namespace clashes.

2000-05-23 09:28  mortene

	* src/actions/SoCallbackAction.cpp:
	
	Removed declaration of a couple of unused variables.

2000-05-23 09:20  mortene

	* src/fields/SoMField.cpp:
	
	Added minor FIXME about optimizing import operations.

2000-05-23 09:20  mortene

	* src/fields/SoFieldContainer.cpp:
	
	Added FIXME to avoid inadvertently introduce bugs when extending
	SoFieldContainer with VRML capabilities.

2000-05-23 09:19  mortene

	* src/engines/SoGate.cpp:
	
	Robustified code a little bit, added a few important FIXMEs.

2000-05-23 09:19  mortene

	* src/engines/SoEngine.cpp:
	
	Added some more doc.

2000-05-23 09:18  mortene

	* src/caches/SoNormalCache.cpp:
	
	Added some debug code to help find areas where we should be more
	robust for erraneous polygon specifications.

2000-05-23 09:17  mortene

	* include/Inventor/events/SoKeyboardEvent.h:
	
	Workaround for Win32 compilation problem. (Win32 API headers
	defines the DELETE keyword -- really brilliant...)

2000-05-23 09:16  mortene

	* include/Inventor/elements/SoFontNameElement.h,
	include/Inventor/elements/SoLightAttenuationElement.h,
	src/elements/SoFontNameElement.cpp,
	src/elements/SoGLLineWidthElement.cpp,
	src/elements/SoGLPointSizeElement.cpp,
	src/elements/SoLightAttenuationElement.cpp:
	
	Correct the matches() signature for SoFontNameElement and
	SoLightAttenuationElement.

2000-05-23 09:14  mortene

	* include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp:
	
	Fixed a potential problem (need to overload all methods of the same
	name if overloading at least one). This also makes us follow
	Inventor behavior.

2000-05-22 14:21  mortene

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Fixes a compiler error under Solaris - must return a value from the
	generateDefaultNormals() method. Patch from Loring Holden.

2000-05-19 22:40  mortene

	* src/nodes/SoSurroundScale.cpp:
	
	Handle zero size dimensions in SoSurroundScale. Fixed by pederb.

2000-05-19 22:38  mortene

	* src/nodes/SoSeparator.cpp:
	
	Handle empty separator gracefully when doing render and pick
	culling.  Fix by pederb.

2000-05-19 13:08  mortene

	* src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Don't crash on empty SoIndexedTriangleStripSet nodes.

2000-05-19 12:58  mortene

	* include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	src/nodes/SoIndexedTriangleStripSet.cpp:
	
	Killed seriously flawed attempt at caching triangle and strip count
	numbers.

2000-05-19 12:43  mortene

